2005-01-21  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* test/Makefile.in, src/nauty-module/Makefile.in, src/gordan/Makefile.in, src/lrcalc-module/Makefile.in, src/Symmetrica-module/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/IPC/Makefile.in, src/MAPITL/Makefile.in, src/GLIP-module/Makefile.in, src/Makefile.in, Makefile.in, README, configure, ChangeLog:
	Update of the autotools build system.

	* src/gordan/Makefile.am, src/MAPITL/Makefile.am, src/lrcalc-module/Makefile.am, src/GLIP-module/Makefile.am:
	No need anymore to mention the .res file in CLEANFILES

	* config/packages.m4, src/GLIP/config/packages.m4, src/MAPITL/config/packages.m4:
	Bug fix: use ${...} in AC_CONFIG_FILE, so that the file gets
	properly cleaned by make distclean.

	* config/mupad.am, src/GLIP/config/mupad.am, src/MAPITL/config/mupad.am:
	Adding stuff to CLEANFILES seems to work now.
	So the .res and .checklog files are now inserted by default there.

	* Makefile.am:
	No need to mention anymore the .info and .spec file in DISTCLEANFILES

	* index.html.in: Announce for version 1.2.1

	* configure.ac: Switched to version 1.2.1

	* NEWS: Added date and comment.

	* NEWS: Update for 1.2.1

	* lib/COMBINAT/parkingFunctions.mu:
	Alternative implementation of word2Parking: JC, please benchmark.

	* lib/COMBINAT/words.mu:
	Fixed the expected return value of evaluationSparse.

2005-01-21  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/parkingFunctions.mu:
	Alternative implementation of word2Parking: JC, please benchmark.

	* lib/COMBINAT/words.mu:
	Fixed the expected return value of evaluationSparse.

2005-01-21  novelli  <novelli@eole.rouba.net>

	* lib/COMBINAT/TEST/parkingFunctions.tst:
	Added the tests of local variables of both domain

	* lib/COMBINAT/parkingFunctions.mu: Modified local variables.

2005-01-21  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* doc/dvi/Makefile.in, src/IPC/Makefile.in, Makefile.in, README:
	Update of the autotools build system.

	* BUGS, TODO: Update

	* doc/dvi/Makefile.am: Added timeout when checking the documentation.

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu:
	Fixed recurrenceRelation for small bug introduced in the last revision
	Return u(n) for Primitive constructors

	* src/IPC/fdstest4.cpp:
	Standalone test for opening a C pipe and making a stream out of it.

	* lib/DOC/demonstration.tex:
	Update of documentation output w.r.t. for MuPAD 3.1.1

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst:
	Added minimal test for the conversion from expression

	* src/IPC/Makefile.am:
	Added rules for building the test programs and modules fdstest4/5.

	* lib/EXAMPLES/SymmetricFunctions.mu:
	Fixed the conversion from expression which was broken due to an
	incorrect attempt to take care of Hs and Hcs parametrized bases.

	* lib/DOC/exercises.tex: Don't test the package loading example.

	* lib/DOC/demonstration.tex:
	Update of documentation output w.r.t. for MuPAD 3.1.1

	* lib/DOC/design.tex:
	Update of documentation output w.r.t. new internal poly variables.

	* lib/COMBINAT/DOC/decomposableObjects.tex:
	Updated for the use of Primitive instead of Atom and Epsilon.

	* src/IPC/IPC.mcc: Added comment about Bug #19.

	* src/IPC/fdstest2.cpp: Fixed include call to fdstream.hpp

	* lib/COMBINAT/decomposableObjects.mu:
	Better handling of trivial specifications containing only Primitive
	elements for the computation of recurrence relation and the like.

	* lib/COMBINAT/TEST/countingFunctions.tst, lib/COMBINAT/countingFunctions.mu:
	Added method: _mult, _invert, D
	Fixed entry: one
	Fixed local variables and toBeDefined entries
	laplace and invlaplace implemented by returning a functional expression
	Tests

	* lib/COMBINAT/permutations.mu:
	Imported rotheDiagram from muEC (to be extended).

	* lib/COMBINAT/TEST/parkingFunctions.tst, lib/COMBINAT/parkingFunctions.mu:
	Fixed global/unused variables.
	Fixed broken prog::check.

2005-01-21  hivert  <hivert@eole.rouba.net>

	* lib/LIBFILES/experimental.mu:
	Remove and unused line about DoubleSymmetricGroupAlgebra.

	* lib/EXAMPLES/QuasiSymmetricFunctions.mu: Added some bases changes.

	* lib/EXAMPLES/HeckeAlgebra.mu:
	Removed a bug when CoeffRing is not Dom::ExpressionsField()

2005-01-20  novelli  <novelli@eole.rouba.net>

	* lib/COMBINAT/TEST/parkingFunctions.tst, lib/COMBINAT/parkingFunctions.mu:
	Added a few functions related to non-decreasing parking functions
	and parking functions of a given type.

	Added the corresponding tests.

2005-01-19  hivert  <hivert@eole.rouba.net>

	* lib/COMBINAT/TEST/compositions.tst, lib/COMBINAT/TEST/integerListsLexTools.tst, lib/COMBINAT/integerListsLexTools.mu:
	Seems that J.C. bug is not corrected...

2005-01-19  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/skewPartitions.mu:
	isA function now returns that a partition is not a skew partition

	* lib/COMBINAT/skewPartitions.mu:
	isA function returns TRUE if one test a partition without inner partition

2005-01-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/MAPITL/MAPITL/Cell_tmpl.h, src/MAPITL/MAPITL_tmpl.h:
	Removed old const_cast bugware for MFgetList which seems to be
	unneeded since MuPAD 1.4.2 (since MuPAD 2.0.0, MFgetList is declared
	both as an inline function and a macro, and the later takes the
	precedence).

	Better conformance to C++ standards, according to gcc 3.4 (typename).

2005-01-18  novelli  <novelli@eole.rouba.net>

	* lib/COMBINAT/TEST/parkingFunctions.tst, lib/COMBINAT/parkingFunctions.mu:
	A better version of
	park2Connected
	is presented (time -> 1/2 old_time)

	* lib/COMBINAT/TEST/parkingFunctions.tst, lib/COMBINAT/parkingFunctions.mu:
	Added
	- deparkisation (list of words with holes of given parkised)
	- deconcatenation in connected parking functions,
	-  shifted concatenation

	+ many tests.

2005-01-18  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/partitions.mu:
	truncatedDominate and dominateInterval fucntion removed

	* lib/COMBINAT/tools.mu:
	function for clearing remember table imported from MuEC

2005-01-17  novelli  <novelli@eole.rouba.net>

	* lib/COMBINAT/TEST/parkingFunctions.tst, lib/COMBINAT/parkingFunctions.mu:
	Added the possibility to parkize the empty word.

2005-01-14  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/independentSetsOfVectorSpace.mu: Added assertion.

	* lib/COMBINAT/generators.mu: Added TODO note listUniq.

	* lib/COMBINAT/decomposableObjects.mu: Added TODO comment.

	* lib/COMBINAT/TEST/countingFunctions.tst, lib/COMBINAT/DOC/countingFunctions.tex, lib/COMBINAT/countingFunctions.mu:
	Added the basic functors for combinat::countingFunctions, with some
	documentation and tests.

2005-01-14  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/functors.mu: Speed Improvement

	* lib/EXPERIMENTAL/AlgTools.mu: Desosse now work with any CoeffRing.

2005-01-13  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXPERIMENTAL/LandoHopfAlgebra.mu:
	Patch to disable experimental::LandoHopfAlgebra when Nauty is not available.

	* lib/COMBINAT/decomposableObjects.mu:
	Fixed missing =null() in Primitive constructor for makeGeneratorFromRank.
	(bug revealed by the tests in Cat::DecomposableClass).

	* lib/PROG/TEST/loaddomain.tst, lib/PROG/loaddomain.mu:
	Oops, the last commit was completely broken.
	Fixed + added tests.

2005-01-12  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/PROG/loaddomain.mu:
	prog::isDefined was clearly broken, and is not tested at all.
	Some preliminary cleanup and fixes done.

2005-01-07  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* Makefile.am, wiki-gdbm-dump:
	The plain text of the wiki pages is now backuped in the CVS when calling
	        make Wiki-update-cvs

	* wiki/AboutThisWiki, wiki/AboutWiki, wiki/AddCommentPlugin, wiki/AddingPages, wiki/AllPages, wiki/AllUsers, wiki/AuthorHistoryPlugin, wiki/BackLinks, wiki/BitSet, wiki/CalendarListPlugin, wiki/CalendarPlugin, wiki/CategoryCategory, wiki/CategoryGroup, wiki/CategoryHomePages, wiki/CommentPlugin, wiki/CreatePagePlugin, wiki/CreateTocPlugin, wiki/DebugInfo, wiki/DevelopersMeeting, wiki/DocumentationTipsAndTricks, wiki/EditMetaDataPlugin, wiki/EditText, wiki/EuropeanAcademicSoftwareAwardApplication, wiki/ExercisesCorrections, wiki/ExternalSearchPlugin, wiki/FindPage, wiki/FlorentHivert, wiki/FrameIncludePlugin, wiki/FrequentlyAskedQuestions, wiki/FullRecentChanges, wiki/FullTextSearch, wiki/FuzzyPages, wiki/GeneralDocumentation, wiki/Generators, wiki/GoodStyle, wiki/GoogleLink, wiki/HelloWorldPlugin, wiki/HomePage, wiki/HomePageAlias, wiki/HowToUseWiki, wiki/IncludePagePlugin, wiki/InterWiki, wiki/InterWikiMap, wiki/InterWikiSearch, wiki/InterfaceWithLinbox, wiki/LikePages, wiki/LinkIcons, wiki/LogoAndNickNameContest, wiki/MagicPhpWikiURLs, wiki/ModuleWithSeveralBases, wiki/MoreAboutMechanics, wiki/MostPopular, wiki/NewMarkupTestPage, wiki/NicolasThiéry, wiki/OldMarkupTestPage, wiki/OldStyleTablePlugin, wiki/OldTextFormattingRules, wiki/Operads, wiki/OrphanedPages, wiki/PageDump, wiki/PageGroupTest, wiki/PageHistory, wiki/PageInfo, wiki/PgsrcRefactoring, wiki/PhotoAlbumPlugin, wiki/PhpHighlightPlugin, wiki/PhpWeatherPlugin, wiki/PhpWiki, wiki/PhpWikiAdministration, wiki/PhpWikiDocumentation, wiki/PhpWikiPoll, wiki/Poster, wiki/ProgrammingTipsAndTricks, wiki/ProjectSummary, wiki/RandomPage, wiki/RawHtmlPlugin, wiki/RecentChanges, wiki/RecentEdits, wiki/RecentReleases, wiki/RecentVisitors, wiki/RedirectToPlugin, wiki/RelatedChanges, wiki/ReleaseNotes, wiki/RichTablePlugin, wiki/RssFeedPlugin, wiki/SandBox, wiki/SkewPartitions, wiki/Specifications, wiki/SteveWainstead, wiki/StudentProjects, wiki/SystemInfoPlugin, wiki/Tableaux, wiki/TextFormattingRules, wiki/TitleSearch, wiki/TranscludePlugin, wiki/TranslateText, wiki/Trees, wiki/TypedTableaux, wiki/UnfoldSubpagesPlugin, wiki/UpLoad, wiki/UserPreferences, wiki/UserTestimonials, wiki/WabiSabi, wiki/WantedPages, wiki/WikiBlogPlugin, wiki/WikiPlugin, wiki/WikiWikiWeb, wiki/_AuthInfo, wiki/subClass:
	The plain text of the wiki pages is now backuped in the CVS when calling
		make Wiki-update-cvs

2005-01-06  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu:
	New constructor Primitive(size, ...) for primitive objects of
	arbitrary size. Epsilons and Atoms are translated into primitive
	objects of size 0 and 1. Altogether, more power with less code :-)

	* BUGS: Notes about the IPC bug with gcc 3.4.

2005-01-05  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu:
	RepeatedSquaring works now properly and is activated by default.

	* lib/DOMAINS/DOMAIN/DOC/FreeModule.tex:
	Documentation example output fix (new dummy variable name in Dom::Matrix).

	* lib/COMBINAT/TEST/decomposableObjects.tst:
	Some automatically generated NonTerminal's are now named more
	precisely as NonTerminalSequence.

	* src/Symmetrica/ko.c:
	Fixes by CC against some crashes in Symmetrica::KostkaTab/Number,
	typically with empty (skew)partitions.

	* src/Symmetrica-module/Symmetrica.tst:
	KostkaTab test is not ToDo anymore.

	* lib/COMBINAT/DOC/words.tex: Added comment about GAP.

	* README.in: Some installation instructions for Windows

	* lib/COMBINAT/tableaux.mu:
	Work around limitations in Symmetrica::KostkaNumber.

	* src/Symmetrica-module/Symmetrica.mcc, src/Symmetrica/def.h, src/Symmetrica/de.c:
	Redefine the error function of Symmetrica to:
	 - avoid a name clash with the error function of the MuPAD parser
	 - operate properly inside the dynamic module

	* lib/COMBINAT/decomposableObjects.mu: New option RepeatedSquaring.
	If set, sequence using MinLength and MaxLength are translated into
	logarithmic-sized repeated squaring standard specification, instead
	of the usual linear-sized one.
	Not yet fully functional, so the option is set to false by default.

2004-12-20  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/ribbonsTableaux.mu: Just a tag

2004-12-18  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/Symmetrica/de.c: Oops, the last commit was too early. Reverting.

	* src/Symmetrica/de.c:
	Hopefully better conformance to C++ standard (according to GCC 3.4):
	 - obsolete use of transtyping in lvalues

	* src/Symmetrica/kl.c:
	Hopefully better conformance to C++ standard (according to GCC 3.4):
	 - predeclaration of a function.

	* src/Symmetrica/Makefile.am: Added -Wall -pedantic compilation flags.

	* Makefile.in, doc/ascii/Makefile.in:
	Update of the autotools build system.

	* Makefile.am: Updated wiki rules.

	* TODO: Update.

	* src/Symmetrica/sr.c:
	Hopefully better conformance to C++ standard (according to GCC 3.4):
	 - predeclaration of a function.

	* src/MAPITL/MAPITL/Iterator.h:
	Hopefully better conformance to C++ standard (according to GCC 3.4):
	 - friend template functions should be predeclared.

	* phpwiki: Added ziphtml action. TODO: pass admin password.

	* createDomain: Fixed escaping of \ in tex generation.

2004-12-17  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/PROG/TEST/loaddomain.tst:
	Warning telling that the warnings are expected :-)

	* lib/COMBINAT/TEST/independentSetsOfVectorSpace.tst, lib/LIBFILES/combinat.mu, lib/COMBINAT/DOC/main.tex, lib/COMBINAT/DOC/independentSetsOfVectorSpace.tex, lib/COMBINAT/independentSetsOfVectorSpace.mu:
	New combinatorial class: combinat::independentSetsOfVectorSpace

	* phpwiki: Updated for our current wiki.
	New feature: save.

2004-12-16  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/ribbonsTableaux.mu:
	generic algorithm for counting Ribbon Tableaux, computing spin and cospin polynomials. ( !! Tests Broken (essentially with list function which not yet implemented in adequation with generic algorithm !!)

2004-12-16  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/generators.tst, lib/COMBINAT/DOC/generators.tex, lib/COMBINAT/generators.mu:
	New function combinat::generators::cartesianPower
	Documentation for powerset and multiset

2004-12-15  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/CATEGORY/DOC/AlgebraWithBasis.tex:
	Use linsolve instead of solve, which is more efficient (and avoids to
	deal with the new parameters introduced by the new MuPAD 3.1.0 solve)

2004-12-14  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/tableaux.mu:
	Fixes for MuPAD 2.5.3 (standard DOM problem, list range access).

	* src/Symmetrica-module/Makefile.in, src/Symmetrica/Makefile.in, src/nauty-module/Makefile.in, src/MAPITL/Makefile.in, src/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/lrcalc-module/Makefile.in, src/IPC/Makefile.in, src/lrcalc/lrcoef/Makefile.in, src/lrcalc/mathlib/Makefile.in, src/gordan/Makefile.in, src/GLIP-module/Makefile.in:
	Update of the autotools build system.

	* src/Symmetrica-module/Makefile.am, src/nauty-module/Makefile.am, src/MAPITL/Makefile.am, src/MachineIntegerListsLex/Makefile.am, src/lrcalc-module/Makefile.am, src/lrcalc/mathlib/Makefile.am, src/lrcalc/lrcoef/Makefile.am, src/IPC/Makefile.am, src/gordan/Makefile.am, src/GLIP-module/Makefile.am:
	Added -Wall -pedantic to compilation options whenever possible

	* src/lrcalc/lrcoef/symfcn.c:
	Hopefully better conformance to C++ standard (according to GCC 3.4):
	 - obsolete use of transtyping in lvalue
	   (previous patch was incorrect)

	* src/MAPITL/MAPITL.h:
	Hopefully better conformance to C++ standard (according to GCC 3.4):
	 - using clause required when calling methods of a super class which
	   is a template

	* src/GLIP-module/GLIP.mcc:
	Hopefully better conformance to C++ standard (according to GCC 3.4):
	 - specializations of a template need to be done in its original namespace

	* src/GLIP/GLIP/SmallList.h:
	Hopefully better conformance to C++ standard (according to GCC 3.4):
	 - Removed spurious ';'

	* src/GLIP/SmallList.cc:
	Hopefully better conformance to C++ standard (following GCC 3.4 complaints).

	* src/GLIP/GLIP/PermutationGroup_tmpl.h, src/GLIP/PermutationGroup.cc, src/GLIP/GLIP/Permutation_tmpl.h:
	Removed spurious ';' (detected by GCC 3.4)

	* lib/PROG/loaddomain.mu, lib/init.mu:
	Fixed autoloading logic for Dom::Matrix and Category.
	New function prog::isDefined.

2004-12-13  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/init.mu:
	Backport of Dom::Matrix from MuPAD's library (polyVariable feature).
	More readable MuPAD version tests via an alias MuPADVersionAtLeast.

	* lib/MUPADBACKPORT/DOMAINS/DOMAIN/Matrix.mu:
	Backport of Dom::Matrix from MuPAD's library (polyVariable feature).

	* lib/OPERATORS/overloaded.mu, lib/MUPADBACKPORT/TYPE/Function.mu:
	Undo of the patch to Type::Function. As suggested by Ralf, it is
	better, to declare inside the code of operators::overloaded that its
	elements belong to Type::Function.

2004-12-10  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/lrcalc/mathlib/vector.h, src/lrcalc/mathlib/list.h, src/lrcalc/lrcoef/symfcn.c:
	Patches for compatibility with gcc 3.4:
	 - Changed include guards to avoid conflicts:
	    _VECTOR_H => _LRCALC_VECTOR_H
	    _LIST_H => _LRCALC_LIST_H
	 - don't use cast as lvalue

	* lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Use the new entry matrix::internalPolyVar, instead of fetching it
	by hand.

	* src/MAPITL/MAPITL/Cell_tmpl.h:
	Bug fix: the implementation of MAPITL::Cell::push_back(T t) refered to
	an non existent variable c!!! Clearly this code has never been tested,
	and amazingly gcc <=3.3 never complained about it ...

2004-12-09  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUPADBACKPORT/STDLIB/info.mu, lib/MUPADBACKPORT/DOMAINS/CONSTR/CCprInfo.mu, lib/MUPADBACKPORT/DOMAINS/CONSTR/Category.mu, lib/MUPADBACKPORT/DOMAINS/CONSTR/DCprInfo.mu, lib/MUPADBACKPORT/DOMAINS/DOMAIN/BaseDom.mu, lib/init.mu:
	Backport of the improved info from MuPAD 3.1.0

	* lib/EXPERIMENTAL/DOC/Steenrod.tex, lib/EXPERIMENTAL/Steenrod.mu:
	Separated Steenrod into Steenrod and SteenrodDual (cleaner).

	* lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu:
	Fixed error message (missing expr2text).

	* lib/COMBINAT/parkingFunctions.mu: Oops ...

	* lib/COMBINAT/parkingFunctions.mu: Fixed non local variable.

	* lib/EXPERIMENTAL/AlgTools.mu: Fixed non local / unused variables

	* lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Fetch the dummy poly variable from Dom::Matrix to ensure compatibility with it.

	* lib/COMBINAT/parkingFunctions.mu: Fixed non local / unused variables

	* doc/ascii/Makefile.am: Improved ascii help building + cleaning rules.

2004-12-08  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/partitions.mu:
	new function dominateInterval added: it returns all the partitions between two partitions for the truncated dominance order

	* lib/EXPERIMENTAL/Virasoro.mu: Global idents removed

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst: some minor bugs fixes

	* lib/MUPADBACKPORT/DOMAINS/DOMAIN/BaseDom.mu:
	global indent expo and tab retired

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	global idents and unused variables retired

2004-12-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/LIBFILES/combinat.mu:
	Fixed some loadproc's where autoload can't be used yet.

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst: Fixed typo in test.

	* lib/OPERATORS/overloaded.mu: Fixed global variable.

	* lib/COMBINAT/partitions.mu:
	Fixed entry addRibbonsAndSpin(s) in the interface

2004-12-07  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/OPERATORS/overloaded.mu: Added a reasonable printInfo method.

	* lib/TEST/mupad.tst, lib/MUPADBACKPORT/TYPE/Function.mu, lib/LIBFILES/operators.mu:
	operator::overloaded functions are now in Type::Function

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst:
	Test fixed: S::s([0,3,2,5]) is now allowed.

	* lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu:
	Relaxed the type checking to accept any Cat::ModuleWithBasis.

	* lib/DOMAINS/CATEGORY/ModuleWithBasis.mu: Fixed interface.

	* lib/DOMAINS/CATEGORY/HopfAlgebraWithSeveralBases.mu: Added TODO note.

	* createDomain: It is redundant to specify the domain name in info_str.

2004-12-07  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst:
	test for change of basis with new Hfunction bases (global ident will
	be retire today)

	* lib/EXAMPLES/SymmetricFunctions.mu:
	A change of basis added for H functions

2004-12-06  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* doc/STYLES/tex4ht/latex.4ht, doc/STYLES/tex4ht/tex4ht.sty, doc/STYLES/tex4ht/array.4ht, doc/STYLES/Mhelp.sty:
	Got rid of the patched version of the tex4ht files.
	Instead, just redefine the 5 appropriate macros in Mhelp.sty.

2004-12-03  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst: some minor bugs fixes

	* lib/EXAMPLES/SymmetricFunctions.mu:
	Some bugs fixes about automatic changes of basis

	* lib/COMBINAT/partitions.mu: global indent in truncatedDominate fixed

	* lib/EXAMPLES/SymmetricFunctions.mu:
	HFunction bases are parametred domain

2004-12-02  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXAMPLES/SymmetricFunctions.mu:
	automatic changes of basis of ModulesWithSeveralBasis are now used

2004-12-02  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* doc/TOOLS/html2ascii: Added entity rewriting &#8211; => -

	* test/Makefile.in, src/Symmetrica-module/Makefile.in, src/Symmetrica/Makefile.in, src/nauty-module/Makefile.in, src/MAPITL/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/Makefile.in, src/lrcalc-module/Makefile.in, src/lrcalc/mathlib/Makefile.in, src/IPC/Makefile.in, src/lrcalc/Makefile.in, src/lrcalc/lrcoef/Makefile.in, src/gordan/Makefile.in, doc/Makefile.in, src/GLIP-module/Makefile.in, src/GLIP/Makefile.in, doc/dvi/Makefile.in, doc/html/Makefile.in, doc/dvia4/Makefile.in, Makefile.in, doc/ascii/Makefile.in, configure, aclocal.m4:
	Update of the autotools build system.

	* TODO: Update.

	* doc/dvi/Makefile.am, doc/ascii/Makefile.am:
	Renamed the LaTeX-generated files doc/dvi/*.help into .helpindex
	Idem for .helpascii -> .helpindextty
	Generate the files doc/ascii/.mupadhelpindex .mupadhelpindextty for
	the MuPAD help system.

	* lib/MUPADBACKPORT/STDLIB/autoload.mu, lib/MUPADBACKPORT/STDLIB/info.mu, lib/MUPADBACKPORT/DOMAINS/DOMAIN/BaseDom.mu, lib/LIBFILES/combinat.mu, lib/LIBFILES/examples.mu, lib/LIBFILES/muEC.mu, lib/LIBFILES/operators.mu, lib/init.mu:
	Backport of autoload from MuPAD 3.1.0
	Backport of the improved info functions from MuPAD 3.1.0

	* lib/OPERATORS/overloaded.mu: Typo fix in a comment.

	* lib/MODULES/Symmetrica.mu:
	Standardization of the module autoloading procedure.

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst, lib/EXAMPLES/SymmetricFunctions.mu, lib/DOC/demonstration.tex:
	Straightening for Schur functions (skew schur/integer vectors by Jacobi)

	* lib/COMBINAT/DOC/decomposableObjects.tex:
	Added troubleshooting documentation to diagnose incorrect grammars.

	* lib/COMBINAT/TEST/words.tst, lib/COMBINAT/DOC/words.tex, lib/COMBINAT/words.mu:
	New function combinat::words::hammingDistance.

	* lib/COMBINAT/permutations.mu:
	Stricter type checking for combinat::permutations::isEven.

	* lib/MUPADBACKPORT/SOLVELIB/islin.mu, lib/SOLVELIB/islin_Backport.mu:
	Moved the backport file for solvelib::islin to its standard place.

	* createDomain: info -> info_str

2004-12-01  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/partitions.mu:
	truncatedDominate functions added: it permits to apply the dominance order between two partition with different weight.

	* lib/COMBINAT/DOC/skewTableaux.tex: doc checked !

	* lib/COMBINAT/DOC/ribbonsTableaux.tex:
	some parts of documentation moved to partitions

	* lib/COMBINAT/DOC/partitions.tex:
	doc for addRibbonsAndSpin, removeRibbonsAndSpin, rCore, rQuotient and
	fromCoreAndQuotient added

	* lib/COMBINAT/TEST/partitions.tst:
	tests changed for new function addRibbonsAndSpin and removeRibbonsAndSpin

	* lib/COMBINAT/ribbonsTableaux.mu:
	change of name for functions which retire ribbons from a partition

	* lib/COMBINAT/partitions.mu:
	addRibbon and removeRibbon became addRibbonsAndSpin and
	removeRibbonsAndSpin which permits to retire or add more than one
	ribbons to a partition and which also returns the spin of retired ribbons.

	* lib/COMBINAT/partitions.mu:
	functions removeRibbons added from ribbonsTableaux (fusion of
	removeRibbons, removeRibbon and addRibbon will be done today...)

	* lib/COMBINAT/ribbonsTableaux.mu:
	removeRibbons functions moved to partitions

2004-11-30  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/TEST/ribbonsTableaux.tst:
	tests removed for moved functions rCore, rQuotient and fromCoreAnd Quotient

	* lib/COMBINAT/TEST/partitions.tst:
	tests added for the 3 moved functions

	* lib/COMBINAT/ribbonsTableaux.mu:
	functions rCore, rQuotient and fromCoreAndQuotient moved to partitions

	* lib/COMBINAT/partitions.mu:
	functions rCore, rQuotient and fromCoreAndQuotient moved from ribbonsTableaux

2004-11-29  novelli  <novelli@eole.rouba.net>

	* lib/COMBINAT/TEST/parkingFunctions.tst: Added 1 test on straghtening

	* lib/COMBINAT/parkingFunctions.mu:
	Added straigten and some small modifications on the code.

2004-11-26  novelli  <novelli@eole.rouba.net>

	* lib/COMBINAT/parkingFunctions.mu:
	Modified parkization to compute in a "quicker" way.

	* lib/COMBINAT/TEST/parkingFunctions.tst:
	Tests done on the simple parking functions procedures...

2004-11-25  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXPERIMENTAL/HeckeClifford/HeckeClifford.mu, lib/LIBFILES/combinat.mu, lib/LIBFILES/examples.mu, lib/LIBFILES/experimental.mu, lib/LIBFILES/muEC.mu, lib/LIBFILES/operators.mu, lib/PROG/testUnit.mu, lib/EXPERIMENTAL/ArikiKoike/ArikiKoike.mu, lib/EXPERIMENTAL/ArikiKoike/ArikiKoikeLagrange.mu, lib/EXPERIMENTAL/ArikiKoike/FiniteQuotientOfPolynomials.mu, lib/EXPERIMENTAL/DoubleHecke/DoubleHecke.mu, lib/EXAMPLES/CyclesHopfAlgebra.mu, lib/EXAMPLES/FQSymZd.mu, lib/EXAMPLES/FreeQuasiSymmetricFunctions.mu, lib/EXAMPLES/GraphQuasiSymmetricFunctions.mu, lib/EXAMPLES/LodayRoncoAlgebra.mu, lib/EXAMPLES/MyMultivariatePolynomials.mu, lib/EXAMPLES/NonCommutativeExpressions.mu, lib/EXAMPLES/NonCommutativePolynomials.mu, lib/EXAMPLES/NonCommutativeSymmetricFunctions.mu, lib/EXAMPLES/QuasiSymmetricFunctions.mu, lib/EXAMPLES/SubsetsSpace.mu, lib/EXAMPLES/SymmetricFunctions.mu, lib/EXAMPLES/SymmetricGroupAlgebra.mu, lib/EXPERIMENTAL/AlgTools.mu, lib/EXPERIMENTAL/FreeOperad.mu, lib/EXPERIMENTAL/HeckeSymmetricGroupAlgebra.mu, lib/EXPERIMENTAL/LandoHopfAlgebra.mu, lib/EXPERIMENTAL/PBT.mu, lib/EXPERIMENTAL/QSymSym.mu, lib/EXPERIMENTAL/RQuasiSymmetricFunctions.mu, lib/EXPERIMENTAL/Schur.mu, lib/EXPERIMENTAL/Steenrod.mu, lib/EXPERIMENTAL/TensorAlgebra.mu, lib/EXPERIMENTAL/Virasoro.mu, lib/EXPERIMENTAL/YangBaxterGraph.mu, lib/EXPERIMENTAL/ribbonsTableaux.mu, lib/DOMAINS/CATEGORY/AlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/AlgebraWithSeveralBases.mu, lib/DOMAINS/CATEGORY/CombinatorialClass.mu, lib/DOMAINS/CATEGORY/CombinatorialClassWith2DBoxedRepresentation.mu, lib/DOMAINS/CATEGORY/CombinatorialHopfAlgebra.mu, lib/DOMAINS/CATEGORY/DecomposableClass.mu, lib/DOMAINS/CATEGORY/GradedAlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/GradedCombinatorialClass.mu, lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/GradedModuleWithBasis.mu, lib/DOMAINS/CATEGORY/HopfAlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/HopfAlgebraWithSeveralBases.mu, lib/DOMAINS/CATEGORY/IntegerListsLexClass.mu, lib/DOMAINS/CATEGORY/LeftAModuleWithBasis.mu, lib/DOMAINS/CATEGORY/ModuleWithBasis.mu, lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu, lib/DOMAINS/CATEGORY/Operad.mu, lib/DOMAINS/CATEGORY/OperadWithBasis.mu, lib/DOMAINS/DOMAIN/AlgebraWithBasis_Table.mu, lib/DOMAINS/DOMAIN/FreeModulePoly.mu, lib/DOMAINS/DOMAIN/FreeModuleTable.mu, lib/DOMAINS/DOMAIN/PermutationGroup.mu, lib/DOMAINS/DOMAIN/PermutationGroupInvariantRing.mu, lib/DOMAINS/DOMAIN/QuotientFreeModule.mu, lib/DOMAINS/DOMAIN/SparseMatrix_LinBox.mu, lib/DOMAINS/DOMAIN/SteenrodAlgebraP.mu, lib/DOMAINS/DOMAIN/SubFreeModule.mu, lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu, lib/DOMAINS/DOMAIN/WeylAlgebra_Table.mu, lib/DOC/demo/combinat.tex, lib/DOC/demonstration.tex, lib/DOC/design.tex, lib/COMBINAT/multisetsNK.mu, lib/COMBINAT/necklaces.mu, lib/COMBINAT/nonCrossingPartitions.mu, lib/COMBINAT/partitions.mu, lib/COMBINAT/permutations.mu, lib/COMBINAT/rankers.mu, lib/COMBINAT/ribbons.mu, lib/COMBINAT/ribbonsTableaux.mu, lib/COMBINAT/setPartitions.mu, lib/COMBINAT/setPartitionsOrdered.mu, lib/COMBINAT/shuffle.mu, lib/COMBINAT/singleton.mu, lib/COMBINAT/skewPartitions.mu, lib/COMBINAT/skewTableaux.mu, lib/COMBINAT/splitNK.mu, lib/COMBINAT/subClass.mu, lib/COMBINAT/subsets.mu, lib/COMBINAT/subwords.mu, lib/COMBINAT/tableaux.mu, lib/COMBINAT/trees.mu, lib/COMBINAT/treesGeneric.mu, lib/COMBINAT/words.mu, lib/COMBINAT/LattE.mu, lib/COMBINAT/cartesianProduct.mu, lib/COMBINAT/chooseNK.mu, lib/COMBINAT/compositions.mu, lib/COMBINAT/countingFunctions.mu, lib/COMBINAT/decomposableObjects.mu, lib/COMBINAT/dyckWords.mu, lib/COMBINAT/freeTreesLabelled.mu, lib/COMBINAT/generators.mu, lib/COMBINAT/graphs.mu, lib/COMBINAT/imageClass.mu, lib/COMBINAT/integerListsLexTools.mu, lib/COMBINAT/integerMatrices.mu, lib/COMBINAT/integerVectors.mu, lib/COMBINAT/integerVectorsModPermutationGroup.mu, lib/COMBINAT/integerVectorsWeighted.mu, lib/COMBINAT/labelledTrees.mu, lib/COMBINAT/linearExtensions.mu, lib/COMBINAT/lyndonWords.mu:
	Removed the remaining references to Dom::SparseMatrix.
	Renamed all info domain entries to info_str, to fully use the
	improved info functions.

	* lib/OPERATORS/DOC/overloaded.tex: Typo fix.

	* lib/init.mu: Removed the remaining references to Dom::SparseMatrix.
	Renamed all info domain entries to info_str, to fully use the
	improved info functions.

	* lib/COMBINAT/binaryTrees.mu:
	Renamed all info domain entries to info_str, to fully use the
	improved info functions.

2004-11-24  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	stanton white bijection has changed of name

	* lib/COMBINAT/TEST/skewTableaux.tst:
	tests changed about empty skew tableaux

	* lib/COMBINAT/skewTableaux.mu:
	some bugs about empty tableaux and type skewTabloid

	* lib/COMBINAT/TEST/tableaux.tst: a little typo fixed

	* lib/COMBINAT/skewTableaux.mu:
	a little problem with empty skewTableau fixed

2004-11-23  novelli  <novelli@eole.rouba.net>

	* lib/LIBFILES/combinat.mu: Small bug removed.

	* lib/COMBINAT/parkingFunctions.mu:
	Added parking functions, with parkization.

2004-11-23  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/DOMAIN/SparseMatrix_Backport.mu:
	Removed. This file had long ago be moved to lib/MUPADBACKPORT.

2004-11-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* TODO: Update.

	* lib/COMBINAT/tableaux.mu:
	Allow for skew partitions in kostkaFromSymmetrica.

	* test/Makefile.in, test/Makefile.am, src/Symmetrica-module/Makefile.in, src/Symmetrica-module/Makefile.am, config/mupad.am, src/GLIP/config/mupad.am, src/MAPITL/config/mupad.am:
	Moved the definition of MUPAD_TEST_IGNORE_WARNINGS_PAT in
	config/mupad.am, so that it can also be used in tests in src/

	* src/Symmetrica/part.c:
	Fixed? a crash in fastconjugate_partition when the input is an empty
	partition.

	* src/Symmetrica-module/Symmetrica.tst, src/Symmetrica-module/Symmetrica.mcc, src/Symmetrica-module/Symmetrica2MuPAD.h:
	Modulo some little bugs (trivial cases), Symmetrica::KostkaTab now
	works for tableaux and skew-tableaux.

2004-11-05  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/ribbonsTableaux.mu:
	Spin and Cospin polynomials return 0 and not FAIL when the set of
	ribbons tableaux is empty

2004-11-05  teresamu  <teresamu@eole.rouba.net>

	* src/Symmetrica-module/Symmetrica2MuPAD.h:
	File does not work, partial fix for KostkaTab, in case of skew tableaux

2004-11-04  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu:
	Typo fix in a comment.

	* lib/DOMAINS/CATEGORY/HopfAlgebraWithSeveralBases.mu:
	Micro doc improvement

	* lib/EXPERIMENTAL/Steenrod.mu, lib/EXPERIMENTAL/LandoHopfAlgebra.mu, lib/EXAMPLES/TEST/LodayRoncoAlgebra.tst, lib/EXAMPLES/NonCommutativeSymmetricFunctions.mu, lib/EXAMPLES/LodayRoncoAlgebra.mu, lib/EXAMPLES/FreeQuasiSymmetricFunctions.mu:
	Use for real Cat::*WithSeveralBases and Cat::GradedHopfAlgebraWithBasis
	In particular:
	 - get rid of tensorAlgebra and Cat::CombinatorialHopfAlgebra
	 - Don't declare any more the basic conversions between the tensorSquares
	   as this is now done automatically

	* lib/EXAMPLES/TEST/QuasiSymmetricFunctions.tst, lib/EXAMPLES/QuasiSymmetricFunctions.mu:
	Implemented the coproduct in the quasi-ribbon basis.

	* lib/DOMAINS/CATEGORY/HopfAlgebraWithSeveralBases.mu:
	- Added mu, coproduct, tensor, antipode to the interface.
	- Define automatically the conversions from A\otimes A to B\otimes B

	* lib/DOMAINS/CATEGORY/HopfAlgebraWithBasis.mu:
	- Fixed dom::coproductByOverloading testing logic which was broken under
	  some circumstances due to an incorrect evaluation order.
	- Added tensorSquare to the interface.
	- Fixed comments

	* lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu:
	- counit is now defined as an alias for ground
	- added a fat warning for when we will play with non-connected graded
	  hopf algebras

	* lib/COMBINAT/TEST/rankers.tst, lib/COMBINAT/rankers.mu:
	Bug fix: combinat::rankers::rankFromList(...) did not raise errors
	appropriately (typo in a variable name).
	Added tests for combinat::rankers::rankFromList.

2004-11-03  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/DOC/skewTableaux.tex: a display bug fixe

	* lib/COMBINAT/DOC/skewTableaux.tex:
	doc and example for new function toChain

	* lib/COMBINAT/TEST/ribbonsTableaux.tst:
	change of name in tests stantonWhite --> StantonWhite

	* lib/COMBINAT/ribbonsTableaux.mu:
	bug fixe on list function (now return [] when non solution and not
	FAIL) and stantonWhite function become StantonWhite function

	* lib/COMBINAT/tableaux.mu:
	some bug fixes with change of type in ListSemiStandard and in KostkaPol

	* lib/COMBINAT/skewTableaux.mu:
	bug fixes in op and nops functions (in the new definition because
	skewTableaux are now typed objects)

	* lib/LIBFILES/experimental.mu: ribbons tableaux entrie added

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	expermimental functions on ribbons Tableaux

2004-11-02  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/tableaux.tst, lib/COMBINAT/tableaux.mu:
	Added default brute force pure MuPAD implementation of
	combinat::tableaux::kostka.

2004-10-26  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	Fixed missing RowArgs in the options for endomorphismMatrix.

	* lib/COMBINAT/tableaux.mu:
	Better handling of the global Symmetrica when the package is not
	loaded (version included in the mail MuPAD lib).

	* lib/MUPADBACKPORT/GRAPH/TEST/reachableVertices.tst:
	Backport of fix from MuPAD 3.1.0 (missing testinit & friends).

2004-10-25  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/DOMAIN/TEST/FreeModule.tst:
	The default behavior for finite dimensional modules is not yet fully
	specified when no Row* option is given.

	* lib/DOMAINS/DOMAIN/TEST/FreeModule.tst, lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	Fixed endomorphismMatrix with no row args, so that it uses the on-fly
	rankers (to make it work with infinite dimensional modules).

	* lib/init.mu:
	New experimental feature: the endomorphismMatrix method of modules
	with basis (and other methods built on it like leftMatrix) now takes
	extra arguments to specify the row and column indices. The available
	options are for the moment:

	  ColumnVectors, ColumnIndices, ColumnArgs, RowIndices, RowArgs, RowRank

	No documentation yet. Tests in lib/DOMAINS/DOMAIN/TEST/FreeModule.tst.

	* TODO: Update.

	* experimental/algNDec.mu: *** empty log message ***

	* lib/DOMAINS/DOMAIN/TEST/FreeModule.tst, lib/DOMAINS/CATEGORY/ModuleWithBasis.mu, lib/DOMAINS/CATEGORY/LeftAModuleWithBasis.mu:
	New experimental feature: the endomorphismMatrix method of modules
	with basis (and other methods built on it like leftMatrix) now takes
	extra arguments to specify the row and column indices. The available
	options are for the moment:

	  ColumnVectors, ColumnIndices, ColumnArgs, RowIndices, RowArgs, RowRank

	No documentation yet. Tests in lib/DOMAINS/DOMAIN/TEST/FreeModule.tst.

	* lib/COMBINAT/rankers.mu:
	New feature: rankFromList(l, Fail)(x) returns FAIL if x is unknown
	instead of raising an error.

	* lib/COMBINAT/TEST/imageClass.tst, lib/COMBINAT/imageClass.mu:
	New feature: extra args to the domain are passed down to the function
	Bug fix: unrank and random did not handle FAIL return values
	Tests written for all methods

	* lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/permutations.mu:
	Bug fix: unrank(r,n) now correctly return FAIL when r>n!

	* lib/LIBFILES/operators.mu: No need anymore to bless funcenv's
	Removed makeAssociative_Inner.

2004-10-22  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXAMPLES/GraphQuasiSymmetricFunctions.mu, lib/EXPERIMENTAL/RQuasiSymmetricFunctions.mu:
	Fixed non local variables.

2004-10-21  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* README: Update.

	* lib/EXAMPLES/LodayRoncoAlgebra.mu, lib/EXAMPLES/GraphQuasiSymmetricFunctions.mu:
	Fixed non-local variables.

	* lib/LIBFILES/experimental.mu: Fixed buggy loadproc.
	Fixed non-local variables.

	* lib/EXPERIMENTAL/TEST/experimental.tst, lib/EXAMPLES/TEST/examples.tst:
	Added global test files for examples and experimental.

	* lib/COMBINAT/TEST/combinat.tst: Micro comment improvement

	* lib/COMBINAT/tableaux.mu:
	Detailed comment on the technique for kostka from lrcalc.

	* experimental/algNDec.mu: Test morphism from HeckeSym to Algebra.

2004-10-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/MAPITL/Makefile.in, src/MAPITL/Makefile.am:
	MAPITL_test.mdh was missing in EXTRA_DIST

	* src/GLIP/README, src/MAPITL/README:
	Resurrected the README. It does not harm to have a default file for
	it, and saves some trouble in make dist for MuPAD-Combinat.

	* lib/LIBFILES/experimental.mu:
	New function experimental::gaussElimPID.

	* doc/html/Makefile.in: Update of the autotools build system.

	* doc/html/Makefile.am: Use only 2 latex runs; that should be enough.

	* TODO: Update.

	* lib/EXAMPLES/SymmetricFunctions.mu: TODO.

	* experimental/algNDec.mu: Indentation.

	* lib/COMBINAT/TEST/words.tst:
	Documentation for evaluation-related functions.
	Documentation and tests for words::swap*.

	* README.in:
	Added note about user testimonials and building of binary packages.

	* index.html.in: Added link to user testimonials

	* lib/COMBINAT/DOC/lyndonWords.tex: Typo fix + micro improvement.

	* lib/COMBINAT/DOC/words.tex: Typo fix.

	* lib/COMBINAT/words.mu:
	Documentation for evaluation-related functions.
	Documentation and tests for words::swap*.

	* lib/COMBINAT/DOC/preface.tex, lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/DOC/generators.tex:
	Fixed broken links.
	Simplified some \Mup, thanks to the new automatic aliases with MMethodDetails.
	Fixed missing }
	Fixed some indentation.

	* lib/COMBINAT/TEST/tableaux.tst, lib/COMBINAT/DOC/tableaux.tex, lib/COMBINAT/tableaux.mu:
	New method: combinat::tableaux::kostka, implemented via lrcalc
	or symmetrica.

2004-10-16  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* Makefile.am, Makefile.in:
	Removed reference to removed bootstrap file.

	* lib/init.mu: Micro improvement to the banner.

	* lib/init.mu:
	Reworked the information banner that is pretty printed when the
	package is loaded.

2004-10-15  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/AlgTools.mu: ...

2004-10-15  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* doc/dvi/dependencies, doc/dvia4/Makefile.in, doc/dvia4/dependencies, doc/html/Makefile.in, doc/html/dependencies, src/MAPITL/MAPITL.h, doc/ascii/Makefile.in, doc/ascii/dependencies, doc/dvi/Makefile.in, Makefile.in:
	Update of the autotools build system.

	* config/packages.list.in, src/GLIP/config/packages.list.in, src/MAPITL/config/packages.list.in:
	Use the short description.

	* libraries.am: Added polylib in the documents.

	* TODO: Update

	* BUGS: *** empty log message ***

	* experimental/algNDec.mu: Cleanup.

	* Makefile.am: New rule clean-module-sources

	* lib/DOC/referenceManual.tex:
	Simplified the \Mup reference, in a (false) hope to fix the links in
	the html doc.

2004-10-15  hivert  <hivert@eole.rouba.net>

	* experimental/algNDec.mu: ...

2004-10-14  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/MAPITL/MAPITL.h:
	Added conversion from unsigned long to take care of size_t under Darwin.

	* src/lrcalc-module/Makefile.in, src/nauty-module/Makefile.in, src/GLIP/Makefile.in, src/MAPITL/Makefile.in, src/MachineIntegerListsLex/Makefile.in, test/Makefile.in, src/lrcalc/Makefile.in, src/lrcalc/lrcoef/Makefile.in, src/lrcalc/mathlib/Makefile.in, src/Symmetrica-module/Makefile.in, src/Symmetrica/Makefile.in, src/gordan/Makefile.in, src/MAPITL/configure, src/GLIP-module/Makefile.in, src/IPC/Makefile.in, src/GLIP/configure, src/Makefile.in, doc/dvi/Makefile.in, doc/dvia4/Makefile.in, doc/html/Makefile.in, doc/Makefile.in, doc/ascii/Makefile.in, Makefile.in, README, README.in, configure:
	Update of the autotools build system.

	* config/packages.list.in, src/GLIP/config/packages.list.in, src/MAPITL/config/packages.list.in, src/MAPITL/configure.ac, src/GLIP/configure.ac, config/sourceforge.am, src/GLIP/config/sourceforge.am, src/MAPITL/config/sourceforge.am, config/packages.m4, src/GLIP/config/packages.m4, src/MAPITL/config/packages.m4, config/packages.am, src/GLIP/config/packages.am, src/MAPITL/config/packages.am, config/cvs.am, src/GLIP/config/cvs.am, src/MAPITL/config/cvs.am, configure.ac:
	Reworked the package building system to use EPM.
	Now, we should also be able to build deb/aix/osx/... binary packages.

	* TODO:
	MAPITL does not require specific configuration; so don't run configure
	there anymore to save some time.

2004-10-11  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* README.in, ChangeLog: Update.

	* src/lrcalc-module/Makefile.in, src/nauty-module/Makefile.in, configure.ac, src/MachineIntegerListsLex/Makefile.in, bootstrap, configure:
	MAPITL does not require specific configuration; so don't run configure
	there anymore to save some time.

	* src/MAPITL/MAPITL_test.mdh, src/MAPITL/MAPITL_test.mdh.in, src/MAPITL/Makefile.am, src/MAPITL/Makefile.in, src/MAPITL/configure.ac, src/MAPITL/MAPITL_test.mdg.in:
	For the sake of simplicity:
	 - Removed MAPITL_test.mdg which was useless.
	 - MAPITL_test.mdh (which by the way is outdated) is no more
	   configure-generated (that was not really useful anyway).

2004-10-11  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/lrcalc-module/Makefile.in, src/nauty-module/Makefile.in, configure.ac, src/MachineIntegerListsLex/Makefile.in, bootstrap, configure:
	MAPITL does not require specific configuration; so don't run configure
	there anymore to save some time.

	* src/MAPITL/MAPITL_test.mdh, src/MAPITL/MAPITL_test.mdh.in, src/MAPITL/Makefile.am, src/MAPITL/Makefile.in, src/MAPITL/configure.ac, src/MAPITL/MAPITL_test.mdg.in:
	For the sake of simplicity:
	 - Removed MAPITL_test.mdg which was useless.
	 - MAPITL_test.mdh (which by the way is outdated) is no more
	   configure-generated (that was not really useful anyway).

2004-10-10  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/lrcalc-module/Makefile.in, src/nauty-module/Makefile.in, configure.ac, src/GLIP/Makefile.in, src/MachineIntegerListsLex/Makefile.in, bootstrap, configure:
	GLIP does not require specific configuration; so don't run configure
	there anymore to save some time.
	TODO: do the same thing for MAPITL.

	* src/lrcalc-module/Makefile.in, src/nauty-module/Makefile.in, lib/DOC/exercises.tex, src/MachineIntegerListsLex/Makefile.in, Makefile.am, Makefile.in, doc/html/Makefile.am, doc/html/Makefile.in, index.html.in, lib/DOC/annexes.tex:
	Fixed missing files in the installation of the html documentation
	(main index.html, gif files, Wiki).
	Fixed some broken links

	* test/Makefile.in, test/Makefile.am:
	Fixed version test (prog::check'ing was inadvertently disabled in
	MuPAD 2.5, not just 2.0.0).

2004-10-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/OPERATORS/TEST/persistentRemember.tst, lib/OPERATORS/persistentRemember.mu:
	New method setDirectory.
	Fixed the test file which broke under MuPAD <= 2.5.3 due to an
	improper evaluation in a sysassign (replaced by a setDirectory).

2004-10-08  hivert  <hivert@eole.rouba.net>

	* index.html.in: New release.

2004-10-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/DOC/permutations.tex:
	Fixed cocode to the correct coCode.

	* TODO: Update.

	* lib/COMBINAT/DOC/generators.tex:
	Proofreading of Florent's additions + updates.

2004-10-08  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/DOC/ribbonsTableaux.tex: some correction added

2004-10-08  hivert  <hivert@eole.rouba.net>

	* lib/COMBINAT/generators.mu:
	An error is now raised when trying to copy a generator with mupad200.

2004-10-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/generators.tst:
	Disabled tests requiring copy of generators when running MuPAD 2.0.0.

2004-10-08  hivert  <hivert@eole.rouba.net>

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst: Cleaned...

2004-10-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/DOC/preface.tex:
	Proofreading of Florent's additions + updates.

2004-10-08  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/DOC/ribbons.tex: some corrections done

2004-10-08  hivert  <hivert@eole.rouba.net>

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst:
	Solved the watchdog timeout problem.

	* lib/COMBINAT/DOC/generators.tex:
	Added doc for copy. The design of generatorWithCopy is still open and
	thus this function remains undocumented.

2004-10-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/permutations.mu, lib/COMBINAT/freeTreesLabelled.mu:
	Fixed interfaces.

2004-10-08  hivert  <hivert@eole.rouba.net>

	* lib/COMBINAT/DOC/lyndonWords.tex:
	Added a link to lyndonWords::fromContent.

	* lib/COMBINAT/DOC/permutations.tex:
	Slightly improved organisation of the doc.

2004-10-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/DOC/necklaces.tex, lib/COMBINAT/DOC/lyndonWords.tex:
	Doc improvements suggested by Florent.

	* src/nauty-module/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/lrcalc-module/Makefile.in, Makefile.in, src/GLIP/Makefile.in, src/MAPITL/Makefile.in:
	Update of the autotools build system.

	* config/packages.am, src/GLIP/config/packages.am, src/MAPITL/config/packages.am:
	Use rpmbuild instead of rpm.

	* src/lrcalc-module/Makefile.in, src/nauty-module/Makefile.in, test/Makefile.in, src/lrcalc/Makefile.in, src/lrcalc/lrcoef/Makefile.in, src/lrcalc/mathlib/Makefile.in, src/Symmetrica-module/Makefile.in, src/gordan/Makefile.in, config/config.h.in, src/GLIP/config/config.h.in, src/MAPITL/config/config.h.in, src/MAPITL/configure.ac, src/MachineIntegerListsLex/Makefile.in, src/Symmetrica/Makefile.in, src/IPC/Makefile.in, src/MAPITL/Makefile.in, src/MAPITL/config.h.in, src/MAPITL/configure, src/GLIP-module/Makefile.in, src/GLIP/configure.ac, doc/html/Makefile.in, src/GLIP/Makefile.in, src/GLIP/config.h.in, src/GLIP/configure, src/Makefile.in, doc/dvi/Makefile.in, doc/dvia4/Makefile.in, doc/Makefile.in, doc/ascii/Makefile.in, Makefile.in, config.h.in, configure, configure.ac:
	Moved the configure-generated config/config.h to config.h.
	Otherwise, this caused problems when CVS-sharing the config directory
	between MuPAD-Combinat, MAPITL and GLIP.

	* src/MAPITL/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/Symmetrica-module/Makefile.in, src/nauty-module/Makefile.in, src/IPC/Makefile.in, src/gordan/Makefile.in, src/lrcalc-module/Makefile.in, src/GLIP-module/Makefile.in:
	Update of the autotools build system.

	* TODO: Update.

	* config/mupad.am, src/GLIP/config/mupad.am, src/MAPITL/config/mupad.am:
	Workaround for the compilation of dynamic module for MuPAD 2.0.0 with
	recent gcc which do not export std::new_handler by default.

2004-10-08  hivert  <hivert@eole.rouba.net>

	* lib/COMBINAT/DOC/lyndonWords.tex: Typo.

	* lib/COMBINAT/DOC/preface.tex: ...

	* lib/COMBINAT/DOC/permutations.tex: Update to \MethodSection.

2004-10-07  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* test/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/nauty-module/Makefile.in, src/lrcalc-module/Makefile.in, TODO:
	Update of the autotools build system.

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	Don't use operator <=> which does not exists in MuPAD 2.0.0.

	* test/Makefile.am:
	Disable running prog::check in MuPAD 2.0.0, as this one is broken.

	* lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu:
	Don't use operator ==> which does not exists in MuPAD 2.0.0.

	* lib/COMBINAT/subClass.mu, lib/init.mu:
	Declare the options for combinat::subClass at the right place.

	* lib/COMBINAT/decomposableObjects.mu:
	Use initDomain to apply the standard workaround for MuPAD 2.0.0's
	option remember bug (makeValuation, ...).

	* lib/EXAMPLES/FreeQuasiSymmetricFunctions.mu:
	Comment about MuPAD 2.0.0.

	* createDomain: Don't use 'test' for the domain used for testing.

	* test/Makefile.in, src/lrcalc-module/Makefile.in, src/nauty-module/Makefile.in, lib/EXPERIMENTAL/TEST/LandoHopfAlgebra.tst, src/MachineIntegerListsLex/Makefile.in, doc/ascii/Makefile.in, doc/ascii/dependencies, TODO, configure:
	Update of the autotools build system.

	* configure.ac:
	Removed now unused configure test FUNC_OFSTREAM_FROM_FD.

	* lib/OPERATORS/TEST/tensorProductOfMaps.tst:
	Fixed (again) testinit string.

	* test/Makefile.am:
	Somewhat improved handling of line breaks causing warnings to
	be misinterpreted as errors.

	* src/lrcalc-module/Makefile.in: Update of the autotools build system.

	* src/lrcalc-module/Makefile.am:
	Fixed relative reference to build dir for lrcalc/mathlib/libmath.la.

	* src/nauty-module/Makefile.in, src/lrcalc-module/Makefile.in, src/MachineIntegerListsLex/Makefile.in, config/config.h.in, doc/dvi/Makefile.in, src/GLIP/config/config.h.in, src/MAPITL/config/config.h.in:
	Update of the autotools build system.

	* lib/MUPADBACKPORT/DOMAINS/CONSTR/DCgetEnt.mu:
	Bug fix for MuPAD 2.0.0 (the kernel does not bless procedures on assignement)

	* lib/OPERATORS/DOC/persistentRemember.tex:
	Wipe out completely the persistent remember directory before and after
	the tests.

	* lib/OPERATORS/persistentRemember.mu: More quiet reset() method.
	New resetDirectory function.

	* lib/OPERATORS/overloaded.mu: Added conversion in the interface.

	* lib/DOC/demonstration.tex: Fixed minor pretty print change in output.

	* lib/COMBINAT/generators.mu: Added map in the interface.

	* lib/COMBINAT/DOC/generators.tex: Marked compose as really deprecated.

	* doc/STYLES/Mhelp.sty:
	Improved interface consistency check: the interface entries are now
	really looked for recursively, without a priori limit on the depth.

	* doc/dvi/Makefile.am: Clean .patch files.

	* lib/OPERATORS/TEST/tensorProductOfMaps.tst:
	Fixed incorrect string in prog::testinit.

	* lib/PROG/bless.mu: Added comments.

	* src/lrcalc/mathlib/Makefile.in, src/lrcalc/lrcoef/Makefile.in:
	Update of the autotools build system.

	* src/lrcalc/mathlib/Makefile.am, src/lrcalc/lrcoef/Makefile.am:
	Added missing headers in _SOURCES so that they end up in the distribution.

	* TODO: *** empty log message ***

	* src/MAPITL/MAPITL.tst:
	Disabled known-to-fail equality tests with MuPAD < 3.1.0.

	* src/MachineIntegerListsLex/Makefile.in, src/nauty-module/Makefile.in, src/lrcalc-module/Makefile.in, src/IPC/Makefile.in, configure, Makefile.in:
	Update of the autotools build system.

	* config/compile, src/GLIP/config/compile, src/MAPITL/config/compile:
	Added new autotool file config/compile.

	* Makefile.am: Added make.sh in the distribution.

	* src/IPC/Makefile.am: Added boost/* in the distribution.

	* make.sh:
	Backported modifications from Ralf to not build the doc, nor run the
	tests, and call MuPAD appropriately.

	* lib/COMBINAT/getOptions.mu:
	Backport of 'global variable X' fix by Ralph.

2004-10-06  hivert  <hivert@eole.rouba.net>

	* lib/PROG/testUnit.mu: Unused local var.

	* lib/COMBINAT/tableaux.mu: Standard dom bug with mupad.2.5.*

	* lib/DOMAINS/DOMAIN/BooleanSemiRing.mu, lib/DOMAINS/DOMAIN/SemiRing.mu:
	Standard patch for the dom::problem with 2.5.*.

2004-10-06  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* TODO, NEWS: *** empty log message ***

	* lib/OUTPUT/DOC/asciiArt.tex, lib/OUTPUT/asciiArt.mu:
	- Fixed spurious extra line(s) in the output of
	  output::asciiArt::fromArray, in particular with option Compact.
	- Fixed interface by setting category Cat::BaseCategory
	- New expr/convert methods to please Cat::BaseCategory
	- Fixed (un)documented in the interface

	* lib/EXPERIMENTAL/TEST/YangBaxterGraph.tst, lib/OPERATORS/TEST/repeatedSquaring.tst, lib/DOMAINS/DOMAIN/TEST/TensorProductOfFreeModules.tst, lib/EXAMPLES/TEST/FreeQuasiSymmetricFunctions.tst, lib/EXAMPLES/TEST/QuasiSymmetricFunctions.tst, lib/EXAMPLES/TEST/SymmetricFunctions.tst, lib/COMBINAT/TEST/compositions.tst, lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/TEST/integerMatrices.tst, lib/COMBINAT/TEST/nbspcols.tst, lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/TEST/rankers.tst, lib/COMBINAT/TEST/setPartitions.tst, lib/COMBINAT/TEST/setPartitionsOrdered.tst, lib/COMBINAT/TEST/skewPartitions.tst, lib/COMBINAT/TEST/tableaux.tst:
	Fixed test files for the MuPAD nightly tests:
	- Fixed errors when prog::TestNoTestargs is FALSE.
	  Those errors came from tests of the form test(bla(), Traperror=...)
	  where bla() does only throw errors properly when testargs is FALSE.
	  Those tests have been embedded in a
		if prog::TestNoTestargs = FALSE then ...
	- Fixed parser mistakes due to the fact that the test files are piped
	  through MuPAD, and not read by MuPAD.
	  Typically the following lines are misinterpreted as two distinct commands:
		bla
		  (...)
	  Fixed as:
		bla (
	           ...)

	* lib/DOMAINS/CATEGORY/DOC/CombinatorialClassWith2DBoxedRepresentation.tex:
	Backport of CCR \Mup{} fixes.

	* lib/EXPERIMENTAL/TEST/LandoHopfAlgebra.tst, lib/EXPERIMENTAL/LandoHopfAlgebra.mu:
	Fixed non local / unused variables.

	* lib/EXPERIMENTAL/LandoHopfAlgebra.mu:
	experimental::LandoHopfAlgebra is now a parametrized domain.
	side effect: fix error in prog::init(All) when combinat::graphs is not
	available.

	* lib/POLYLIB/TEST/variables.tst: Fixed missing prog::testexit():

	* lib/COMBINAT/TEST/graphs.tst:
	Use export(prog, Alias, test) instead of an assignment.

2004-10-05  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* doc/html/Makefile.in, doc/html/dependencies, doc/html/Makefile.am:
	Fixed broken dependencies files (referencing .mdvi instead of .dvi).

	* src/lrcalc-module/Makefile.in, src/nauty-module/Makefile.in, src/MachineIntegerListsLex/Makefile.in, doc/html/Makefile.in, src/MAPITL/Makefile.in, doc/ascii/Makefile.in, TODO, configure, Makefile.in:
	Update of the autotools build system.

	* doc/html/Makefile.am:
	Temporarily disabled broken inclusion of html doc files in the distribution.

	* src/lrcalc-module/Makefile.am:
	Update now that lrcalc has been autoconfiscated.

	* lib/EXPERIMENTAL/HeckeClifford/HeckeClifford.mu, lib/EXPERIMENTAL/HeckeClifford/hcl.mu:
	Moved global HeckeCliffordWordModule into experimental where it belongs.

	* lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	Little optimization in print.

	* doc/ascii/Makefile.am:
	Temporarily disabled broken inclusion of ascii doc files in the distribution.

	* Makefile.am: Cat::GradedCombinatorialClass -> MuPAD CVS.

	* src/MAPITL/Makefile.am:
	Updated include_HEADERS for the new MAPITL/*.h

	* lib/DOMAINS/CATEGORY/GradedCombinatorialClass.mu:
	Put size in interfaceAddIfExists.

	* lib/COMBINAT/TEST/decomposableObjects.tst:
	Added line breaks in very long line to please the MuPAD line editor
	(report by Ralf).

	* lib/TEST/mupad.tst, lib/init.mu:
	Fixed broken poly2list library backport for MuPAD < 3.0.0.

	* lib/COMBINAT/graphs.mu:
	Replaced the warning by a userinfo when Nauty is not available, to
	please prog::init(All) in MuPAD's nightly tests.

	* lib/DOMAINS/CATEGORY/DOC/GradedCombinatorialClass.tex:
	Meaningful, albeit preliminary, documentation.

	* lib/EXPERIMENTAL/HeckeClifford/HeckeClifford.mu:
	Fix: HeckeCliffordAlgebraTools was declared in the global name space.

	* lib/DOMAINS/DOMAIN/WeylAlgebra_Table.mu: Fixed doc typo.

2004-10-04  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/freeTreesLabelled.tst:
	Fix: combinat::freeTreesLabelled was not prog::check'ed.

	* lib/COMBINAT/freeTreesLabelled.mu: Fixed non local variable.

	* lib/COMBINAT/integerVectorsModPermutationGroup.mu:
	Temporary fix of the interface.
	A major rework of the interfaces is needed for words and subdomains.

	* configure.ac: partial autoconfiscation of lrcalc.

	* src/lrcalc/lrcoef/Makefile, src/lrcalc/lrcoef/Makefile.am, src/lrcalc/lrcoef/Makefile.in, src/lrcalc/mathlib/Makefile, src/lrcalc/mathlib/Makefile.am, src/lrcalc/mathlib/Makefile.in, src/lrcalc/Makefile.am, src/lrcalc/Makefile.in:
	Partial autoconfiscation (a configure.ac is still missing to be
	autonomous from the MuPAD-Combinat build tree).

	* lib/COMBINAT/DOC/graphs.tex, lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/DOC/tableaux.tex, lib/COMBINAT/DOC/freeTreesLabelled.tex, lib/COMBINAT/dyckWords.mu, lib/COMBINAT/freeTreesLabelled.mu, lib/COMBINAT/graphs.mu, lib/COMBINAT/integerVectors.mu, lib/COMBINAT/permutations.mu, lib/COMBINAT/skewTableaux.mu, lib/COMBINAT/trees.mu:
	Updated some outdated interface(Add) entries.

	* lib/COMBINAT/generators.mu:
	combinat::generators is now in category Cat::BaseCategory
	(fixes broken interface).

	* doc/html/Makefile.am:
	Fixed the documentation subfile pattern w.r.t. the new names.

	* Makefile.in, doc/dvi/Makefile.in:
	Update of the autotools build system.

	* TODO: *** empty log message ***

	* lib/LIBFILES/experimental.mu:
	New methods _union and _minus in experimental::intSetSort.
	With those, combinat::freeTreesLabelled::fromListPrufer can now use
	indifferently DOM_SET's or experimental::intSetSort's.

	* lib/COMBINAT/DOC/trees.tex: Removed outdated comment.

	* lib/COMBINAT/DOC/lrcalc.tex: Added url.

	* lib/ADT/DOC/Stack.tex, lib/ADT/Stack.mu:
	Implemented truncation of large Stacks output, after Christopher's suggestion.

	* lib/COMBINAT/freeTreesLabelled.mu:
	New methods _union and _minus in experimental::intSetSort.
	With those, combinat::freeTreesLabelled::fromListPrufer can now use
	indifferently DOM_SET's or experimental::intSetSort's.

	* lib/COMBINAT/DOC/decomposableObjects.tex:
	Fixed broken MExample label ex-advanced-counting.

	* lib/OPERATORS/DOC/persistentRemember.tex:
	According to Christopher, MDomElConst should come before the MDetails
	about the elements of the domain.

	* lib/COMBINAT/DOC/main.tex: Reordered alphabetically.
	Deal with doc files that may be missing (because we do not include
	them in the MuPAD library).

	* doc/dvi/Makefile.am:
	Now make machin.tst should rebuild the dvi if needed.

	* Makefile.am: Removed a few documentation pages from MUPAD_DOC_FILES.

	* lib/OPERATORS/DOC/main.tex:
	operators::persistentRemember is not portable under windows; so
	we do not integrate its doc in the MuPAD library for the moment.
	=> only input persistentRemember if the doc file is there.

	* lib/OPERATORS/overloaded.mu:
	New expr method, to please Cat::BaseCategory.
	(actually, print has been renamed to expr).

	* lib/ADT/Stack.mu:
	Backport of Christopher workaround for the pretty printing.

	* lib/DOMAINS/CATEGORY/DOC/ModuleWithBasis.tex:
	Typo fix: Cat::Combinatorialclass -> Cat::CombinatorialClass.

	* lib/DOMAINS/DOMAIN/DOC/SparseMatrix_LinBox.tex:
	Fixed broken \Mup{...}.

	* lib/DOMAINS/CATEGORY/DOC/CombinatorialClassWith2DBoxedRepresentation.tex:
	Meaningful, albeit preliminary, documentation.

	* lib/COMBINAT/DOC/lyndonWords.tex, lib/COMBINAT/DOC/necklaces.tex:
	Doc fix: \Mup{evaluation} -> \Mpar{evaluation}.

	* lib/COMBINAT/DOC/LattE.tex:
	Meaningful, albeit very preliminary, documentation.

2004-10-03  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/graphs.mu:
	Fixed test for existence of combinat::Nauty (misplaced alias).

	* lib/OUTPUT/asciiArt.mu, lib/DOMAINS/CATEGORY/CombinatorialClassWith2DBoxedRepresentation.mu:
	Fixed the management of the separator argument of
	output::asciiArt::fromArray.

	* lib/IPC/DOC/preface.tex: Fixed MuPAD output for MuPAD-dev

	* lib/ADT/DOC/Stack.tex: Changed pretty printing of adt::Stack.

	* lib/OPERATORS/overloaded.mu:
	operators::overloaded is now in Cat::BaseCategory
	Fixes missing interface entry, which was moved recently from
	Dom::BaseDomain to Cat::BaseCategory.

	* src/MachineIntegerListsLex/Makefile.in, src/lrcalc-module/Makefile.in, src/nauty-module/Makefile.in, Makefile.in:
	Update of the autotools build system.

	* doc/STYLES/m1a.cls, doc/STYLES/Mhelp-tex4ht.cfg:
	Import from MuPAD LaTeX style files.

	* Makefile.am:
	Updated list of things to be transfered to the MuPAD library.

	* TODO: Update.

	* lib/POLYLIB/poly2list.mu:
	Removed poly2lib::poly2list. Instead, backport the poly2list
	overloading feature of MuPAD 3.0.0 directly in the main poly2list.

	* lib/COMBINAT/treesGeneric.mu:
	Fixed deprecated MainTerminal -> MainNonTerminal

	* lib/TEST/mupad.tst, lib/LIBFILES/operators.mu, lib/EXPERIMENTAL/DOC/Steenrod.tex, lib/EXPERIMENTAL/Steenrod.mu, lib/EXAMPLES/SymmetricFunctions.mu, lib/EXAMPLES/QuasiSymmetricFunctions.mu, lib/DOMAINS/CATEGORY/ModuleWithBasis.mu, lib/init.mu:
	Removed poly2lib::poly2list. Instead, backport the poly2list
	overloading feature of MuPAD 3.0.0 directly in the main poly2list.

	* lib/EXAMPLES/CyclesHopfAlgebra.mu:
	Fixed deprecated MainTerminal -> MainNonTerminal

	* lib/COMBINAT/graphs.mu:
	Disable combinat::graphs when combinat::Nauty is not available.

2004-10-02  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/LIBFILES/operators.mu:
	Fixed missing autoload for operators::tensor & friends.

	* lib/init.mu: Update of Options.

	* lib/LIBFILES/combinat.mu:
	Updated the entries in the interface which should only be there
	when CombinatIsLoaded.

	* lib/COMBINAT/decomposableObjects.mu: Fixed comment.

	* lib/ADT/Stack.mu: Pretty print as adt::Stack(1,2,3).

	* lib/COMBINAT/integerMatrices.mu:
	Fixed the test for the availability of scalar products of symmetric
	functions, to make it also work in the MuPAD library.

	* lib/MUPADBACKPORT/GRAPH/DOC/reachableVertices.tex:
	Backport of tex fix by Ralf.

	* src/GLIP-module/GLIP.tst:
	Fixed oldish call to combinat::partitions(n).

2004-10-01  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* test/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/lrcalc-module/Makefile.in, src/lrcalc/Makefile.in, src/nauty-module/Makefile.in, src/IPC/Makefile.in, src/MAPITL/Makefile.am, src/MAPITL/Makefile.in, doc/dvia4/Makefile.in, doc/dvia4/dependencies, doc/html/Makefile.in, doc/html/dependencies, src/GLIP/Makefile.am, src/GLIP/Makefile.in, config/config.h.in, doc/ascii/Makefile.in, doc/dvi/Makefile.in, doc/dvi/dependencies, src/GLIP/config/config.h.in, src/MAPITL/config/config.h.in, Makefile.in, NEWS, README, TODO, configure, configure.ac:
	Update of the autotools build system.
	Switch to version 1.2.0.

	* Makefile.am:
	Added new stuff that needs to be put in the MuPAD CVS server.

	* lib/OPERATORS/overloaded.mu:
	Graph::connectedComponent -> Graph::reachableVertices.

	* lib/init.mu: New method Graph::reachableVertices.
	Backported Cat::BaseCategory with the new interfaceAdd feature from
	the MuPAD CVS.

	* doc/html/texmf.cnf: Enlarged pool size to let combinat.dvi compile.
	! TeX capacity exceeded, sorry [pool size=243874].

	* lib/MUPADBACKPORT/DOMAINS/CATEGORY/BaseCat.mu:
	Backported Cat::BaseCategory with the new interfaceAdd feature from
	the MuPAD CVS.

2004-10-01  fdescouens  <fdescouens@eole.rouba.net>

	* lib/OUTPUT/asciiArt.mu:
	Type::Option added for type checking of separator

2004-10-01  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUPADBACKPORT/DOMAINS/CONSTR/DCmkEnt.mu:
	Backport of DomainConstructor::makeEntry.

	* lib/MUPADBACKPORT/GRAPH/TEST/reachableVertices.tst, lib/MUPADBACKPORT/LIBFILES/Graph.mu, lib/MUPADBACKPORT/GRAPH/DOC/connectedComponent.tex, lib/MUPADBACKPORT/GRAPH/DOC/reachableVertices.tex, lib/MUPADBACKPORT/GRAPH/TEST/connectedComponent.tst, lib/MUPADBACKPORT/GRAPH/connectedComponent.mu, lib/MUPADBACKPORT/GRAPH/reachableVertices.mu:
	Commited Graph::reachableVertices (former Graph::connectedComponent)
	to the MuPAD CVS.

2004-10-01  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/skewTableaux.mu: op changes

2004-10-01  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/nauty-module/Nauty.mcc: Added myself to the authors :-)

	* lib/COMBINAT/permutations.mu: Added comment.

	* doc/ascii/Makefile.am:
	Fixed the documentation subfile pattern w.r.t. the new names.

	* doc/dvi/Makefile.am:
	Get dynamically the MuPAD version to set appropriately READPATH in the
	tests. So, one do not need anymore to specify it on the command line:

		make bla.res MUPAD=mupad300

	* src/MAPITL/MAPITL.h:
	Added Cell() constructor for the null() MuPAD object.

	* lib/COMBINAT/trees.mu:
	Fixed the output of the empty tree (was currently empty instead of the
	usual .).

	* test/Makefile.am:
	Get dynamically the MuPAD version to set appropriately READPATH in the
	tests. So, one do not need anymore to specify it on the command line:

		make bla.res MUPAD=mupad300

	* src/MAPITL/MAPITL/Cell_tmpl.h:
	Fixed to<...>() method which was broken!

	* src/IPC/IPC.mcc: Update of the comments.

	* lib/LIBFILES/IPC.mu:
	Renaming IPC::ifstream -> IPC::istream and similarwise for ostream.

	* lib/DOMAINS/CATEGORY/DOC/Operad.tex, lib/DOMAINS/CATEGORY/DOC/main.tex:
	Added Operad.tex which was missing in main.tex, and fixed a few TeX typo.

2004-10-01  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/DOC/skewTableaux.tex: some modified exemples

	* lib/COMBINAT/TEST/skewTableaux.tst: some tests modified

	* lib/COMBINAT/skewTableaux.mu: some modifications

2004-10-01  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/exercises.tex, lib/DOC/demonstration.tex:
	Fixed the example outputs.

	* lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/DOC/dyckWords.tex, doc/STYLES/Mwrite.sty, doc/STYLES/Mhyper.sty, doc/STYLES/Mhelp.sty:
	Update of the MuPAD help style files from MuPAD CVS.
	There is now an automatic \Malias for all methods. No need to add them
	manually any more. I stripped accordingly our help pages.

	* lib/COMBINAT/DOC/binaryTrees.tex:
	Oops, incorrect reversion. I should have used a plain . instead of
	this special . character.

	* lib/init.mu:
	- Fixed accidental commit that caused DomainConstructor::func_call and
	  friends to be backported even with MuPAD 3.*.
	- Backport makeEntry, the older version being incompatible with the new
	  getEntry.

	* lib/OUTPUT/DOC/asciiArt.tex:
	Fixed the broken output (mostly due to 'a' used both as a variable and
	free identifier + missing empty Mexout).
	Note: the code still needs to be fixed for the remaining outputs!

	* lib/init.mu: Fixed standard DOM bug with MuPAD < 3.0.0.

	* lib/COMBINAT/DOC/binaryTrees.tex:
	Reverted 1.20->1.21 change. This was a bug in the pretty-printing
	code, not in the documentation.

	* src/IPC/boost/fdstream.hpp, src/IPC/boost/fdstream.hpp.html, src/IPC/boost/fdstream.html, src/IPC/IPC.mcc, src/IPC/fdstest1.cpp, src/IPC/fdstest2.cpp, src/IPC/fdstest3.cpp, src/IPC/fdstest4-module.mcc, src/IPC/fdstest4-test_popen.cc, src/IPC/fdstest4-test_popen.h, src/IPC/fdstest4.cpp, src/IPC/Makefile.am:
	Use boost::fdstream from Josuttis to build C++ streams from file descriptors.
	Use the new MAPITL interface.
	Seems to be functional, but intensive tests on many platforms is required!

	* lib/OPERATORS/overloaded.mu:
	Changed userinfo level from 1 down to the less verbose 3 (con't)

2004-09-30  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* TODO: *** empty log message ***

	* lib/DOC/exercises.tex, lib/DOC/demonstration.tex:
	Update of the documentation example output for MuPAD 3.1 and the new
	pretty printing of trees.

	* lib/EXPERIMENTAL/DOC/Steenrod.tex:
	Moved back spair2 from experimental::SteenrodAlgebra here,
	since it is not context free.

	* lib/EXAMPLES/MyMultivariatePolynomials.mu:
	Reinserted method mult2Basis which is used in some places.

	* lib/DOMAINS/CATEGORY/DOC/ModuleWithSeveralBases.tex: Typo fix.

	* lib/DOMAINS/DOMAIN/DOC/main.tex:
	Added SemiRing.tex, and reordered alphabetically.

	* lib/DOMAINS/CATEGORY/OperadWithBasis.mu: Fixed broken syntax.

	* lib/DOMAINS/CATEGORY/GradedAlgebraWithBasis.mu:
	order defaults to ORDER in expTruncated and logTruncated.

	* lib/COMBINAT/skewTableaux.mu: Added comment.

	* lib/COMBINAT/tableaux.mu:
	Fixed method toPoset w.r.t. typing of tableaux.

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	Added stub definition of expr -> print to silence the test file.

	* lib/EXAMPLES/TEST/FreeQuasiSymmetricFunctions.tst:
	Fixed the test file for the change in expr: F([2,1,3]) -> F[2,1,3]

	* lib/DOMAINS/CATEGORY/TEST/HopfAlgebraWithSeveralBases.tst, lib/DOMAINS/CATEGORY/TEST/AlgebraWithSeveralBases.tst:
	Wrote minimal functional test file.

	* lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu:
	Added proper interfaceAdd entry.

	* lib/EXPERIMENTAL/Steenrod.mu: Made the test file work:
	 - Fixed ncexp / nclog to use dom::expTruncated/...
	 - experimental::SteenrodAlgebra is a Cat::GradedHopfAlgebraWithSeveralBases.
	 - Deleted out-of-context method spair2

2004-09-30  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/TEST/skewTableaux.tst:
	tests changes for new structure of typed objects

	* lib/COMBINAT/skewTableaux.mu: skewTableaux are now typed objects

2004-09-30  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/OPERATORS/overloaded.mu:
	Changed userinfo level from 1 down to the less verbose 3.

	* createDomain: Added a commented out todo section in the help page.

	* lib/DOMAINS/DOMAIN/DOC/SemiRing.tex:
	Added standard status header + misc stuff to the generated help page.
	Some proofreading latex fixes and cleanup.

	* lib/DOMAINS/DOMAIN/DOC/PermutationGroup.tex:
	Added standard status header + misc stuff to the generated help page.
	Fixed broken TeX.

2004-09-29  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/graphs.mu: Fixed buggy return type.

	* lib/COMBINAT/binaryTrees.mu, lib/COMBINAT/words.mu: Minor syntax fix.

	* lib/COMBINAT/DOC/graphs.tex: TeX typo fixes.

	* lib/ADT/DOC/main.tex, libraries.am: Added new help document for adt.

	* createDomain:
	Added standard status header + misc stuff to the generated help page.

	* lib/ADT/TEST/Stack.tst, lib/ADT/Stack.mu:
	Bug fix: poping an empty basic stack decreased its depth.

	* lib/COMBINAT/graphs.mu: Added standard new->list alias.
	Fixed getVertices.

	* lib/COMBINAT/partitions.mu:
	Removed backward compatibility alias new->count.

	* lib/COMBINAT/tableaux.mu: Added comment.

	* lib/DOMAINS/CATEGORY/OperadWithBasis.mu:
	Added interfaceAddIfExists entry.

	* lib/COMBINAT/trees.mu: Added comments.

	* lib/COMBINAT/words.mu, lib/COMBINAT/permutations.mu, lib/COMBINAT/binaryTrees.mu, lib/init.mu:
	New feature in Dom::BaseDomain: interfaceAddIfExists.
	Used in several combinatorial classes to tackle with the
	non-inheritance of entries that are again domains.

	* lib/DOMAINS/CATEGORY/DecomposableClass.mu: Added misc comments.

	* lib/DOMAINS/CATEGORY/Operad.mu:
	Added interfaceAdd entry + misc comments

	* lib/DOMAINS/CATEGORY/GradedModuleWithBasis.mu:
	Stricter type checking using dom::typeDegree.

	* lib/DOMAINS/CATEGORY/GradedAlgebraWithBasis.mu:
	Stricter type checking.

	* lib/PROG/DOC/testUnit.tex, lib/OPERATORS/DOC/overloaded.tex, lib/OPERATORS/DOC/persistentRemember.tex, lib/OUTPUT/DOC/asciiArt.tex, lib/POLYLIB/DOC/coeffRing.tex, lib/EXAMPLES/DOC/GraphQuasiSymmetricFunctions.tex, lib/EXAMPLES/DOC/QuasiSymmetricFunctions.tex, lib/EXAMPLES/DOC/SubsetsSpace.tex, lib/EXAMPLES/DOC/SymmetricFunctions.tex, lib/EXPERIMENTAL/DOC/FreeOperad.tex, lib/EXPERIMENTAL/DOC/LandoHopfAlgebra.tex, lib/EXPERIMENTAL/DOC/QSymSym.tex, lib/EXPERIMENTAL/DOC/RQuasiSymmetricFunctions.tex, lib/EXPERIMENTAL/DOC/Schur.tex, lib/EXPERIMENTAL/DOC/YangBaxterGraph.tex, lib/MUPADBACKPORT/GRAPH/DOC/connectedComponent.tex, lib/DOMAINS/CATEGORY/DOC/CombinatorialClassWith2DBoxedRepresentation.tex, lib/DOMAINS/CATEGORY/DOC/FiniteDimensionalAlgebraWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/GradedCombinatorialClass.tex, lib/DOMAINS/CATEGORY/DOC/GradedHopfAlgebraWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/GradedModuleWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/HopfAlgebraWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/HopfAlgebraWithSeveralBases.tex, lib/DOMAINS/CATEGORY/DOC/IntegerListsLexClass.tex, lib/DOMAINS/CATEGORY/DOC/LeftAModuleWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/ModuleWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/ModuleWithSeveralBases.tex, lib/DOMAINS/CATEGORY/DOC/PermutationGroup.tex, lib/DOMAINS/CATEGORY/DOC/SemiRing.tex, lib/DOMAINS/CATEGORY/DOC/SemiRng.tex, lib/DOMAINS/CATEGORY/DOC/UseOverloading.tex, lib/DOMAINS/DOMAIN/DOC/BooleanSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/FreeModule.tex, lib/DOMAINS/DOMAIN/DOC/MaxMinSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/MaxPlusSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/MinMaxSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/MinPlusSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/QuotientFreeModule.tex, lib/DOMAINS/DOMAIN/DOC/SemiRing.tex, lib/DOMAINS/DOMAIN/DOC/SparseMatrix_LinBox.tex, lib/DOMAINS/DOMAIN/DOC/SubFreeModule.tex, lib/DOMAINS/DOMAIN/DOC/SymmetricGroup.tex, lib/DOMAINS/DOMAIN/DOC/TensorProductOfFreeModules.tex, lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex, lib/COMBINAT/DOC/cartesianProduct.tex, lib/COMBINAT/DOC/catalan.tex, lib/COMBINAT/DOC/compositions.tex, lib/COMBINAT/DOC/countingFunctions.tex, lib/COMBINAT/DOC/decomposableObjects.tex, lib/COMBINAT/DOC/dyckWords.tex, lib/COMBINAT/DOC/generators.tex, lib/COMBINAT/DOC/integerListsLexTools.tex, lib/COMBINAT/DOC/integerMatrices.tex, lib/COMBINAT/DOC/integerVectors.tex, lib/COMBINAT/DOC/labelledBinaryTrees.tex, lib/COMBINAT/DOC/linearExtensions.tex, lib/COMBINAT/DOC/lrcalc.tex, lib/COMBINAT/DOC/lyndonWords.tex, lib/COMBINAT/DOC/modStirling.tex, lib/COMBINAT/DOC/necklaces.tex, lib/COMBINAT/DOC/nonCrossingPartitions.tex, lib/COMBINAT/DOC/partitions.tex, lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/DOC/ribbons.tex, lib/COMBINAT/DOC/ribbonsTableaux.tex, lib/COMBINAT/DOC/singleton.tex, lib/COMBINAT/DOC/skewPartitions.tex, lib/COMBINAT/DOC/skewTableaux.tex, lib/COMBINAT/DOC/stirling1.tex, lib/COMBINAT/DOC/stirling2.tex, lib/COMBINAT/DOC/subsets.tex, lib/COMBINAT/DOC/subwords.tex, lib/COMBINAT/DOC/trees.tex, lib/COMBINAT/DOC/treesGeneric.tex, lib/COMBINAT/DOC/warnDeprecated.tex, lib/COMBINAT/DOC/words.tex, lib/DOMAINS/CATEGORY/DOC/AlgebraWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/AlgebraWithSeveralBases.tex, lib/DOMAINS/CATEGORY/DOC/CombinatorialClass.tex, lib/COMBINAT/DOC/bell.tex, lib/COMBINAT/DOC/binaryTrees.tex, lib/COMBINAT/DOC/LattE.tex:
	Added systematic status header [ImplState=...] to all LaTeX help pages.

	* lib/DOMAINS/CATEGORY/DOC/OperadWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/Operad.tex:
	Added systematic status header [ImplState=...] to all LaTeX help pages.
	Wrote a reasonably complete doc for Cat::Operad and Cat::OperadWithBasis.

	* lib/DOMAINS/CATEGORY/DOC/GradedAlgebraWithBasis.tex:
	Added systematic status header [ImplState=...] to all LaTeX help pages.
	Wrote a reasonably complete doc for Cat::GradedAlgebraWithBasis.

	* lib/DOMAINS/CATEGORY/DOC/DecomposableClass.tex:
	Added systematic status header [ImplState=...] to all LaTeX help pages.
	Wrote a reasonably complete doc for Cat::DecomposableClass.

	* lib/COMBINAT/DOC/integerVectorsWeighted.tex:
	Added systematic status header [ImplState=...] to all LaTeX help pages.
	Fixed completely erroneous background information.

	* lib/COMBINAT/DOC/freeTreesLabelled.tex:
	Added systematic status header [ImplState=...] to all LaTeX help pages.
	Wrote a minimal doc for combinat::freeTreesLabelled.

	* lib/ADT/DOC/Stack.tex:
	Added systematic status header [ImplState=...] to all LaTeX help pages.
	Wrote a reasonably complete doc for adt::Stack.

	* lib/COMBINAT/DOC/tableaux.tex:
	Added systematic status header [ImplState=...] to all LaTeX help pages.
	Renamed systematically Mtype{partition p} into Mtype{partition} shape.

	* lib/COMBINAT/DOC/graphs.tex:
	Added systematic status header [ImplState=...] to all LaTeX help pages.
	Wrote a reasonably complete doc for combinat::graphs.

2004-09-29  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/DOC/stirling1.tex, lib/COMBINAT/DOC/ribbonsTableaux.tex, lib/COMBINAT/DOC/decomposableObjects.tex:
	my fault (previous version tested with an old MuPAD-3.0)

	* lib/COMBINAT/DOC/tableaux.tex, lib/COMBINAT/DOC/stirling1.tex, lib/COMBINAT/DOC/ribbonsTableaux.tex:
	a little bug for doc tests fixed

	* lib/COMBINAT/DOC/decomposableObjects.tex: bug in test doc changes

	* lib/COMBINAT/DOC/binaryTrees.tex: a little bug changes

2004-09-28  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/TEST/tableaux.tst: some little bugs

	* lib/COMBINAT/tableaux.mu:
	some typecheck modified (more precise than dom)

	* lib/COMBINAT/TEST/ribbonsTableaux.tst:
	tests changes for polynomials functions

2004-09-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/CATEGORY/DOC/GradedModuleWithBasis.tex:
	Reasonably complete documentation.

2004-09-27  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/permutations.mu:
	Fixed interfaceAdd w.r.t. inheritance of the subdomain youngSubgroup.

	* src/lrcalc/Makefile.am:
	Hack to avoid extra make rules to go recursively in the subdirectories.

	* Makefile.am:
	Fixed file list for tags: there is no more test file in src/*/TEST/*.tst

	* lib/MUEC/PART/ListPart.mu, lib/init.mu:
	New function: prog::setMaximalMAXDEPTH.
	Used in muEC::PART::ListPart.
	Takes care of the new limitation on MAXDEPTH since MuPAD 3.1.0.

	* lib/MUEC/SG/RR2Perm.mu: Fixed unused local variable.

	* lib/OPERATORS/persistentRemember.mu: Fixed non local variable.

	* lib/COMBINAT/DOC/warnDeprecated.tex:
	Removed all references to the longly deprecated combinat::permute and
	friends from the documentation.

	* lib/COMBINAT/TEST/combinat.tst:
	Removed tests for the longly deprecated partitions(n), permute, and
	friends.

	* lib/COMBINAT/graphs.mu: Fixed non local variable.

	* lib/COMBINAT/DOC/cartesian.tex, lib/COMBINAT/DOC/choose.tex, lib/COMBINAT/DOC/composition.tex, lib/COMBINAT/DOC/main.tex, lib/COMBINAT/DOC/permute.tex, lib/COMBINAT/DOC/powerset.tex, lib/LIBFILES/combinat.mu:
	Removed combinat::permute and friends from the interface.
	They now systematically emit a warning when called.

	* doc/dvi/Makefile.am:
	When calling checktest, reset the interfaces of the standard MuPAD
	domains which we extend, so as to ignore the standard MuPAD entries in
	the interface consistency checks.

	* lib/EXAMPLES/FreeSymmetricFunctions.mu, lib/EXAMPLES/FreeQuasiSymmetricFunctions.mu:
	Renamed *Permutoedron -> *Permutohedron

	* lib/init.mu:
	Added prog::bless and Dom::SparseMatrix_Linbox to the interfaces.

	* src/lrcalc/Makefile.am:
	Hack to avoid make check to go recursively in the subdirectories.

	* lib/LIBFILES/experimental.mu:
	Francois had forgotten to remove asciiRibbons and ribbonsTableaux from
	the autoload.

	* lib/EXPERIMENTAL/DOC/HeckeSymmetricGroupAlgebra.tex, lib/EXPERIMENTAL/YangBaxterGraph.mu, lib/EXPERIMENTAL/PBT.mu:
	Renamed *Permutoedron -> *Permutohedron

	* lib/DOMAINS/DOMAIN/DOC/BooleanSemiRing.tex:
	Added missing Mexout environment.

	* lib/DOMAINS/DOMAIN/DOC/SparseMatrix_LinBox.tex:
	Stop testing the output, as it depend whether smithform_gap is
	available or not.

	* lib/DOMAINS/DOMAIN/DOC/PermutationGroup.tex:
	Stop testing the output of the elements of the group, as this changes
	depending on whether we are using GLIP or not.

	* lib/DOMAINS/DOMAIN/DOC/FreeModule.tex:
	Fixed the aliases for Dom::FreeModuleTable & friends.

	* lib/DOMAINS/CATEGORY/DOC/CombinatorialClassWith2DBoxedRepresentation.tex, lib/DOMAINS/CATEGORY/DOC/AlgebraWithBasis.tex:
	Typo fix.

	* lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/permutations.mu, TODO:
	Renamed *Permutoedron -> *Permutohedron

	* doc/TOOLS/checktest:
	Bug fix: the filename header was incorrectly repeated in the produced
	patch file when several changes occurred in the same file.

	* lib/DOMAINS/CATEGORY/DOC/AlgebraWithBasis.tex:
	Reused some examples of Dom::AlgebraWithBasis_Table.

	* lib/DOMAINS/DOMAIN/DOC/AlgebraWithBasis_Table.tex, lib/DOMAINS/DOMAIN/DOC/main.tex:
	Removed the documentation of deprecated Dom::AlgebraWithBasis_Table.

	* lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex:
	Update of the documentation example output for MuPAD 3.1 and the new
	pretty printing of trees and tableaux.
	Eric: please double check my changes!

	By the way: maybe you want to provide backward compatibility aliases
	for iscomplete/... Up to you to decide, depending on whether you think
	there is code somewhere using them or not.

	* lib/PROG/DOC/testUnit.tex:
	Simplified the design, and fixed the examples.

	* lib/EXPERIMENTAL/DOC/YangBaxterGraph.tex: Typo fixes.

	* lib/EXPERIMENTAL/DOC/RQuasiSymmetricFunctions.tex:
	Update of the documentation example output for MuPAD 3.1 and the new
	pretty printing of trees and tableaux.

	* lib/OUTPUT/DOC/asciiArt.tex:
	Update of the documentation example output for MuPAD 3.1 and the new
	pretty printing of trees and tableaux.
	Many examples are still broken!

	* lib/COMBINAT/DOC/trees.tex, lib/COMBINAT/DOC/tableaux.tex, lib/COMBINAT/DOC/skewTableaux.tex, lib/COMBINAT/DOC/ribbons.tex, lib/COMBINAT/DOC/ribbonsTableaux.tex, lib/COMBINAT/DOC/binaryTrees.tex:
	Update of the documentation example output for MuPAD 3.1 and the new
	pretty printing of trees and tableaux.
	Fixed some typos
	Little improvements here and there.
	There are still some buggy examples: please fix them!

	* lib/COMBINAT/DOC/ribbons.tex, lib/COMBINAT/DOC/skewTableaux.tex, lib/COMBINAT/DOC/tableaux.tex, lib/COMBINAT/DOC/ribbonsTableaux.tex:
	Stripped out spurious spaces at end of lines.
	Main motivation: this caused rejects with combinat.patch. Oh well ...

2004-09-27  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/ribbonsTableaux.mu:
	DOM_POLY type retire for returned values of spin and cospin polynomials functions

2004-09-27  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/DOC/integerMatrices.tex, lib/COMBINAT/DOC/binaryTrees.tex:
	Stripped out spurious spaces at end of lines.
	Main motivation: this caused rejects with combinat.patch. Oh well ...

	* lib/COMBINAT/graphs.mu: Syntax fix in the interface.

	* lib/COMBINAT/DOC/trees.tex, lib/COMBINAT/DOC/treesGeneric.tex, lib/COMBINAT/DOC/stirling1.tex, lib/COMBINAT/DOC/partitions.tex, lib/COMBINAT/DOC/labelledBinaryTrees.tex, lib/COMBINAT/DOC/integerVectors.tex, lib/COMBINAT/DOC/decomposableObjects.tex:
	Update of the documentation example output for MuPAD 3.1 and the new
	pretty printing of trees.

	* README.in:
	Added note about the inclusion of MuPAD documentation tools.

	* lib/COMBINAT/DOC/ribbonsTableaux.tex:
	This library is new in 3.1, not 2.5.

	* doc/ascii/dependencies, lib/DOC/referenceManual.tex, doc/html/Makefile.am, doc/html/dependencies, doc/dvia4/Makefile.am, doc/dvia4/dependencies, doc/dvi/Makefile.am, doc/dvi/dependencies, libraries.am:
	Renamed the mu-EC documentation files as muEC__TYP, with the library
	named muEC::TYP appropriately inside the TeX file. This vaguely opens
	the door for general separate subpackage documentation files.

	This fixes the broken documentation consistency checks for mu-EC.

	* lib/MUEC/SYMF/DOC/Tos.tex, lib/MUEC/SYMF/DOC/Top.tex, lib/MUEC/SYMF/DOC/Tom.tex, lib/MUEC/SYMF/DOC/Toh.tex, lib/MUEC/SYMF/DOC/Toe.tex, lib/MUEC/SYMF/DOC/SfCollct.tex, lib/MUEC/SP/DOC/x2XX.tex, lib/MUEC/SP/DOC/x2X.tex, lib/MUEC/SP/DOC/X2Dim.tex, lib/MUEC/SP/DOC/Toxy.tex, lib/MUEC/SP/DOC/ToXX.tex, lib/MUEC/SP/DOC/ToX.tex, lib/MUEC/SP/DOC/ToPe.tex, lib/MUEC/SP/DOC/TablePe.tex, lib/MUEC/SP/DOC/Special.tex, lib/MUEC/SP/DOC/NewtonIn.tex, lib/MUEC/SG/DOC/Betti.tex, lib/MUEC/SG/RR2Perm.mu, lib/MUEC/SFA/DOC/TosA.tex, lib/MUEC/SFA/DOC/TomA.tex, lib/MUEC/SFA/DOC/ToeA.tex, lib/MUEC/SFA/DOC/SfAVars.tex, lib/MUEC/SFA/DOC/SfAColct.tex, lib/MUEC/SFA/DOC/Pol2SfA.tex, lib/MUEC/COMP/DOC/ListComp.tex, lib/MUEC/TYP.mu, lib/MUEC/SP.mu, lib/MUEC/SG.mu:
	Fixed documentation examples for MuPAD 3.1.0.
	All broken examples are marked as such, and not tested anymore.
	Removed undocumented functions from the interface.

2004-09-26  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUEC/COMP/CmprComp.mu:
	Bug fixed muEC::COMP::CompCompo(..., finer).

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst:
	Use Pref::typeCheck(Interactive) in the computationally hungry P/QP
	conversion section; otherwise the test file really takes too long to
	execute.

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst:
	Added a minimal h2s conversion test. Much more should be done.

	* lib/EXAMPLES/SymmetricGroupAlgebra.mu: Fixed non local variable.

	* src/lrcalc-module/lrcalc.mcc, lib/COMBINAT/TEST/lrcalc.tst:
	Bug fix: using _hash_next instead of hash_next was inappropriate,
	because it only iterates over the first element of each collision
	list. This explain the hash_card incoherence. All large hash-type
	results were potentially incorrect!

	New function: myhash_next (correct C++ adaptation of hash_next)
	Removed function: hash_size (hash_card does the job)

2004-09-26  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/LandoHopfAlgebra.mu: Added some commented out code.

	* lib/COMBINAT/graphs.mu:
	Added a few new functions that are currently not in the interface.

	* lib/EXAMPLES/HeckeAlgebra.mu: added algebraGenerators.

	* lib/EXAMPLES/FQSymZd.mu: Minor change.

	* lib/EXAMPLES/TEST/QuasiSymmetricFunctions.tst, lib/EXAMPLES/SymmetricFunctions.mu, lib/EXAMPLES/QuasiSymmetricFunctions.mu, lib/EXAMPLES/NonCommutativeSymmetricFunctions.mu, lib/EXAMPLES/LodayRoncoAlgebra.mu:
	Checking in these domain for testing with the new "several bases"
	system. The tests are not guaranteed to pass...

	* lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu, lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/FiniteDimensionalAlgebraWithBasis.mu, lib/init.mu:
	Updated the several bases gestion system.

	* lib/DOMAINS/CATEGORY/TEST/HopfAlgebraWithSeveralBases.tst, lib/DOMAINS/CATEGORY/DOC/main.tex:
	Added the category HopfAlgebraWithSeveralBases.mu (first version).

	* lib/DOMAINS/CATEGORY/DOC/HopfAlgebraWithSeveralBases.tex, lib/DOMAINS/CATEGORY/HopfAlgebraWithSeveralBases.mu:
	Added the catogory HopfAlgebraWithSeveralBases.mu (first version).

2004-09-26  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXAMPLES/FreeQuasiSymmetricFunctions.mu, lib/OPERATORS/persistentRemember.mu:
	Fixed unused local variable.

	* lib/PROG/bless.mu:
	Comments about running prog::check systematically in prog::blessAny.

2004-09-25  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXPERIMENTAL/DOC/HeckeSymmetricGroupAlgebra.tex:
	*** empty log message ***

	* lib/DOMAINS/CATEGORY/CombinatorialClassWith2DBoxedRepresentation.mu, lib/COMBINAT/tableaux.mu:
	Cat::CombinatorialClassWith2DBoxedRepresentation defines print
	appropriately for non facade domains, and defines interfaceAdd
	appropriately.

	* lib/OPERATORS/DOC/persistentRemember.tex, lib/OPERATORS/persistentRemember.mu:
	New method reset().
	Use it in the examples to avoid collisions with previous runs.

	* lib/EXPERIMENTAL/HeckeSymmetricGroupAlgebra.mu:
	Fixed global and unused variables.
	Use combinat::subClass for permutationsOfN.

	* lib/COMBINAT/generators.mu:
	Fixed non local variable + typo (true instead of TRUE).

	* lib/COMBINAT/skewTableaux.mu, lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu:
	Fixed non local variables

	* lib/PROG/testUnit.mu:
	Fixed implementation of split from stringlib::split with recent
	versions of MuPAD.

	* lib/OPERATORS/overloaded.mu: Fixed global and unused local variable
	Bug fix: due to a typo, the optimization for Explicit conversions was
	never used in declareConversion!

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	Fixed global variable by adding hold around the variable _X.

	* TODO: *** empty log message ***

	* lib/COMBINAT/ribbons.mu, lib/COMBINAT/ribbonsTableaux.mu:
	Fixed unused local variable.

	* TODO: *** empty log message ***

	* Makefile.am: Fixed unescaped url

	* doc/TOOLS/checktest:
	Experimental feature: when called as checktest bla.tst, creates a file
	bla.patch containing a multi-file patch which replaces each expected
	output in the document file by the actual MuPAD output. Of course,
	this patch is to be used with great care! It is mainly intended for
	interactive application with, for example, epatch under emacs.

	* createDomain:
	Set ImplState, TestState and DocState to alpha initially in the help page.

	* lib/MUEC/COMP/DOC/ListComp.tex:
	Removed extraneous spaces in the Mexout.

2004-09-24  elaugerot  <elaugerot@eole.rouba.net>

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	New minimization algorithm for weighted automata

2004-09-24  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/tableaux.mu:
	nicer function for listing semi-standard tableaux

	* lib/COMBINAT/skewTableaux.mu:
	function for listing semi standard skew tableaux added

2004-09-23  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/tableaux.mu:
	listNonStandard and kostkaPol functions are now compatible with tableaux as typed objects

	* lib/COMBINAT/TEST/tableaux.tst:
	tests modified for compatibility with new type

	* lib/COMBINAT/tableaux.mu:
	new types added and changes for compatibility with this new type

	* lib/COMBINAT/DOC/ribbonsTableaux.tex:
	new documentation for ribbonsTableaux

	* lib/COMBINAT/DOC/main.tex: ribbonsTableaux entrie added

2004-09-23  hivert  <hivert@eole.rouba.net>

	* lib/EXAMPLES/FQSymZd.mu: Added m basis.

	* lib/EXAMPLES/FQSymZd.mu: Added Y basis.

2004-09-23  novelli  <novelli@eole.rouba.net>

	* lib/EXAMPLES/FQSymZd.mu:
	Changed gz in gamma to be compatible with the paper.

2004-09-22  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/DOC/ribbons.tex:
	documentations changes due to the fact that ribbons becomes typed objects

2004-09-22  hivert  <hivert@eole.rouba.net>

	* lib/DOMAINS/CATEGORY/AlgebraWithBasis.mu: Applied Nicolas suggestion.

2004-09-22  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/TEST/ribbons.tst:
	some Nicolas's ideas for modifying tests

	* lib/COMBINAT/ribbons.mu:
	some minor changes on empty cases for different functions

	* lib/COMBINAT/ribbons.mu: modification with Nicolas ideas

	* lib/COMBINAT/ribbonsTableaux.mu:
	some modification on expr and extop for typed objects ribbonsTableaux

2004-09-22  novelli  <novelli@eole.rouba.net>

	* lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu: Transformed
	a <> b
	by
	not(iszero(a-b))

2004-09-22  hivert  <hivert@eole.rouba.net>

	* lib/DOMAINS/CATEGORY/AlgebraWithBasis.mu:
	Defined but non overloaded default definition of mult2.

2004-09-22  novelli  <novelli@eole.rouba.net>

	* lib/EXAMPLES/FQSymZd.mu: Computes in the dual 0-FQSym algebra.

	* lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu:
	Added a function checkCompatProdCoprod.

2004-09-22  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/TEST/ribbons.tst: modified tests for new new function

	* lib/COMBINAT/ribbons.mu: modification of expr and new functions

	* lib/COMBINAT/TEST/ribbons.tst:
	test modified for new typed objects ribbons

	* lib/COMBINAT/ribbons.mu: ribbons are now typed objects

	* lib/COMBINAT/ribbonsTableaux.mu: a print for test removed

	* lib/COMBINAT/ribbonsTableaux.mu: some little bugs fixed

2004-09-21  hivert  <hivert@eole.rouba.net>

	* lib/EXAMPLES/FreeQuasiSymmetricFunctions.mu: Degree was wrong.

2004-09-21  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUPADBACKPORT/GRAPH/DOC/connectedComponent.tex:
	Cleanups suggested by Christopher

2004-09-20  teresamu  <teresamu@eole.rouba.net>

	* lib/COMBINAT/TEST/tableaux.tst, lib/COMBINAT/tableaux.mu:
	fixed problems in getting tableaux as typed objects

2004-09-17  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/ribbonsTableaux.mu: change a variable name

	* lib/COMBINAT/ribbonsTableaux.mu:
	ribbonsTableaux becoming typed objects and some bugs fixes

2004-09-16  novelli  <novelli@eole.rouba.net>

	* lib/EXAMPLES/FreeQuasiSymmetricFunctions.mu:
	Added a few bases to FQSym.

	  JC.

2004-09-16  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/TEST/ribbonsTableaux.tst:
	tests updated for bug fixes in Stanton-White function

	* lib/COMBINAT/ribbonsTableaux.mu:
	Stanton-White tableaux in the good sense

2004-09-16  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* index.html.in: Added link to the poster at IGM.

	* TODO: Mini update of the decomposable objects todo list.

2004-09-16  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	incompatibles experimentals functions with new axiom

	* lib/COMBINAT/ribbonsTableaux.mu: fonction convert added

	* lib/COMBINAT/TEST/ribbonsTableaux.tst:
	tests updated for new axiom system

2004-09-15  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXPERIMENTAL/TEST/HeckeSymmetricGroupAlgebra.tst: New functions:
	 - annotateMatrix
	 - sLeft, pLeft
	 - isHeckeEquations, isHecke, and variations for SG and HeckeSG

	* lib/EXPERIMENTAL/DOC/HeckeSymmetricGroupAlgebra.tex:
	Hecke/HeckeSG/SG defined by equations in End(V_n)
	Looking for orthogonal idempotents in HeckeSG

	* lib/EXPERIMENTAL/HeckeSymmetricGroupAlgebra.mu: New functions:
	 - annotateMatrix
	 - sLeft, pLeft
	 - isHeckeEquations, isHecke, and variations for SG and HeckeSG

	* lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/permutations.mu:
	New domain   combinat::permutations::youngSubgroup
	New function combinat::permutations::modYoungSubgroup
	Uncommented documentation for combinat::permutations::fromSetPartition

2004-09-15  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/ribbonsTableaux.mu: New axiom implanted

2004-09-15  novelli  <novelli@eole.rouba.net>

	* lib/EXAMPLES/FreeQuasiSymmetricFunctions.mu: Probleme de debugging...

2004-09-15  hivert  <hivert@eole.rouba.net>

	* lib/DOMAINS/CATEGORY/DOC/main.tex: ...

	* lib/EXAMPLES/QuasiSymmetricFunctions.mu: Udated to severalBases.

	* lib/init.mu: Added Cat::AlgebraWithSeveralBases

	* lib/DOMAINS/CATEGORY/AlgebraWithSeveralBases.mu, lib/DOMAINS/CATEGORY/DOC/AlgebraWithSeveralBases.tex, lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu, lib/DOMAINS/CATEGORY/TEST/AlgebraWithSeveralBases.tst:
	First implantation of the several bases system.

2004-09-12  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXPERIMENTAL/DOC/HeckeSymmetricGroupAlgebra.tex:
	Notes taken at Marne-la-Vallee

	* lib/OPERATORS/overloaded.mu:
	- Added javadoc-style doc for some internal functions
	- More selective deletion of outdated information in conversion
	  remember tables
	- Some more type checking
	- conversion returns infinity instead of FAIL when the cost is requested
	  and no conversion is found

	* lib/MUPADBACKPORT/GRAPH/TEST/connectedComponent.tst, lib/MUPADBACKPORT/GRAPH/DOC/connectedComponent.tex, lib/MUPADBACKPORT/GRAPH/connectedComponent.mu, lib/init.mu:
	New method Graphs::connectedComponent.

	* lib/COMBINAT/DOC/lrcalc.tex: Added commented out example.

2004-09-12  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/HeckeSymmetricGroupAlgebra.mu:
	Added algebraGenerators

	* lib/EXPERIMENTAL/QuotientAlgebra.mu:
	Added auto computation of algebraGenerators by projection.

	* lib/DOMAINS/CATEGORY/FiniteDimensionalAlgebraWithBasis.mu:
	Added algebraGenerators together with some function in the interface.

	* lib/EXPERIMENTAL/ArikiKoike/ArikiKoike.mu: Added algebraGenerators

	* lib/EXPERIMENTAL/functors.mu: Work in progress...

	* lib/DOMAINS/DOMAIN/QuotientFreeModule.mu, lib/DOMAINS/DOMAIN/SubFreeModule.mu:
	Added RRBasis entry for reuse.

	* lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu: Code cleanup.

	* lib/DOMAINS/CATEGORY/LeftAModuleWithBasis.mu:
	Minor changes in leftMatrix

	* lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	Added function endomorphismMatrix.

	* lib/COMBINAT/generators.mu: Added function checkCopyable.

	* lib/LIBFILES/experimental.mu: Added QuotientLeftAModule

	* lib/EXPERIMENTAL/QuotientLeftAModule.mu: First version.

	* lib/OPERATORS/TEST/overloaded.tst, lib/OPERATORS/overloaded.mu:
	Added naming feature for the overloaded operators.

2004-09-10  teresamu  <teresamu@eole.rouba.net>

	* lib/COMBINAT/tableaux.mu:
	modifications for type (new, expr2text, ...), BEWARE, this version doesn't work (debugging status)

2004-09-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* README.in: Typo fix.

	* Makefile.in: Update of the autotools build system.

	* BUGS: One more bug ...

	* src/GLIP/README.in: Updated to use autoreconf, ...

	* src/MAPITL/README.in: Updated to use autoreconf

	* lib/EXPERIMENTAL/DOC/Steenrod.tex, lib/DOC/main.tex:
	*** empty log message ***

	* lib/DOC/preface.tex: Updated reference to muEC

	* lib/COMBINAT/DOC/generators.tex, lib/COMBINAT/generators.mu:
	Typo fix.

	* TODO: *** empty log message ***

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst: Added test for _subtract.

	* lib/COMBINAT/decomposableObjects.mu:
	- Very old stuff from CS Thrown away
	- Fixed outdated comment about generators::cartesian
	- Fixed outdated comment about count

	* lib/COMBINAT/tableaux.mu:
	combinat::tableaux::kostkaPol is broken, probably due to the typing of
	tableaux. I added some annotations.

2004-09-08  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/AlgTools.mu: Corrected the simple algebra bug.

	* lib/EXPERIMENTAL/HeckeClifford/HeckeClifford.mu:
	Made HeckeClifford a Cat::FinitDimensionalAlegbraWithBasis

	* lib/DOMAINS/DOMAIN/FreeModuleList.mu, lib/DOMAINS/DOMAIN/FreeModulePoly.mu, lib/DOMAINS/DOMAIN/FreeModuleTable.mu:
	Added _subtract and _negate to work with the double inheritance
	problem with Cat:AbelianGroup see mailing list (23 Feb 2004)

2004-09-07  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/AlgTools.mu:
	Changed (name+feature) checkAssociativity to checkAssociativeAlgebra

2004-08-25  hivert  <hivert@eole.rouba.net>

	* lib/EXAMPLES/SubsetsSpace.mu: Added missing entries one(oneBasis)

	* lib/COMBINAT/decomposableObjects.mu:
	Solved a bug with Domain when list is a compose (@).

2004-08-02  elaugerot  <elaugerot@eole.rouba.net>

	* lib/DOMAINS/DOMAIN/DOC/SemiRing.tex, lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex, lib/DOMAINS/DOMAIN/DOC/MaxMinSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/MaxPlusSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/MinMaxSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/MinPlusSemiRing.tex, lib/DOMAINS/DOMAIN/MaxMinSemiRing.mu, lib/DOMAINS/DOMAIN/MaxPlusSemiRing.mu, lib/DOMAINS/DOMAIN/MinMaxSemiRing.mu, lib/DOMAINS/DOMAIN/MinPlusSemiRing.mu:
	Modified Files:
	 	lib/DOMAINS/DOMAIN/MaxMinSemiRing.mu
	 	lib/DOMAINS/DOMAIN/MaxPlusSemiRing.mu
	 	lib/DOMAINS/DOMAIN/MinMaxSemiRing.mu
	 	lib/DOMAINS/DOMAIN/MinPlusSemiRing.mu
	 	lib/DOMAINS/DOMAIN/DOC/MaxMinSemiRing.tex
	 	lib/DOMAINS/DOMAIN/DOC/MaxPlusSemiRing.tex
	 	lib/DOMAINS/DOMAIN/DOC/MinMaxSemiRing.tex
	 	lib/DOMAINS/DOMAIN/DOC/MinPlusSemiRing.tex
	 	lib/DOMAINS/DOMAIN/DOC/SemiRing.tex
	 	lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex

2004-07-29  teresamu  <teresamu@eole.rouba.net>

	* lib/COMBINAT/skewTableaux.mu, lib/COMBINAT/TEST/tableaux.tst:
	tableaux in not anymore a facade domain

	* lib/COMBINAT/tableaux.mu:
	tableaux in not anymore a facade domain + strong tests for fillings

2004-07-28  elaugerot  <elaugerot@eole.rouba.net>

	* lib/init.mu: Modified Files: lib/init.mu

	* lib/DOMAINS/DOMAIN/DOC/SemiRing.tex: Added File: SemiRing.tex

	* lib/DOMAINS/DOMAIN/SemiRing.mu: added file: SemiRing.mu

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu, lib/DOMAINS/DOMAIN/createSemiRing.mu:
	removed files: createSemiRing.mu

2004-07-26  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst: Non important test removed

2004-07-23  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* config/config.h.in, src/GLIP/config/config.h.in, src/MAPITL/README.in, src/MAPITL/config/config.h.in, src/MAPITL/configure, src/MAPITL/configure.ac:
	Update of the license + build system

	* src/MAPITL/MAPITL/Container.h, src/MAPITL/MAPITL.tst, src/MAPITL/MAPITL_test.mcc:
	- Implemented and tested operator [] for Cells.
	- Fixed the test with respect to the new behavior of .at() which
	  does not call sign automatically anymore
	- Fixed test_Cell_toArray which looked buggy (missing index shift)

	* config/sourceforge.am, src/GLIP/config/sourceforge.am, src/MAPITL/config/sourceforge.am:
	verbose rsync in make SFweb.

	* Papers/EJC-Algo-CalcForm2003/main.tex:
	Factorized parts of the various demos in lib/DOC/demo/

	* lib/COMBINAT/DOC/necklaces.tex, lib/COMBINAT/DOC/lyndonWords.tex:
	Fixed duplicated example label.

	* test/Makefile.in, src/Symmetrica-module/Makefile.in, src/Symmetrica/Makefile.in, src/nauty-module/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/lrcalc-module/Makefile.in, src/lrcalc/Makefile.in, src/IPC/Makefile.in, src/gordan/Makefile.in, src/GLIP-module/Makefile.in, src/Makefile.in, doc/html/Makefile.in, doc/html/Makefile.am, doc/dvia4/Makefile.in, doc/dvi/Makefile.in, doc/ascii/Makefile.in, doc/Makefile.in, config/mupad.m4, src/GLIP/config/mupad.m4, src/MAPITL/config/mupad.m4, Makefile.in, configure:
	Use of t4ht to build gifs & such for the html documentation.
	Added test for t4ht in configure.
	Update of the autotools build system.

	* doc/html/Makefile.am, doc/html/Makefile.in, doc/html/mh2html.def:
	mh2html.def is not needed anymore.
	Updated clean rule.

	* doc/Makefile.in, doc/STYLES/tex4ht/array.4ht, doc/STYLES/tex4ht/latex.4ht, doc/STYLES/tex4ht/tex4ht.sty, doc/TOOLS/html2ascii, doc/ascii/Makefile.am, doc/ascii/Makefile.in, doc/html/Makefile.am, doc/html/Makefile.in:
	Builing of html documentation with tex4ht is complete:
	 - Updated version of the html2ascii from the MuPAD distribution.
	 - Imported patched tex4ht style files from the MuPAD distribution.
	 - Adapted building of ascii documentation.

	* doc/dvi/Makefile.am, doc/dvi/Makefile.in, doc/dvia4/Makefile.am, doc/dvia4/Makefile.in:
	Implement LATEXRUNS feature via a more natural for loop.

2004-07-22  teresamu  <teresamu@eole.rouba.net>

	* lib/DOMAINS/CATEGORY/CombinatorialClassWith2DBoxedRepresentation.mu:
	prettyPrint defined by default in the category

2004-07-22  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/Nauty.mu: Code a little bit more concise.

	* lib/COMBINAT/lrcalc.mu:
	Bug fix (thanks Francois for the report): I was trying to assign to
	combinat::lrcalc::Name even when lrcalc was not found.

2004-07-21  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/asciiRibbons.mu:
	Remove file because it is unused ( first version of new output::fromArray)

2004-07-21  hivert  <hivert@eole.rouba.net>

	* lib/PROG/TEST/domainWrapper.tst, lib/PROG/domainWrapper.mu:
	One can now test is an element is a domainWrapper...

2004-07-21  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* doc/html/Makefile.am, doc/html/Makefile.in, doc/TOOLS/mh2html, doc/TOOLS/adjust_css.pl, doc/TOOLS/adjust_links.pl:
	Fetched perl script from the MuPAD distribution for fixing the html links.
	Removed mh2html which is not used anymore.

	* doc/STYLES/template.tex: Little improvements on the comments.

	* lib/OPERATORS/overloaded.mu: Doc typo fix.

	* lib/DOMAINS/DOMAIN/DOC/FreeModule.tex: Typo fix.

	* lib/TEST/mupad.tst, lib/COMBINAT/TEST/generators.tst:
	Moved test for the copy of simple generators from lib/TEST/mupad.tst
	(it was useless and broken there).

2004-07-20  ccreutzig  <ccreutzig@eole.rouba.net>

	* doc/STYLES/template.tex:
	took care of three "FIXME"s:  Global option html4 only if the fourth
	argument is html4, use \section*{...\input{...}} only for non-html
	version and make \IfFileExists{#2/main} work.

2004-07-20  hivert  <hivert@eole.rouba.net>

	* lib/COMBINAT/DOC/main.tex: Removed a wrong placed \def

2004-07-20  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* doc/STYLES/template.tex, doc/html/Makefile.in, doc/html/Makefile.am:
	Work on the conversion to html with tex4ht. It basically works, but
	links are broken, and the combinat.html compilation hangs.
	Beware: the conversion to dvi/pdf is probably slightly broken.

	* doc/STYLES/Mwrite.sty, doc/STYLES/mupadman.sty, doc/STYLES/Mreprt.sty, doc/STYLES/Mhyper.sty, doc/STYLES/Mhelp.sty, doc/STYLES/Mfonts.sty, doc/STYLES/Mcompat.sty, doc/STYLES/Mbook.sty, doc/STYLES/hypertex.sty, doc/STYLES/domains_help.sty:
	Backport of the latest LaTeX style files from MuPAD.

2004-07-20  hivert  <hivert@eole.rouba.net>

	* lib/PROG/domainWrapper.mu:
	Corrected the follow up func_call -> new with the option hold.
	Corrected the too restrictive preamble of testtype.

	* lib/OPERATORS/overloaded.mu: Added some userinfo for debugging.

2004-07-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* ChangeLog: Update.

	* README: *** empty log message ***

	* lib/COMBINAT/lyndonWords.mu: Fixed interfaceAdd.

	* lib/COMBINAT/LattE.mu: Quiet prog::check about missing entries.

	* lib/COMBINAT/labelledTrees.mu, lib/COMBINAT/labelledBinaryTrees.mu:
	combinat::treesGeneric is really just a wrapper to Cat::TreesClass.
	Specializations like combinat::labelledTrees and
	combinat::labelledBinaryTrees now inherit directly from
	combinat::(binary)trees for their data structure, and belong to the
	category Cat::TreesClass.
	This fixes some inheritance bugs that have been around for some time
	now ...

2004-07-19  hivert  <hivert@eole.rouba.net>

	* lib/COMBINAT/generators.mu: Declared a local var.

2004-07-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/words.mu:
	New methods swapIncrease and swapDecrease (find better names!)

2004-07-19  hivert  <hivert@eole.rouba.net>

	* lib/DOMAINS/CATEGORY/TEST/LeftAModuleWithBasis.tst: ...

	* lib/DOMAINS/CATEGORY/TEST/LeftAModuleWithBasis.tst:
	Corrected the test file.

	* lib/DOMAINS/CATEGORY/TEST/HopfAlgebraWithBasis.tst, lib/DOMAINS/CATEGORY/TEST/LeftAModuleWithBasis.tst:
	Corrected some wrong and under minimal test files.

	* lib/COMBINAT/DOC/main.tex, lib/COMBINAT/countingFunctions.mu, lib/COMBINAT/singleton.mu:
	Syntactic checking...

	* lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu:
	Added a missing prog::bless under mupad 2.5

	* lib/TEST/mupad.tst: Commented out nonsense tests...

	* lib/EXPERIMENTAL/CristalAction/CristalAction.mu, lib/EXPERIMENTAL/AlgTools.mu:
	...

	* lib/init.mu: Solved an autoload problem of SquareMatrices.

2004-07-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/lyndonWords.mu: Fixed interfaceAdd.

	* lib/COMBINAT/LattE.mu: Quiet prog::check about missing entries.

	* lib/COMBINAT/labelledTrees.mu, lib/COMBINAT/labelledBinaryTrees.mu:
	combinat::treesGeneric is really just a wrapper to Cat::TreesClass.
	Specializations like combinat::labelledTrees and
	combinat::labelledBinaryTrees now inherit directly from
	combinat::(binary)trees for their data structure, and belong to the
	category Cat::TreesClass.
	This fixes some inheritance bugs that have been around for some time
	now ...

2004-07-19  hivert  <hivert@eole.rouba.net>

	* lib/COMBINAT/generators.mu: Declared a local var.

2004-07-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/words.mu:
	New methods swapIncrease and swapDecrease (find better names!)

2004-07-19  hivert  <hivert@eole.rouba.net>

	* lib/DOMAINS/CATEGORY/TEST/LeftAModuleWithBasis.tst: ...

	* lib/DOMAINS/CATEGORY/TEST/LeftAModuleWithBasis.tst:
	Corrected the test file.

	* lib/DOMAINS/CATEGORY/TEST/HopfAlgebraWithBasis.tst, lib/DOMAINS/CATEGORY/TEST/LeftAModuleWithBasis.tst:
	Corrected some wrong and under minimal test files.

	* lib/COMBINAT/DOC/main.tex, lib/COMBINAT/countingFunctions.mu, lib/COMBINAT/singleton.mu:
	Syntactic checking...

	* lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu:
	Added a missing prog::bless under mupad 2.5

	* lib/TEST/mupad.tst: Commented out nonsense tests...

	* lib/EXPERIMENTAL/AlgTools.mu: ...

	* lib/init.mu: Solved an autoload problem of SquareMatrices.

2004-07-15  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/lrcalc/Makefile:
	Removed Makefile which should not had been added in the first place.

	* src/MachineIntegerListsLex/Makefile.in:
	Update of the autotools build system.
	Include src/lrcalc in the build.
	New option make check MUPAD_TEST_TESTARGS in test/.

	* src/MAPITL/MAPITL.h: New resize method.

	* src/lrcalc/mathlib/Makefile:
	Fixed makefile for missing getmax program

	* test/Makefile.in, test/Makefile.am, src/nauty-module/Makefile.in, src/lrcalc-module/Makefile.in, configure.ac, configure:
	Update of the autotools build system.
	Include src/lrcalc in the build.
	New option make check MUPAD_TEST_TESTARGS in test/.

	* lib/init.mu:
	Added new options Unrank, Generator, GeneratorFromRank, ...

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu:
	Improved diagnostic messages.

	Now, one can test if a feature is available by simply asking for
	dom::count <> FAIL. dom::countAvailable has been deprecated and
	removed.

	When the specification is actually valid but the feature is "not
	implemented", no error message is raised; instead, the message is
	stored in dom::count::FailureReason. the interface is updated
	accordingly.

	No default function is provided any more for unrank and random in
	Predefined. Anyway, Predefined should disappear some day.

	* lib/EXPERIMENTAL/YangBaxterGraph.mu:
	Sort the basis indices lexicographically.

	* lib/EXPERIMENTAL/TEST/YangBaxterGraph.tst:
	Updated the tests now that the basis is sorted lexicographically.

	* lib/EXPERIMENTAL/TEST/Schur.tst:
	Use short string names as argument for prog::testfunc.

	* lib/EXPERIMENTAL/DOC/Steenrod.tex: Renamed dual to adjoint.

	* lib/EXPERIMENTAL/FreeOperad.mu: Standard dom fix for MuPAD < 3.0.0

	* lib/EXAMPLES/SymmetricFunctions.mu: hold around Symmetrica.

	* lib/PROG/TEST/testUnit.tst, lib/PROG/testUnit.mu:
	Fixed prog::testUnit::split for the empty string.

	* lib/DOMAINS/DOMAIN/TEST/WeylAlgebra.tst: Renamed dual to adjoint.

	* lib/DOMAINS/DOMAIN/TEST/TensorProductOfFreeModules.tst:
	Use short string names as argument for prog::testfunc.

	* lib/DOMAINS/DOMAIN/WeylAlgebra_Table.mu:
	WAT::integerVectorsOfLength(N: Type::NonNegInt) finally implemented in
	terms of Cat::IntegerListsLexClass. Should probably be moved to
	combinat::something at some point.

	* lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu:
	Standard dom fix for MuPAD < 3.0.0

	* lib/DOMAINS/CATEGORY/GradedCombinatorialClass.mu:
	size is optional in Cat::GradedCombinatorialClass: removed from interface

	* doc/html/texmf.cnf, doc/dvia4/texmf.cnf, doc/dvi/texmf.cnf:
	Updated texmf.cnf to enlarge other things that are too tight on some distributions.

	* src/lrcalc-module/lrcalc.tst, src/lrcalc-module/lrcalc.mcc, lib/COMBINAT/TEST/lrcalc.tst, lib/COMBINAT/DOC/lrcalc.tex, lib/COMBINAT/lrcalc.mu:
	Fixed crashes with large objects in lrcalc.
	Added minimal type checking for partitions arguments.

	* NEWS: Update.

	* index.html.in: Added direct links to sourceforge project subpages.
	Little improvements in the text.

	* README.in, README, AUTHORS: Added notes about included software.

2004-07-14  hivert  <hivert@eole.rouba.net>

	* lib/EXAMPLES/HeckeAlgebra.mu, lib/LIBFILES/examples.mu:
	Added generic Hecke algebra and updated ArikiKoike algebra according to.

	* lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	Removed wrong unused ranker related entries.

2004-07-14  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/nonCrossingPartitions.tst:
	Use short strings as argument to prog::testfunc(...).

	* lib/COMBINAT/TEST/LattE.tst:
	Disabled experimental non functional test.

	* lib/COMBINAT/trees.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.

	* lib/COMBINAT/integerVectors.mu:
	Now the second argument to isA is "optional" (pass FAIL if you don't
	want to do checking on the sum).

	* lib/COMBINAT/generators.mu: More type checking.
	Fixed non local variable.

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/DOC/decomposableObjects.tex, lib/COMBINAT/decomposableObjects.mu:
	- Cleanup
	- Use of different standard specifications for
	   - count:  standardSpecificationCount()
	   - random: standardSpecificationRandom()
	   - other:  standardSpecification()
	  with a uniform way of building those standard specifications
	  via the new method standardizeSpecification.
	- Consequence: the random generation, and C code generation for Cycle
	  and Multiset is back.
	- Beware: it seems that the generation order for labelled structures using
	  DivX MultX has changed.
	- Preliminary work toward generatorFromRank
	- Preliminary work toward count being set properly to FAIL when things
	  are not implemented.

2004-07-13  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst:
	some new tests added (for some new parameters of functions)

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	update function for diagonal classes study

2004-07-12  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* Wiki/DevelopersMeeting.html, Wiki/FrequentlyAskedQuestions.html, Wiki/HomePage.html, Wiki/LogoAndNickNameContest.html, Wiki/NicolasThi%E9ry.html, Wiki/Operads.html, Wiki/Poster.html, Wiki/ProgrammingTipsAndTricks.html, Wiki/SandBox.html, Wiki/Specifications.html, Wiki/UserTestimonials.html:
	Update from the Wiki.

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst, lib/EXAMPLES/DOC/SymmetricFunctions.tex, lib/EXAMPLES/SymmetricFunctions.mu:
	New options Lrcalc/Symmetrica to decide whether to use the dynamic
	modules lrcalc and Symmetrica.
	Use Cat::GradedHopfAlgebraWithBasis.
	New function: S::plethysm.

	* src/lrcalc-module/lrcalc.mcc: Removed spurious debugging message.

	* src/GLIP/aclocal.m4, src/MAPITL/aclocal.m4, src/MAPITL/configure, src/GLIP/configure, aclocal.m4, configure:
	Update of the autotools build system.

	* src/GLIP/README.in:
	Use autoreconf instead of the now useless bootstrap script.

	* src/GLIP/bootstrap, src/MAPITL/bootstrap:
	Removed now useless bootstrap.

	* test/Makefile.in, src/Symmetrica-module/Makefile.in, src/Symmetrica/Makefile.in, src/nauty-module/Makefile.am, src/GLIP-module/Makefile.in, src/GLIP/Makefile.am, src/IPC/Makefile.in, src/MAPITL/Makefile.am, src/MAPITL/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/Makefile.am, src/Makefile.in, src/gordan/Makefile.in, src/lrcalc-module/Makefile.in, src/nauty-module/Makefile.in, Makefile.am, Makefile.in, configure.ac, doc/Makefile.in, doc/dvi/Makefile.in, doc/dvia4/Makefile.in, doc/html/Makefile.am, doc/html/Makefile.in, src/GLIP/Makefile.in, doc/ascii/Makefile.in:
	Update of the autotools build system.

	* lib/LIBFILES/experimental.mu, lib/LIBFILES/combinat.mu, lib/EXPERIMENTAL/DOC/main.tex, lib/COMBINAT/DOC/main.tex:
	New libraries/domains:
	 - experimental::YangBaxterGraph
	 - experimental::Schur
	 - combinat::singleton
	 - combinat::lrcalc
	 - combinat::countingFunctions

	* lib/COMBINAT/getOptions.mu: Try to output more information on error.

	* doc/STYLES/template.tex: Preliminary work for support for tex4ht.

	* bootstrap: Use the standard autoreconf stance.

	* BUGS: *** empty log message ***

	* lib/COMBINAT/DOC/singleton.tex, lib/COMBINAT/TEST/singleton.tst, lib/COMBINAT/singleton.mu:
	New combinatorial class for singletons.
	Might be used in combinat::decomposableObjects.

	* lib/EXPERIMENTAL/DOC/Schur.tex, lib/EXPERIMENTAL/Schur.mu, lib/EXPERIMENTAL/TEST/Schur.tst:
	New domain experimental::Schur for playing with Schur and MultiSchur
	functions, Jacobi determinants and such.

	* lib/EXPERIMENTAL/DOC/YangBaxterGraph.tex, lib/EXPERIMENTAL/TEST/YangBaxterGraph.tst, lib/EXPERIMENTAL/YangBaxterGraph.mu:
	New domain experimental::YangBaxterGraph for playing with, ... guess what.

	* lib/COMBINAT/DOC/countingFunctions.tex, lib/COMBINAT/TEST/countingFunctions.tst, lib/COMBINAT/countingFunctions.mu:
	New library combinat::countingFunctions.

	* lib/COMBINAT/DOC/lrcalc.tex, lib/COMBINAT/TEST/lrcalc.tst, lib/COMBINAT/lrcalc.mu:
	Added new dynamic module combinat::lrcalc.

	* src/lrcalc-module/Makefile.am, src/lrcalc-module/lrcalc.mcc, src/lrcalc-module/lrcalc.tst:
	New dynamic module combinat::lrcalc.

	* src/lrcalc/Makefile.am, src/lrcalc/NOTES.MuPAD-Combinat:
	Minimal autoconfiscation by adding a Makefile.am for integration in MuPAD-Combinat.

	* src/lrcalc/mathlib/set.h, src/lrcalc/mathlib/vectarg.c, src/lrcalc/mathlib/vectarg.h, src/lrcalc/mathlib/vector.c, src/lrcalc/mathlib/vector.h, src/lrcalc/CHANGELOG, src/lrcalc/COPYING, src/lrcalc/LICENSE, src/lrcalc/Makefile, src/lrcalc/Makefile.in, src/lrcalc/README, src/lrcalc/configure, src/lrcalc/lrcalc, src/lrcalc/lrcoef/Makefile, src/lrcalc/lrcoef/coprod.c, src/lrcalc/lrcoef/dependencies, src/lrcalc/lrcoef/lrcoef.c, src/lrcalc/lrcoef/lrskew.c, src/lrcalc/lrcoef/maple.c, src/lrcalc/lrcoef/maple.h, src/lrcalc/lrcoef/mult.c, src/lrcalc/lrcoef/sat.c, src/lrcalc/lrcoef/skew.c, src/lrcalc/lrcoef/symfcn.c, src/lrcalc/lrcoef/symfcn.h, src/lrcalc/mathlib/Makefile, src/lrcalc/mathlib/alloc.c, src/lrcalc/mathlib/alloc.h, src/lrcalc/mathlib/claim.h, src/lrcalc/mathlib/dependencies, src/lrcalc/mathlib/hashtab.c, src/lrcalc/mathlib/hashtab.h, src/lrcalc/mathlib/list.c, src/lrcalc/mathlib/list.h, src/lrcalc/mathlib/set.c:
	Import lrcalc-1.2.2

	* src/nauty-module/Nauty.tst: Added myself as author :-)

	* src/MAPITL/MAPITL/CtoM.h, src/MAPITL/MAPITL/Cell_tmpl.h, src/MAPITL/TODO, src/MAPITL/MAPITL.tst, src/MAPITL/MAPITL_tmpl.h, src/MAPITL/MAPITL_test.mcc, src/MAPITL/MAPITL.h:
	Added .to<...> method
	Removed non functional templated operator[]
	Added CtoM conversion for Cell's
	Added (buggy) conversion from long long int
	More tests for .at assign
	Don't sign each time an assignment is done to a list

	* TODO: *** empty log message ***

	* THANKS: Added Gerard and Volker.

	* createDomain: Added "bug report".

	* AUTHORS: *** empty log message ***

	* config/mupad.m4, src/GLIP/config/mupad.m4, src/MAPITL/config/mupad.m4:
	Improved MuPAD version checking (it survives to extra garbage lines).

	* config/mupad.am, src/GLIP/config/mupad.am, src/MAPITL/config/mupad.am:
	Bug fixes:
	 - the .mdm is not systematically rebuild each time.
	 - the name of the ".libs/*.so" file is taken from the .la file.

	* lib/init.mu:
	Patched Dom::BaseDomain to implement the interfaceAdd feature to
	inherit the interface of ones super categories.
	Added some option names.
	Temporarily always redefine DomainConstructor::getEntry.

	* Papers/SLC49/postamble.tex: Fixed missing space.
	Added Gerard to the thanks list.

	* lib/TEST/mupad.tst:
	Use Dom::BooleanSemiRing instead of Dom::Tropical for matrix & Semi rings tests.
	New test text2expr does not evaluate nor simplify the resulting expression.

	* lib/PROG/TEST/testUnit.tst, lib/PROG/testUnit.mu:
	New method split which provides a simplified stringlib::split for
	backward compatibility with MuPAD < 3.0.0.

	* lib/EXPERIMENTAL/Virasoro.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	Made examples::SymmetricFunctions and friends into algebras with basis.

	* lib/EXPERIMENTAL/Steenrod.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	Generalized ncexp and nclog to Cat::GradedAlgebraWithBasis.

	* lib/EXPERIMENTAL/asciiRibbons.mu: Added comment for Francois.

	* lib/EXAMPLES/SymmetricGroupAlgebra.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.

	* lib/EXAMPLES/QuasiSymmetricFunctions.mu, lib/EXAMPLES/NonCommutativeSymmetricFunctions.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	Made examples::SymmetricFunctions and friends into algebras with basis.

	* lib/EXAMPLES/NonCommutativePolynomials.mu, lib/EXAMPLES/NonCommutativeExpressions.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	Added comment for Florent.

	* lib/EXAMPLES/LodayRoncoAlgebra.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	Made examples::SymmetricFunctions and friends into algebras with basis.

	* lib/EXAMPLES/FreeQuasiSymmetricFunctions.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	Make examples::FreeQuasiSymmetricFunctions into an algebra with basis.

	* lib/DOMAINS/DOMAIN/WeylAlgebra_Table.mu:
	Use combinat::subClass to build the combinatorial class of integer
	vectors of a given length.

	* lib/DOMAINS/DOMAIN/FreeModuleTable.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	Marked those places where zero checks are done.
	Experimental ZeroCheck=FALSE feature.

	* lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.

	* lib/DOMAINS/DOMAIN/FreeModuleList.mu:
	Marked places where zero checks occurs.
	Use n=0 instead of iszero(n) when n is obviously an integer variable.

	* lib/DOMAINS/CATEGORY/DOC/ModuleWithBasis.tex:
	New method: selectSupport
	Renamed method: mapterms -> mapsupport (with backward compatibility link)

	* lib/DOMAINS/CATEGORY/DOC/IntegerListsLexClass.tex:
	interfaceIntegerListsLexClass is now deprecated.

	* lib/DOMAINS/CATEGORY/DOC/CombinatorialClass.tex:
	interfaceCombinatorialClass is now deprecated.

	* lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	Marked places where zero checks occurs.
	New method: selectSupport
	Renamed method: mapterms -> mapsupport (with backward compatibility link)

	* lib/DOMAINS/CATEGORY/HopfAlgebraWithBasis.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.

	* lib/DOMAINS/CATEGORY/GradedModuleWithBasis.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	Better type checking
	New entry: typeSize
	New methods:
	 - homogeneousComponent
	 - truncate

	* lib/DOMAINS/CATEGORY/GradedCombinatorialClass.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	New entry: typeSize

	* lib/DOMAINS/CATEGORY/GradedAlgebraWithBasis.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	New methods:
	 - expTruncated, logTruncated

	* lib/DOMAINS/CATEGORY/FiniteDimensionalAlgebraWithBasis.mu:
	Fixed non local variable.

	* lib/DOMAINS/CATEGORY/CombinatorialHopfAlgebra.mu, lib/DOMAINS/CATEGORY/AlgebraWithBasis.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.

	* lib/DOC/exercises.tex:
	Added some more exercises and corrections after the developers meeting.

	* lib/COMBINAT/DOC/skewTableaux.tex: Typo fix.

	* lib/COMBINAT/DOC/necklaces.tex: Added comment about unranking.

	* lib/COMBINAT/graphs.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	Added myself in the authors :-)

	* lib/COMBINAT/DOC/words.tex, lib/COMBINAT/TEST/words.tst, lib/COMBINAT/words.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	New methods swap.

	* lib/COMBINAT/skewPartitions.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.

	* lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/permutations.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.
	New methods:
	 - reducedWordLexMin
	 - coCode
	 - isStandard

	* lib/OUTPUT/asciiArt.mu, lib/OPERATORS/persistentRemember.mu, lib/OPERATORS/overloaded.mu, lib/EXPERIMENTAL/ribbonsTableaux.mu, lib/EXPERIMENTAL/HeckeSymmetricGroupAlgebra.mu, lib/DOMAINS/DOMAIN/WeightedAutomaton.mu, lib/DOMAINS/DOMAIN/PermutationGroupInvariantRing.mu, lib/DOMAINS/DOMAIN/MinPlusSemiRing.mu, lib/DOMAINS/DOMAIN/MinMaxSemiRing.mu, lib/DOMAINS/DOMAIN/MaxPlusSemiRing.mu, lib/DOMAINS/DOMAIN/MaxMinSemiRing.mu, lib/DOMAINS/DOMAIN/BooleanSemiRing.mu, lib/DOMAINS/CATEGORY/PermutationGroupInvariantRing.mu, lib/DOMAINS/CATEGORY/IntegerListsLexClass.mu, lib/DOMAINS/CATEGORY/FiniteGroupInvariantRing.mu, lib/DOMAINS/CATEGORY/DecomposableClass.mu, lib/DOMAINS/CATEGORY/CombinatorialClass.mu, lib/COMBINAT/tableaux.mu, lib/COMBINAT/subwords.mu, lib/COMBINAT/subsets.mu, lib/COMBINAT/skewTableaux.mu, lib/COMBINAT/setPartitionsOrdered.mu, lib/COMBINAT/setPartitions.mu, lib/COMBINAT/ribbonsTableaux.mu, lib/COMBINAT/ribbons.mu, lib/COMBINAT/partitions.mu, lib/COMBINAT/necklaces.mu, lib/COMBINAT/linearExtensions.mu, lib/COMBINAT/labelledTrees.mu, lib/COMBINAT/labelledBinaryTrees.mu, lib/COMBINAT/integerVectorsWeighted.mu, lib/COMBINAT/integerMatrices.mu, lib/COMBINAT/integerListsLexTools.mu, lib/COMBINAT/generators.mu, lib/COMBINAT/dyckWords.mu, lib/COMBINAT/compositions.mu, lib/COMBINAT/binaryTrees.mu:
	Use new interfaceAdd feature to inherit the interface of super categories.

2004-07-08  hivert  <hivert@eole.rouba.net>

	* src/nauty-module/Nauty.mcc: Corrected the error reporting system...

	* lib/EXPERIMENTAL/AlgTools.mu: minor Changes.

	* lib/LIBFILES/experimental.mu: Added ArikiKoikeLagrangeAlgebra

	* lib/EXAMPLES/LodayRoncoAlgebra.mu:
	renamed operators::tensor -> operators::tensorSymbolic.

	* lib/COMBINAT/TEST/setPartitions.tst, lib/COMBINAT/setPartitions.mu:
	Corrected and tested _less

	* lib/COMBINAT/TEST/setPartitions.tst, lib/COMBINAT/setPartitions.mu:
	Corrected and tested inf and sup of setPartitions.

2004-07-07  hivert  <hivert@eole.rouba.net>

	* lib/DOMAINS/CATEGORY/CombinatorialClassWith2DBoxedRepresentation.mu:
	Patched a wrong nargs...

	* lib/EXPERIMENTAL/AlgTools.mu: Corrected wrong traceABt

	* lib/EXPERIMENTAL/AlgTools.mu:
	Re activated the use of transpose of matrices.

2004-07-02  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUPADBACKPORT/DOMAINS/CONSTR/DCgetEnt.mu, lib/init.mu:
	Backported call to prog::bless when inserting methods in domains.

2004-07-01  elaugerot  <elaugerot@eole.rouba.net>

	* lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex, lib/DOMAINS/DOMAIN/createSemiRing.mu, lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	modifications of minimization in Dom::WeightedAutomaton and
	Dom::createSemiRing.

2004-06-30  hivert  <hivert@eole.rouba.net>

	* lib/MUPADBACKPORT/TYPE/Function.mu: BackPorted Type::Function

	* lib/init.mu: Backported Type::Function.

2004-06-29  teresamu  <teresamu@eole.rouba.net>

	* lib/COMBINAT/DOC/integerVectors.tex:
	wrong length on Motzkin words of length 5

2004-06-28  elaugerot  <elaugerot@eole.rouba.net>

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu, lib/DOMAINS/DOMAIN/createSemiRing.mu:
	new file createSemiRing.mu and modifications in WeightedAutomaton.mu

2004-06-27  hivert  <hivert@eole.rouba.net>

	* lib/MUPADBACKPORT/DOMAINS/DOMAIN/Matrix.mu:
	Applied Walter's transpose fix patch.

2004-06-21  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	coherence of some experimental functions

2004-06-20  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/AlgTools.mu: Debug and improvements.

2004-06-18  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/AlgTools.mu: Debug.

2004-06-18  novelli  <novelli@eole.rouba.net>

	* lib/COMBINAT/DOC/bell.tex:
	Transformed the products of 105 such that it corresponds to the sets.

2004-06-17  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	fonctions modified for new ribbonsTableaux structures

	* lib/COMBINAT/ribbonsTableaux.mu: little improuvment

2004-06-17  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/AlgTools.mu, lib/LIBFILES/experimental.mu:
	Autoload for ArikiKoike.

	* lib/EXPERIMENTAL/AlgTools.mu: Improvement.

2004-06-15  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/LIBFILES/combinat.mu, lib/COMBINAT/TEST/LattE.tst, lib/COMBINAT/DOC/LattE.tex:
	Template for the upcoming LattE interface.

	* README: Update.

	* phpwiki: Typo fix.

	* index.html.in: *** empty log message ***

2004-06-14  hivert  <hivert@eole.rouba.net>

	* lib/LIBFILES/experimental.mu, lib/init.mu:
	Added some categories and experimental domains.

	* lib/EXPERIMENTAL/HeckeClifford/Hecke0.mu, lib/EXPERIMENTAL/HeckeClifford/HeckeClifford.mu:
	Improvement and debbuging.

	* lib/EXPERIMENTAL/LandoHopfAlgebra.mu: ...

	* lib/EXPERIMENTAL/AlgTools.mu:
	New faster and hopefully much more stable version.

	* lib/EXPERIMENTAL/SubModule.mu:
	SubModule.mu is rewritten and renamed SubLeftAModule.mu

	* lib/EXPERIMENTAL/QuotientAlgebra.mu, lib/EXPERIMENTAL/SubAlgebra.mu, lib/EXPERIMENTAL/SubLeftAModule.mu:
	Totally rewritten Sub/Quotient Modules and Algebras.

	* lib/LIBFILES/operators.mu: Named an anonymous function.

	* lib/COMBINAT/finiteClass.mu:
	Corrected buggy ranking system in finiteClass.

	* lib/DOMAINS/CATEGORY/DOC/LeftAModuleWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/main.tex, lib/DOMAINS/CATEGORY/LeftAModuleWithBasis.mu, lib/DOMAINS/CATEGORY/TEST/LeftAModuleWithBasis.tst:
	Added new category Cat::LeftAModuleWithBasis.

	* lib/DOMAINS/CATEGORY/FiniteDimensionalAlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	Some cleanup in the ranking system.

	* lib/DOMAINS/DOMAIN/DOC/QuotientFreeModule.tex, lib/DOMAINS/DOMAIN/DOC/SubFreeModule.tex, lib/DOMAINS/DOMAIN/DOC/main.tex, lib/DOMAINS/DOMAIN/TEST/QuotientFreeModule.tst, lib/DOMAINS/DOMAIN/TEST/SubFreeModule.tst, lib/DOMAINS/DOMAIN/QuotientFreeModule.mu, lib/DOMAINS/DOMAIN/SubFreeModule.mu:
	Added two new domain QuotientFreeModule.mu SubFreeModule.mu.
	Fully tested but some cleanup may be useful.

	* lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Some cleanup in the ranking system.

	* lib/DOMAINS/DOMAIN/TEST/TensorProductOfFreeModules.tst, lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu:
	The cartesian product class of ungraded finite classes is now also
	finite and ungraded.

2004-06-11  elaugerot  <elaugerot@eole.rouba.net>

	* lib/DOMAINS/DOMAIN/BooleanSemiRing.mu, lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	Addition of a scalar and an automaton with operators::overloaded

2004-06-04  hivert  <hivert@eole.rouba.net>

	* lib/LIBFILES/operators.mu, lib/OPERATORS/overloaded.mu:
	Corrected the bug due to too strict type checking (Date: Fri, 4 Jun 2004 11:25:51 +0200).

2004-06-04  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/LIBFILES/operators.mu:
	Temporarily degraded Type::Function (which does not currently accept
	useful functions like operators::overloaded) to Type::AnyType
	(actually, use dom::typeFunction which is defined as Type::AnyType).

	* createDomain:
	createDomain now also works with Getopt::Long < 2.34, even though
	--version, and --help won't be functional.

2004-06-03  hivert  <hivert@eole.rouba.net>

	* lib/EXAMPLES/SymmetricGroupAlgebra.mu, lib/DOMAINS/CATEGORY/FiniteDimensionalAlgebraWithBasis.mu, lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Solved some problem with rankers.

	* lib/EXPERIMENTAL/AlgTools.mu, lib/EXPERIMENTAL/QuotientAlgebra.mu, lib/EXPERIMENTAL/SubModule.mu:
	Work in progress...

2004-06-03  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/DOC/necklaces.tex, lib/COMBINAT/DOC/lyndonWords.tex:
	Fixed missing argument to \begin{MExample}{...}

	* doc/html/PICTURES/closed.gif, doc/html/PICTURES/cont.gif, doc/html/PICTURES/find.gif, doc/html/PICTURES/index.gif, doc/html/PICTURES/next.gif, doc/html/PICTURES/open.gif, doc/html/PICTURES/prev.gif:
	Added missing pictures for the html documentation.

2004-05-31  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/HeckeClifford/Hecke0.mu, lib/EXPERIMENTAL/QuotientAlgebra.mu, lib/EXPERIMENTAL/SubModule.mu, lib/EXPERIMENTAL/AlgTools.mu:
	Experimental Desossage of Ariki-Koike algebra at q=0.

2004-05-28  hivert  <hivert@eole.rouba.net>

	* lib/COMBINAT/subClass.mu:
	Using save on a global indent, just in case !!!

2004-05-26  elaugerot  <elaugerot@eole.rouba.net>

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	modified InitDomain in Dom::WeightedAutomaton

2004-05-26  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/AlgTools.mu: Many mistakes.

	* lib/EXPERIMENTAL/HeckeClifford/Hecke0.mu: Updated to subClass.

	* lib/LIBFILES/operators.mu: Added stronger type-checking for Make****

	* lib/OPERATORS/overloaded.mu:
	Corrected a miss-use of the error function.

2004-05-25  fdescouens  <fdescouens@eole.rouba.net>

	* lib/DOMAINS/CATEGORY/CombinatorialClassWith2DBoxedRepresentation.mu:
	new argument for separator added

2004-05-21  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/TEST/ribbonsTableaux.tst:
	toFullRepresentation test changes

2004-05-21  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/AlgTools.mu, lib/EXPERIMENTAL/functors.mu:
	New experimental stuffs.

2004-05-19  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu: simplication of some functions

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst:
	changes functions names and optionnal parameters

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	options added for selecting different q-analogue

	* lib/COMBINAT/ribbonsTableaux.mu:
	case without solutions added for spin and cospin polynom

2004-05-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* phpwiki:
	Perl script to edit (and in the future more!) Wiki pages on a phpwiki.

2004-05-18  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/LattE.tst, lib/COMBINAT/DOC/main.tex, lib/COMBINAT/DOC/LattE.tex, lib/COMBINAT/LattE.mu:
	Template for the new combinat::LattE combinatorial class.

	* createDomain:
	Fixed --cvs ($cvsadd was passed by value instead of reference to GetOptions).

2004-05-18  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	options system for selecting different q-analogue

	* lib/OUTPUT/DOC/asciiArt.tex:
	more precise information on separator options and new example ( not a ribbons tableau )

2004-05-17  fdescouens  <fdescouens@eole.rouba.net>

	* lib/OUTPUT/DOC/asciiArt.tex: a few documentation on new print pretty

	* lib/COMBINAT/skewPartitions.mu: old toArray function for print pretty

	* lib/COMBINAT/partitions.mu: old toArray for print pretty

	* lib/COMBINAT/integerMatrices.mu: changes for new print pretty

	* lib/COMBINAT/ribbonsTableaux.mu:
	new array for separation into new print pretty

	* lib/OUTPUT/asciiArt.mu:
	new print pretty with optional separation between cells

2004-05-14  fdescouens  <fdescouens@eole.rouba.net>

	* lib/OUTPUT/asciiArt.mu:
	new printPretty more general for ribbonsTableaux

	* lib/COMBINAT/integerMatrices.mu, lib/COMBINAT/skewPartitions.mu:
	toArray function changed for new printPretty

	* lib/COMBINAT/partitions.mu:
	function toArray changed for new printPretty

	* lib/COMBINAT/ribbonsTableaux.mu:
	new function toArray, printPretty and now ribbons tableaux are CClassWith2DBoxed Representation

	* lib/COMBINAT/ribbonsTableaux.mu: good identation

2004-05-14  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/LandoHopfAlgebra.mu: Improvements...

2004-05-13  hivert  <hivert@eole.rouba.net>

	* lib/EXPERIMENTAL/LandoHopfAlgebra.mu: ...

	* lib/EXAMPLES/NonCommutativeExpressions.mu:
	Added a first version of subs.

	* lib/LIBFILES/operators.mu: Added a missing prog::bless

2004-05-13  fdescouens  <fdescouens@eole.rouba.net>

	* lib/COMBINAT/TEST/ribbonsTableaux.tst:
	new test added for list function with evaluation not a partition

	* lib/COMBINAT/ribbonsTableaux.mu:
	stanton-white bug fixes and toFullRepresentation improved

2004-05-12  hivert  <hivert@eole.rouba.net>

	* lib/EXAMPLES/NonCommutativeExpressions.mu, lib/LIBFILES/examples.mu:
	Added examples::NonCommutativeExpressions

2004-05-11  elaugerot  <elaugerot@eole.rouba.net>

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	Change in the boolean minimization. It works now for non complete automaton.

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu: forgotten local variables

2004-05-10  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	removed part which are now in combinat

	* lib/LIBFILES/combinat.mu: ribbonsTableaux entry added

	* lib/COMBINAT/TEST/ribbonsTableaux.tst:
	former part of test file in experimental

	* lib/COMBINAT/ribbonsTableaux.mu:
	some parts of former experimental file

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst: some false tests registred

2004-05-10  hivert  <hivert@eole.rouba.net>

	* lib/DOMAINS/CATEGORY/TEST/HopfAlgebraWithBasis.tst, lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/TEST/GradedHopfAlgebraWithBasis.tst:
	The dummy test-suite was incorrect... Now at least the global vars are checked.

	* lib/COMBINAT/permutations.mu:
	Added permutations::inversionsNumberMerge

2004-05-10  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst: some exemples disable

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst, lib/EXPERIMENTAL/ribbonsTableaux.mu:
	bug fixes

2004-05-10  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/init.mu: Start of reorganization of trees.
	New category:
	 - Cat::TreesClass
	New domain prog::testUnit

	* lib/DOC/design.tex:
	Imported a few things from the TODO. Right now commented out.

	* lib/DOMAINS/CATEGORY/GradedModuleWithBasis.mu:
	Fixed non local variable.

	* lib/EXPERIMENTAL/TEST/FreeOperad.tst, lib/EXPERIMENTAL/DOC/FreeOperad.tex, lib/EXPERIMENTAL/FreeOperad.mu:
	Work on experimental::FreeOperad:
	 - use generic trees of combinat
	 - accept several binary generators

	* lib/EXAMPLES/LodayRoncoAlgebra.mu:
	Experiment with printTerm to avoid calling BT::print.

	* lib/DOMAINS/CATEGORY/TEST/GradedHopfAlgebraWithBasis.tst:
	Minimal working test file.

	* lib/EXPERIMENTAL/DOC/RQuasiSymmetricFunctions.tex:
	Fixes to make the doc compile.

	* lib/PROG/TEST/testUnit.tst, lib/PROG/DOC/testUnit.tex, lib/PROG/DOC/main.tex, lib/PROG/testUnit.mu:
	New domain prog::testUnit

	* lib/COMBINAT/trees.mu, lib/COMBINAT/treesGeneric.mu, lib/COMBINAT/freeTreesLabelled.mu, lib/COMBINAT/binaryTrees.mu:
	Start of reorganization of trees.
	New category:
	 - Cat::TreesClass

	* lib/COMBINAT/TEST/chooseNK.tst: Fixed some mis-organized tests.

	* lib/COMBINAT/trees.mu: Fixed expr2text for the trivial tree.

	* lib/COMBINAT/DOC/necklaces.tex, lib/COMBINAT/DOC/lyndonWords.tex, lib/COMBINAT/necklaces.mu, lib/COMBINAT/lyndonWords.mu:
	Sort the alphabet with sort() in combinat::necklaces/lyndonWords::fromContent.
	Documentation of combinat::necklaces/lyndonWords::fromContent.

	* TODO: *** empty log message ***

2004-05-07  hivert  <hivert@eole.rouba.net>

	* lib/COMBINAT/graphs.mu:
	Added countSimple that counts the number of simple graphs using Polya
	enumeration.

2004-05-06  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/DOMAIN/DOC/SparseMatrix_LinBox.tex:
	Added comments on how to get and install linbox.

2004-05-06  hivert  <hivert@eole.rouba.net>

	* lib/EXAMPLES/NonCommutativePolynomials.mu:
	Updated the call to subClass

2004-05-04  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* index.html.in: Updated reference for the overview article
	Improved reference to the hand book sections

	* Papers/SLC49/main.bib: Fixed ugly spaces in Aldor's reference

2004-05-03  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* README.in:
	Fixed cvs.mupad-combinat.sf.net to cvs.sf.net in the download section.

2004-05-03  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst:
	new functions tests with non empty r-core

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	spin function for new ribbons tableaux structures

2004-04-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* index.html.in, Wiki/DevelopersMeeting.html, Wiki/FrequentlyAskedQuestions.html, Wiki/LogoAndNickNameContest.html, Wiki/SandBox.html:
	Internal links now work both in the original Wiki and in the
	static copy in the CVS.

	* NEWS, ChangeLog, BUGS: *** empty log message ***

	* index.html.in: Update of the web page:
	 - commented out outdated design section
	 - better description

	* Papers/SLC49/texmf.cnf, Papers/SLC49/Makefile:
	Added texmf.cnf to try to enlarge latex.

	* bootstrap: *** empty log message ***

	* configure.ac, src/MachineIntegerListsLex/Makefile.in, src/nauty-module/Makefile.in, configure:
	Do not recurse with make in the src/nauty directory.

	* lib/COMBINAT/DOC/decomposableObjects.tex: Typo fix.

2004-04-28  hivert  <hivert@eole.rouba.net>

	* lib/COMBINAT/permutations.mu:
	Updated the interface and some minor cleanups.

	* lib/EXPERIMENTAL/HeckeClifford/hcl.mu, lib/PROG/domainWrapper.mu, lib/init.mu:
	Re-added Prog::indexedProcedure

	* lib/EXPERIMENTAL/LandoHopfAlgebra.mu: Cleanup

	* src/nauty-module/Nauty.tst, lib/COMBINAT/graphs.mu, src/nauty-module/Nauty.mcc:
	Faster listing using size-doubling instead of sets.

2004-04-28  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst:
	new tests added for list function ( case semi-standard young tableaux, partitions with non empty core

2004-04-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/demonstration.tex: Typo fix.

2004-04-28  fdescouens  <fdescouens@eole.rouba.net>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu: function list bugs fixes

2004-04-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/design.tex: Fixed colloquial haven't

	* Papers/SLC49/preamble.tex: Use Type 1 fonts.

2004-04-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* BUGS: *** empty log message ***

	* index.html.in: Update of the web page:
	 - commented out outdated design section
	 - better description

	* Papers/SLC49/texmf.cnf, Papers/SLC49/Makefile:
	Added texmf.cnf to try to enlarge latex.

	* bootstrap: *** empty log message ***

	* configure.ac, src/MachineIntegerListsLex/Makefile.in, src/nauty-module/Makefile.in, configure:
	Do not recurse with make in the src/nauty directory.

	* lib/COMBINAT/DOC/decomposableObjects.tex: Typo fix.

2004-04-28  hivert  <hivert@localhost>

	* lib/COMBINAT/permutations.mu:
	Updated the interface and some minor cleanups.

	* lib/EXPERIMENTAL/HeckeClifford/hcl.mu, lib/PROG/domainWrapper.mu, lib/init.mu:
	Re-added Prog::indexedProcedure

	* lib/EXPERIMENTAL/LandoHopfAlgebra.mu: Cleanup

	* src/nauty-module/Nauty.tst, lib/COMBINAT/graphs.mu, src/nauty-module/Nauty.mcc:
	Faster listing using size-doubling instead of sets.

2004-04-28  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst:
	new tests added for list function ( case semi-standard young tableaux, partitions with non empty core

2004-04-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/demonstration.tex: Typo fix.

2004-04-28  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu: function list bugs fixes

2004-04-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/design.tex: Fixed colloquial haven't

	* Papers/SLC49/preamble.tex: Use Type 1 fonts.

2004-04-27  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst: reorganization of file

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	new algo for listing function of ribbons tableaux

2004-04-26  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* Papers/SLC49/README: *** empty log message ***

	* Papers/SLC49/preamble.tex: Split the main title.
	Added dedicate to Alain Lascoux.

	* Papers/SLC49/Makefile: Rewrote the dist rule.

	* lib/DOC/demonstration.tex: Last round of fixes from Volker.

2004-04-26  hivert  <hivert@localhost>

	* lib/COMBINAT/graphs.mu:
	Removed wrong interface entry join and added missing local var.

2004-04-26  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst: New test added

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	New implantation of stanton-White and begining of reorganization

2004-04-22  hivert  <hivert@localhost>

	* lib/COMBINAT/graphs.mu: Some cleaning of the new implementation.

	* lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/permutations.mu:
	Added majorCode and fromMajorCode

	* lib/DOMAINS/DOMAIN/DOC/SparseMatrix_LinBox.tex:
	Corrected wrong argument to Mvout.

	* lib/DOMAINS/CATEGORY/CombinatorialClass.mu:
	Added missing declarations of some local vars.

2004-04-20  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/CATEGORY/CombinatorialClass.mu:
	New method unrankFromGenerator.

	* lib/LIBFILES/experimental.mu:
	New domain experimental::RQuasiSymmetricFunctions

	* lib/DOMAINS/DOMAIN/DOC/SparseMatrix_LinBox.tex:
	Uncommented the main example; but output check disabled.

	* TODO: *** empty log message ***

	* lib/EXPERIMENTAL/DOC/RQuasiSymmetricFunctions.tex, lib/EXPERIMENTAL/RQuasiSymmetricFunctions.mu:
	Fixed non local variables. Added checkSymDimension.
	2-QSym([x,y,z]) is not Cohen-Macaulay for the chain product,
	but is probably still Cohen-Macaulay.

	* lib/LIBFILES/combinat.mu: New function: combinat::multinomial

	* lib/COMBINAT/TEST/generators.tst, lib/COMBINAT/DOC/generators.tex, lib/COMBINAT/generators.mu:
	New function: generators::accumulate

	* lib/EXPERIMENTAL/TEST/RQuasiSymmetricFunctions.tst, lib/EXPERIMENTAL/RQuasiSymmetricFunctions.mu:
	Experimental combinat::submultiset.
	Dimension + attempt of SymDimension.

2004-04-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXPERIMENTAL/DOC/RQuasiSymmetricFunctions.tex, lib/EXPERIMENTAL/DOC/main.tex, lib/EXPERIMENTAL/TEST/RQuasiSymmetricFunctions.tst, lib/EXPERIMENTAL/RQuasiSymmetricFunctions.mu, lib/LIBFILES/experimental.mu:
	New domain: Dom::RQuasiSymmetricFunctions

	* lib/EXPERIMENTAL/DOC/QSymSym.tex, lib/EXPERIMENTAL/DOC/main.tex, lib/EXPERIMENTAL/QSymSym.mu, lib/EXPERIMENTAL/TEST/QSymSym.tst, lib/LIBFILES/experimental.mu:
	Added experimental::QSymSym

	* lib/DOMAINS/DOMAIN/SparseMatrix_LinBox.mu:
	Use directly shell::system as system under MuPAD 3.0.0.

2004-04-19  hivert  <hivert@localhost>

	* src/nauty-module/Nauty.mcc: Corrected wrong LandoTilde function

2004-04-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/DOMAIN/SparseMatrix_LinBox.mu:
	Marked as broken under MuPAD 3.0.0.

	* TODO: *** empty log message ***

2004-04-19  hivert  <hivert@localhost>

	* lib/EXPERIMENTAL/LandoHopfAlgebra.mu: Added LandoHopfAlgebra.

	* src/MAPITL/MAPITL.h: Fixed reverse iterators for Cell (Nicolas).

2004-04-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/Nauty.mu, lib/COMBINAT/nauty.mu:
	Renamed combinat::nauty into combinat::Nauty.

2004-04-16  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/MAPITL/MAPITL/CtoM.h, src/MAPITL/TODO: Update of TODO;
	Reenabled the default conversion from container in CtoM.

	* src/MAPITL/MAPITL.h: Doc fix.

	* src/MAPITL/Makefile.in, src/MAPITL/configure, src/MAPITL/configure.ac:
	Finished to remove MAPITL/TEST directory.

	* lib/LIBFILES/operators.mu:
	Get rid of makeBilinearInner to put a proper name on makeBilinear

	* lib/LIBFILES/combinat.mu: nauty dynamic module renamed to Nauty.
	Fixed various typos in the interface entry.

	* lib/COMBINAT/TEST/graphs.tst, lib/COMBINAT/graphs.mu:
	Complete reimplementation with graphs stored internally as Nauty
	graphs in MuPAD Cells. Among other things, list is much much faster,
	and takes options to generate many kinds of unoriented graphs.

	nauty dynamic module renamed to Nauty.

	* src/MAPITL/MAPITL.h, src/MAPITL/MAPITL.tst, src/MAPITL/MAPITL/Cell_tmpl.h, src/MAPITL/MAPITL/Container.h, src/MAPITL/MAPITL/CtoM.h, src/MAPITL/MAPITL/Iterator.h, src/MAPITL/MAPITL/Reference.h, src/MAPITL/MAPITL_test.mcc, src/MAPITL/MAPITL_tmpl.h, src/MAPITL/Makefile.am, src/MAPITL/Makefile.in, src/MAPITL/TEST/MAPITL.tst, src/MAPITL/TEST/Makefile.am, src/MAPITL/TEST/Makefile.in, src/MAPITL/TODO, src/MAPITL/testFunctionAndTemplateFunction.cc:
	Major refactoring.
	New classes:
	 - SimpleCell, Cell, ObjectInCell<T>, ArrayInCell<T>
	 - Cell.at Cell.at<T> (this last one is overkill, and will be removed)
	   Cell[], Cell.begin(), Cell.begin<T>()
	Start of splitting of the huge MAPITL.h and MAPITL_tmpl.h files
	Various cleanup

	* doc/ascii/Makefile.in, doc/ascii/dependencies, doc/dvia4/Makefile.in, doc/dvia4/dependencies:
	Fixed improperly built doc/*/dependencies.

	* src/IPC/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/Symmetrica-module/Makefile.in, src/gordan/Makefile.in, src/nauty-module/Makefile.am, src/nauty-module/Makefile.in, src/GLIP-module/Makefile.in, Makefile.in, configure, configure.ac:
	Update of the autoconf/automake build system:
	 - Improved patch call for nauty
	 - Vaguely improved mupad.am: check-mupad depends on all-am

	* config/mupad.am, src/GLIP/config/mupad.am, src/MAPITL/config/mupad.am:
	Partial fix: check-mupad must depend on all-am.

2004-04-16  hivert  <hivert@localhost>

	* src/nauty-module/nauty.mcc, src/nauty-module/nauty.tst, src/nauty-module/Nauty.mcc, src/nauty-module/Nauty.tst, src/nauty-module/mugraph.cc, src/nauty-module/mugraph.h, src/nauty-module/mulist.cc:
	New interface with nauty.
	The nauty graphs are now stored into MuPAD EXT cells.

2004-04-16  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/MAPITL/TODO: Long term roadmap.

2004-04-13  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* Makefile.am, Makefile.in: Fixed Wiki rules.

	* Wiki/WabiSabi.html, Wiki/WantedPages.html, Wiki/WikiPlugin.html, Wiki/WikiWikiWeb.html, Wiki/_MailifyPage.html, Wiki/subClass.html, Wiki/UpLoad.html, Wiki/UserPreferences.html, Wiki/UserTestimonials.html, Wiki/PhpWiki.html, Wiki/PhpWikiAdministration%2FRemove.html, Wiki/PhpWikiAdministration.html, Wiki/PhpWikiDocumentation.html, Wiki/PluginManager.html, Wiki/Poster.html, Wiki/ProgrammingTipsAndTricks.html, Wiki/RandomPage.html, Wiki/RecentChanges.html, Wiki/RecentEdits.html, Wiki/RecentVisitors.html, Wiki/RedirectToPlugin.html, Wiki/ReleaseNotes.html, Wiki/SandBox.html, Wiki/SkewPartitions.html, Wiki/Specifications.html, Wiki/SteveWainstead.html, Wiki/SystemInfoPlugin.html, Wiki/TextFormattingRules.html, Wiki/TitleSearch.html, Wiki/TranscludePlugin.html, Wiki/Operads.html, Wiki/OrphanedPages.html, Wiki/PageGroupTest.html, Wiki/PageGroupTestFour.html, Wiki/PageGroupTestOne.html, Wiki/PageGroupTestThree.html, Wiki/PageGroupTestTwo.html, Wiki/PageHistory.html, Wiki/PageInfo.html, Wiki/PgsrcTranslation.html, Wiki/PhotoAlbumPlugin.html, Wiki/PhpHighlightPlugin.html, Wiki/PhpWeatherPlugin.html, Wiki/ExternalSearchPlugin.html, Wiki/FindPage.html, Wiki/FlorentHivert.html, Wiki/FrequentlyAskedQuestions.html, Wiki/FullRecentChanges.html, Wiki/FullTextSearch.html, Wiki/FuzzyPages.html, Wiki/Generators.html, Wiki/GoodStyle.html, Wiki/HelloWorldPlugin.html, Wiki/HomePage.html, Wiki/HomePageAlias.html, Wiki/HowToUseWiki.html, Wiki/InterWiki.html, Wiki/InterWikiMap.html, Wiki/InterWikiSearch.html, Wiki/LikePages.html, Wiki/LinkIcons.html, Wiki/LogoAndNickNameContest.html, Wiki/MagicPhpWikiURLs.html, Wiki/ModuleWithSeveralBases.html, Wiki/MoreAboutMechanics.html, Wiki/MostPopular.html, Wiki/NewMarkupTestPage.html, Wiki/NicolasThi%E9ry.html, Wiki/OldMarkupTestPage.html, Wiki/OldStyleTablePlugin.html, Wiki/OldTextFormattingRules.html, Wiki/AboutWiki.html, Wiki/AddingPages.html, Wiki/AllPages.html, Wiki/AllUsers.html, Wiki/BackLinks.html, Wiki/BitSet.html, Wiki/CalendarPlugin.html, Wiki/CategoryCategory.html, Wiki/CategoryHomePages.html, Wiki/CommentPlugin.html, Wiki/DebugInfo.html, Wiki/DevelopersMeeting.html, Wiki/DocumentationTipsAndTricks.html, Wiki/EditText.html, Wiki/EuropeanAcademicSoftwareAwardApplication.html:
	Added the html version of the Wiki in the distribution.

	* src/MachineIntegerListsLex/Makefile.in, src/Symmetrica-module/Makefile.in, src/Symmetrica/Makefile.in, src/nauty-module/Makefile.am, src/nauty-module/Makefile.in, test/Makefile.in, src/IPC/Makefile.in, src/gordan/Makefile.in, src/GLIP-module/Makefile.in, src/GLIP/Makefile.in, doc/Makefile.in, doc/dvi/Makefile.in, doc/html/Makefile.in, doc/ascii/Makefile.in, doc/dvia4/Makefile.in, configure:
	Update of the automake / autoconf build system for the nauty dynamic module.

	* src/nauty.patch:
	Added new dynamic module combinat::nauty (see src/nauty-module).
	Requires to put the sources of nauty in src/nauty.

2004-04-13  hivert  <hivert@localhost>

	* lib/COMBINAT/graphs.mu: Added some experimental stuff.

2004-04-13  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/MAPITL/TEST/MAPITL.tst, src/MAPITL/MAPITL_test.mcc, src/MAPITL/MAPITL.h:
	New classes:
	 - MAPITL::Cell         (wrap a MuPAD cell as a standard C++ object)
	 - MAPITL::WrapperCell  (wrap a standard C++ object inside a MuPAD cell)

2004-04-13  hivert  <hivert@localhost>

	* lib/LIBFILES/experimental.mu, lib/COMBINAT/TEST/graphs.tst, lib/EXPERIMENTAL/DOC/LandoHopfAlgebra.tex, lib/EXPERIMENTAL/DOC/main.tex, lib/EXPERIMENTAL/TEST/LandoHopfAlgebra.tst:
	Added LandoHopfAlgebra.

	* lib/COMBINAT/DOC/graphs.tex, lib/COMBINAT/DOC/main.tex, lib/COMBINAT/TEST/graphs.tst, lib/LIBFILES/combinat.mu, lib/COMBINAT/graphs.mu:
	Added the graphs library.

2004-04-13  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/nauty-module/nauty.tst: *** empty log message ***

	* lib/COMBINAT/nauty.mu:
	Added new dynamic module combinat::nauty (see src/nauty-module).
	Requires to put the sources of nauty in src/nauty.

	* configure, configure.ac: Fixed autoconfiguration of nauty.

	* src/nauty-module/Makefile.in, src/Makefile.in, src/nauty-module/nauty.mcc, src/nauty-module/mulist.cc, src/nauty-module/mugraph.h, src/nauty-module/mugraph.cc, src/nauty.patch, src/Makefile.am, lib/LIBFILES/combinat.mu, Makefile.in, configure.ac:
	Added new dynamic module combinat::nauty (see src/nauty-module).
	Requires to put the sources of nauty in src/nauty.

2004-04-13  hivert  <hivert@localhost>

	* lib/EXPERIMENTAL/Steenrod.mu: Added toWeylStar

	* lib/DOMAINS/CATEGORY/DOC/ModuleWithSeveralBases.tex:
	Some ideas of doc

	* lib/COMBINAT/setPartitions.mu, lib/EXAMPLES/CyclesHopfAlgebra.mu, lib/LIBFILES/examples.mu:
	Added Cycles Hopf algebra

	* lib/EXAMPLES/MyMultivariatePolynomials.mu: Improved algebra mult.

2004-04-12  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* ChangeLog, BUGS, TODO, NEWS: Update.

	* AUTHORS: Added Houda.

	* lib/DOC/exercises.tex: Update.

	* lib/EXAMPLES/DOC/main.tex:
	New domain: examples::GraphQuasiSymmetricFunctions

	* lib/LIBFILES/experimental.mu:
	Added autoload for experimental::HeckeAlgebra.

	* lib/OPERATORS/overloaded.mu, lib/LIBFILES/operators.mu, lib/EXPERIMENTAL/TEST/Steenrod.tst, lib/EXPERIMENTAL/DOC/Steenrod.tex, lib/EXPERIMENTAL/Steenrod.mu, lib/EXAMPLES/TEST/SymmetricFunctions.tst, lib/EXAMPLES/DOC/SymmetricFunctions.tex, lib/EXAMPLES/SymmetricFunctions.mu, lib/EXAMPLES/QuasiSymmetricFunctions.mu, lib/EXAMPLES/NonCommutativeSymmetricFunctions.mu, lib/EXAMPLES/MyMultivariatePolynomials.mu, lib/EXAMPLES/LodayRoncoAlgebra.mu, lib/DOMAINS/DOMAIN/TEST/SteenrodAlgebraP.tst, lib/DOMAINS/DOMAIN/WeylAlgebra_Table.mu, lib/DOMAINS/DOMAIN/SteenrodAlgebraP.mu, lib/DOMAINS/CATEGORY/HopfAlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/CombinatorialHopfAlgebra.mu:
	Renamed antipod into antipode, antipodBasis into antipodeBasis.

	* Papers/SLC49/preamble.tex, Papers/SLC49/Makefile, Papers/SLC49/main.bib, lib/DOC/preface.tex, lib/DOC/design.tex, lib/DOC/demonstration.tex:
	Final? version sent to Volker.

	* lib/LIBFILES/examples.mu, lib/EXAMPLES/TEST/GraphQuasiSymmetricFunctions.tst, lib/EXAMPLES/DOC/GraphQuasiSymmetricFunctions.tex, lib/EXAMPLES/GraphQuasiSymmetricFunctions.mu:
	New domain: examples::GraphQuasiSymmetricFunctions

2004-04-12  hivert  <hivert@localhost>

	* lib/OPERATORS/overloaded.mu: Changed _tensor to tensorSymbolic.

	* lib/DOC/demonstration.tex: No more overfull hboxes...

	* lib/DOC/demonstration.tex: Added missing export combinat.

2004-04-12  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* doc/STYLES/template.tex: Added package rotating.

2004-04-12  hivert  <hivert@localhost>

	* lib/DOC/demonstration.tex, lib/DOC/design.tex:
	Wrote the example of Hopf algebra.
	Many improvements (overfull hboxes...).

	* lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu:
	Changed the interface of default optimizations selection. Some improvement.

	* lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu:
	Moved wrong placed assertion.

2004-04-12  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/permutations.mu:
	- New method isEven
	- Linear time algorithm for sign
	- Some complexity comments for other algorithms

	* Papers/SLC49/preamble.tex, Papers/SLC49/postamble.tex, Papers/SLC49/Makefile, Papers/SLC49/main.bib, lib/DOC/design.tex, lib/DOC/demonstration.tex:
	Proof reading by Nicolas, including:
	 - Rotation of the big table
	 - Update of the thanks section
	 - Each main section on a new pages

2004-04-09  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/demonstration.tex:
	Proof reading of Florent's example of module with several bases.

2004-04-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/demonstration.tex: Proofreading by Nicolas.

2004-04-08  hivert  <hivert@localhost>

	* lib/DOC/design.tex, lib/DOC/demonstration.tex: Several improvements.

2004-04-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/init.mu: Fixed non local variable.

2004-04-08  hivert  <hivert@localhost>

	* lib/EXAMPLES/LodayRoncoAlgebra.mu: Added missing ::list

	* lib/DOC/design.tex, lib/DOC/demonstration.tex:
	Example of module with several bases.

2004-04-07  elaugerot  <elaugerot@localhost>

	* lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex, lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	Some new or modified methods of Dom::WeightedAutomaton whose subsTransition,
	subsInitialWeight, subsFinalWeight, difference and multiplication by a scalar.

2004-03-31  teresamu  <teresamu@localhost>

	* lib/DOC/design.tex: aldor infos

	* lib/DOC/preface.tex: few references

2004-03-31  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu: Comment.

2004-03-29  elaugerot  <elaugerot@localhost>

	* lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex, lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	The method convert_to is renamed changeSemiRing.
	The method areEquivalent is created. It checks whether two automata are a same
	behaviour.

2004-03-29  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/permutations.mu: *** empty log message ***

	* lib/DOC/preface.tex, lib/DOC/design.tex, lib/DOC/demonstration.tex:
	LaTeX typo fixes.

	* lib/DOC/preface.tex: Cleaned up the software macros.

	* lib/DOC/design.tex: Added comments about Axiom.

2004-03-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/demonstration.tex: Typo fixes.
	Improved subtitle.
	Application: Polya enumeration.

2004-03-27  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/OPERATORS/DOC/main.tex:
	Enabled persistentRemember which is used and seems to work.

2004-03-26  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/CATEGORY/SemiRing.mu, lib/DOMAINS/CATEGORY/TEST/SemiRing.tst:
	Added default implementation of star for SemiRing's and Fields.

	* lib/init.mu:
	Hey, second time I do this mistake. Reverted. I really want to do that
	in the package included in MuPAD, not here!

2004-03-23  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/integerMatrices.tst, lib/COMBINAT/DOC/integerMatrices.tex, lib/COMBINAT/integerMatrices.mu:
	New methods: nrows, ncols, isSquare, with doc and tests.
	Doc for rowSums and columnSums.

2004-03-20  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	bug fixes into stanton white inversion

2004-03-19  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	inversion stanton white bugs fixes (not all...)

2004-03-18  hivert  <hivert@localhost>

	* lib/DOMAINS/DOMAIN/WeylAlgebra_Table.mu: Remamed dual to dualize

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst:
	Reactivated a disabled test.

	* lib/EXPERIMENTAL/ribbonsTableaux.mu: Fixed local vars.

2004-03-18  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst: some tests added

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	inversion stanton white bugs fixes

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst:
	global indents and unused variables removed

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	cospin computation with stanton-white inversion added

2004-03-16  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	Stanton-White bijection implented ( only one side )

2004-03-16  hivert  <hivert@localhost>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst, lib/EXPERIMENTAL/ribbonsTableaux.mu:
	Cleaned rCore and rQuotient, added fromCoreAndQuotient

2004-03-15  elaugerot  <elaugerot@localhost>

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	External addition and multiplication are done in Dom::WeightedAutomaton.

2004-03-13  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/asciiRibbons.mu:
	bug fixes in printPretty when column have not the same width

2004-03-12  elaugerot  <elaugerot@localhost>

	* lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex, lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:

	New methods for weighted automata is added: the power and the complementary of weighted automata. The help pages are modified. The method isDeterministic
	works now when the empty automaton is considered. The new method
	algebraGenerators is added to the domain examples::SymmetricGroupAlgebra.

2004-03-12  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/init.mu:
	Temporarily disabled prog::bless* until next update of the package.

2004-03-11  hivert  <hivert@localhost>

	* lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	We use now sustematically REP instead of extop.

2004-03-11  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/asciiRibbons.mu: print pretty function added

	* lib/EXPERIMENTAL/asciiRibbons.mu: pretty print advanced

2004-03-11  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/DOMAIN/TEST/FreeModule.tst, lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Bug fix: coeff( 1/3 m[1]) returned 1,3 instead of 1/3 due to an incorrect
	`$ i in coeff(x)`. REPCOEFF now returns a list.

2004-03-11  fdescouens  <fdescouens@localhost>

	* lib/LIBFILES/experimental.mu: asciiRibbons entry added to interface

	* lib/EXPERIMENTAL/asciiRibbons.mu: print pretty new functionnalities

2004-03-10  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/asciiRibbons.mu:
	pretty print for ribbons tableaux (beginning)

	* lib/LIBFILES/experimental.mu:
	hold(ribbonsTableaux) added in interface

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	new persistent remember objets used

2004-03-10  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/init.mu:
	Oops, reverted. I wanted to do that in the package included in MuPAD,
	not here!

2004-03-08  novelli  <novelli@localhost>

	* lib/LIBFILES/experimental.mu:
	Added the automated completion of ribbonsTableaux

2004-03-08  elaugerot  <elaugerot@localhost>

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	Methods of Dom::WeightedAutomaton are reappointed as isacc... becoming isAcc...
	In the methods isAcc... the case of the empty automaton is considered.

2004-03-05  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	added null() modification in function list

2004-03-03  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* Papers/SLC49/preamble.tex, lib/DOC/preface.tex, lib/DOC/design.tex, lib/DOC/demonstration.tex:
	Applied Volker Strehl's comments.

	* lib/init.mu:
	Temporarily disabled overriding the system prog::bless until next
	update of the full package.

2004-03-02  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/cartesianProduct.mu: Added type checking to generator.

	* lib/COMBINAT/cartesianProduct.mu:
	Use combinat::generators::singleton.

2004-03-02  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	generating function for diagonal classes

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	functions on diagonal classes added

2004-03-01  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	diagonal class function for ribbons tableau added

2004-03-01  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/demonstration.tex: Proof reading by Nicolas.

2004-03-01  hivert  <hivert@localhost>

	* lib/DOC/demonstration.tex:
	Added an example of module with several bases.

	* lib/EXAMPLES/SymmetricFunctions.mu, lib/DOC/demonstration.tex:
	Many overfull hboxes removed.

2004-03-01  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst: New test added

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	New functions for listing H functions (based on spin and cospin)

2004-02-26  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/LIBFILES/operators.mu: Typo fix.

2004-02-26  hivert  <hivert@localhost>

	* lib/DOMAINS/CATEGORY/CombinatorialHopfAlgebra.mu, lib/DOMAINS/CATEGORY/GradedHopfAlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/HopfAlgebraWithBasis.mu, lib/EXAMPLES/LodayRoncoAlgebra.mu, lib/EXAMPLES/MyMultivariatePolynomials.mu, lib/init.mu:
	Created the new HopfAlgebraWithBasis
	The former is now in CombinatorialHopfAlgebra

	* lib/DOMAINS/CATEGORY/GradedModuleWithBasis.mu:
	Added homogeneousComponents

	* lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	added optimized _negate function.

2004-02-25  hivert  <hivert@localhost>

	* lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu: Some improvement.

	* lib/DOMAINS/DOMAIN/FreeModulePoly.mu: Slight optimization.

	* lib/OPERATORS/tensorProductOfMaps.mu: Slight Improvement.

2004-02-23  hivert  <hivert@localhost>

	* lib/COMBINAT/decomposableObjects.mu: Fixed a few mod dom->DOM bugs...

	* lib/COMBINAT/decomposableObjects.mu: Corrected a DOM:: problem...

2004-02-20  elaugerot  <elaugerot@localhost>

	* lib/DOMAINS/DOMAIN/TEST/Boolean.tst, lib/DOMAINS/DOMAIN/TEST/Tropical.tst:
	Removed domains Dom::Boolean and Dom::Tropical

2004-02-20  hivert  <hivert@localhost>

	* TODO: ...

	* lib/OPERATORS/TEST/tensorProductOfMaps.tst:
	Faster but equivalent test suite

	* lib/MUPADBACKPORT/DOMAINS/DOMAIN/SqMatrix.mu:
	Addapted to the new interface of subClass

	* lib/COMBINAT/TEST/decomposableObjects.tst: Reactived some tests.

2004-02-19  hivert  <hivert@localhost>

	* lib/DOMAINS/CATEGORY/TEST/ModuleWithSeveralBases.tst, lib/EXAMPLES/SubsetsSpace.mu, lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu:
	ModuleWithSeveralBases has now two entries basisChanges and basisChangesBasis.

2004-02-19  fdescouens  <fdescouens@localhost>

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst:
	path function name changed due to new folder

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	some path changed du to new folder

	* lib/EXPERIMENTAL/TEST/ribbonsTableaux.tst:
	test file for functions on ribbons Tableaux

	* lib/EXPERIMENTAL/ribbonsTableaux.mu:
	functions on ribbons Tableaux (list , q-littleWood, ...)

	* lib/COMBINAT/skewTableaux.mu: domtype changed

	* lib/COMBINAT/TEST/ribbons.tst: bugs fixed

	* lib/COMBINAT/ribbons.mu: experimental functions removed

	* lib/COMBINAT/partitions.mu:
	two new function add/remove ribbon added in hold

	* lib/COMBINAT/DOC/ribbons.tex: moved functions docs deleted

	* lib/COMBINAT/DOC/partitions.tex:
	doc for moved functions add/remove ribbon added

2004-02-19  hivert  <hivert@localhost>

	* lib/DOMAINS/DOMAIN/TEST/TensorProductOfFreeModules.tst, lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu:
	Improvement in the CartesianProduct domain.

	* lib/COMBINAT/permutations.mu: Addes size entry

2004-02-19  fdescouens  <fdescouens@localhost>

	* lib/COMBINAT/TEST/partitions.tst:
	named changed in moved functions add/remove ribbon

	* lib/COMBINAT/partitions.mu:
	change name of remove/add ribbon functions

	* lib/COMBINAT/partitions.mu:
	add/removeRibbonsPartition moved from combinat::ribbons

	* lib/COMBINAT/TEST/partitions.tst:
	Test for moved adding/removing ribbons to partitions added

	* lib/COMBINAT/TEST/ribbons.tst: 2 tests added (limit cases)

	* lib/COMBINAT/ribbons.mu:
	IsA used in IsAStandard, domtype added and some bugs fixed

2004-02-19  hivert  <hivert@localhost>

	* lib/DOMAINS/CATEGORY/GradedCombinatorialClass.mu:
	Better handling of the size entry.

	* lib/COMBINAT/TEST/subClass.tst, lib/COMBINAT/subClass.mu:
	Some improvements.

	* lib/COMBINAT/splitNK.mu: Added missing local var.

	* lib/COMBINAT/TEST/decomposableObjects.tst:
	Added tests of graded and ungraded Domain non-terminals.

	* lib/COMBINAT/TEST/lyndonWords.tst: cleanups.

	* lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	Some cleanups in the ranking system.

	* lib/DOMAINS/CATEGORY/TEST/FiniteDimensionalAlgebraWithBasis.tst:
	Adapted the test suite to the new subClass interface.

	* lib/DOMAINS/CATEGORY/TEST/GradedCombinatorialClass.tst:
	Added missing entries in test.

	* lib/DOMAINS/CATEGORY/TEST/HopfAlgebraWithBasis.tst:
	Added missing coproduct entries in test.

	* lib/EXAMPLES/LodayRoncoAlgebra.mu:
	Some cleanup in rank and removed the declaration of "#" and tensor.

	* lib/COMBINAT/TEST/nonCrossingPartitions.tst, lib/COMBINAT/finiteClass.mu, lib/COMBINAT/rankers.mu, lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Some cleanups in the ranking system.

	* lib/COMBINAT/nonCrossingPartitions.mu: Added size entry.

	* lib/COMBINAT/integerVectorsModPermutationGroup.mu:
	Removed shufflings, split, splittings from the interface.

	* lib/init.mu: Corrected Typo

2004-02-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/init.mu:
	Bug fix: Type::OptionsTable used Type::TableOf which was backported
	later on.

	* lib/COMBINAT/TEST/necklaces.tst, lib/COMBINAT/TEST/lyndonWords.tst, lib/COMBINAT/necklaces.mu, lib/COMBINAT/lyndonWords.mu:
	Fixed and tested combinat::lyndonWords::fromContent (maybe could use subClass).
	Added combinat::necklaces::fromContent.

	* TODO: *** empty log message ***

	* lib/COMBINAT/generators.mu: Fixed non local variable.

2004-02-18  hivert  <hivert@localhost>

	* lib/DOMAINS/CATEGORY/TEST/ModuleWithSeveralBases.tst, lib/DOMAINS/DOMAIN/TEST/TensorProductOfFreeModules.tst, lib/EXAMPLES/SubsetsSpace.mu, lib/EXAMPLES/SymmetricGroupAlgebra.mu:
	Updated to works with the new combinat::subClass.

	* lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu: Cosmetics cleanups.

	* lib/DOMAINS/DOMAIN/TEST/FreeModule.tst:
	Putting back commented out lines.

	* lib/DOMAINS/CATEGORY/DOC/main.tex, lib/DOMAINS/CATEGORY/DecomposableClass.mu:
	New category: GradedCombinatorialClass.

	* lib/COMBINAT/TEST/subClass.tst, lib/COMBINAT/subClass.mu:
	New subClass.mu.

	* lib/COMBINAT/decomposableObjects.mu:
	decomposableObjects now deals with graded and ungraded Domain.
	TODO (florent): The doc and the test files must be updated...

	* lib/COMBINAT/compositions.mu, lib/COMBINAT/dyckWords.mu, lib/COMBINAT/nonCrossingPartitions.mu, lib/COMBINAT/partitions.mu, lib/COMBINAT/permutations.mu, lib/COMBINAT/setPartitions.mu, lib/COMBINAT/setPartitionsOrdered.mu, lib/COMBINAT/subsets.mu, lib/COMBINAT/trees.mu:
	These domain now belongs to the category GradedCombinatorialClass

	* lib/COMBINAT/TEST/shuffle.tst, lib/COMBINAT/integerVectors.mu, lib/COMBINAT/shuffle.mu, lib/COMBINAT/words.mu:
	renamed shuffling/splitting into shufflings/splittings.

	* lib/DOMAINS/CATEGORY/DOC/GradedCombinatorialClass.tex, lib/DOMAINS/CATEGORY/GradedCombinatorialClass.mu, lib/DOMAINS/CATEGORY/TEST/GradedCombinatorialClass.tst, lib/init.mu:
	New category: GradedCombinatorialClass.

2004-02-18  elaugerot  <elaugerot@localhost>

	* lib/DOMAINS/DOMAIN/BooleanSemiRing.mu, lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex, lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	Modified Files:
	   MuPAD-Combinat/lib/DOMAINS/DOMAIN/MinPlusSemiRing.mu
	   lib/DOMAINS/DOMAIN/BooleanSemiRing.mu
	   lib/DOMAINS/DOMAIN/WeightedAutomaton.mu
		A new method trim is added and some corrections are done in the method
		mstar.
	   lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex
		An example of the method trim is added.

2004-02-18  hivert  <hivert@localhost>

	* lib/DOMAINS/CATEGORY/CombinatorialClass.mu:
	Cleanup (removed type entries).

2004-02-17  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/init.mu:
	Backport of Klaus changes to DomainConstructor::getEntryFrom*
	and DomainConstructor::func_call, and moved those to MUPADBACKPORT.
	New Lyndon keyword.

	* Makefile.am, lib/DOMAINS/CONSTR/DCfcall_Backport.mu, lib/DOMAINS/CONSTR/TEST/getEntryFromAllCategories.tst, lib/DOMAINS/CONSTR/TEST/getEntryFromAllSuperDomains.tst, lib/DOMAINS/CONSTR/TEST/getEntryFromCategory.tst, lib/DOMAINS/CONSTR/TEST/getEntryFromSuperDomain.tst, lib/DOMAINS/CONSTR/getEntryFromAllCategories.mu, lib/DOMAINS/CONSTR/getEntryFromAllSuperDomains.mu, lib/DOMAINS/CONSTR/getEntryFromCategory.mu, lib/DOMAINS/CONSTR/getEntryFromSuperDomain.mu, lib/MUPADBACKPORT/DOMAINS/CONSTR/DCfcall.mu, lib/MUPADBACKPORT/DOMAINS/CONSTR/TEST/getEntryFromAllCategories.tst, lib/MUPADBACKPORT/DOMAINS/CONSTR/TEST/getEntryFromAllSuperDomains.tst, lib/MUPADBACKPORT/DOMAINS/CONSTR/TEST/getEntryFromCategory.tst, lib/MUPADBACKPORT/DOMAINS/CONSTR/TEST/getEntryFromSuperDomain.tst, lib/MUPADBACKPORT/DOMAINS/CONSTR/getEntryFromAllCategories.mu, lib/MUPADBACKPORT/DOMAINS/CONSTR/getEntryFromAllSuperDomains.mu, lib/MUPADBACKPORT/DOMAINS/CONSTR/getEntryFromCategory.mu, lib/MUPADBACKPORT/DOMAINS/CONSTR/getEntryFromSuperDomain.mu:
	Backport of Klaus changes to DomainConstructor::getEntryFrom*
	and DomainConstructor::func_call, and moved those to MUPADBACKPORT.

	* lib/PROG/TEST/bless.tst, lib/PROG/bless.mu:
	Backport of Klaus changes (blessAny + funcenvs).
	Disabled blessing of fconcat expressions bla @ ble.

	* lib/COMBINAT/TEST/generators.tst, lib/COMBINAT/generators.mu:
	Fixed combinat::generators::multiset to work deal with expression sequences.

	* lib/COMBINAT/TEST/decomposableObjects.tst:
	New shortcut class -> Domain(class)
	New tests for the Domain feature

	* lib/COMBINAT/decomposableObjects.mu, lib/COMBINAT/DOC/decomposableObjects.tex:
	New shortcut class -> Domain(class)

	* lib/DOC/demonstration.tex:
	Replaced the uninteresting example of the combinatorial class of
	integers by that of odd integers and application to partitions with
	odd parts.

2004-02-16  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu:
	Fixed unused local variable.

	* lib/COMBINAT/generators.mu:
	Fix: Type::Function is currently too restrictive, and does not allow
	for predicates like TRUE or FALSE.
	Optimize select when the predicate is trivial.
	Trivial implementation of copy for generators that are plain MuPAD objects.

	* lib/COMBINAT/words.mu:
	Allow for sets as alphabet for evaluation + faster RTTI.

	* lib/COMBINAT/multisetsNK.mu:
	Bug fix: unrank should return FAIL when the rank is too big.

	* lib/COMBINAT/lyndonWords.mu: New combinatorial class:
	 - combinat::lyndonWords::fromContent.

	* lib/COMBINAT/decomposableObjects.mu: Fixed non local variable.
	Added support for Lyndon construction.
	Bug fixed option parsing for generator and GenericSet
	Treat properly for 0-sized objects in generator for MultX.

	* lib/COMBINAT/chooseNK.mu: Fixed non local variable.

	* config/sourceforge.am, src/GLIP/config/sourceforge.am, src/MAPITL/config/sourceforge.am:
	Removed verbose rsync option.

	* lib/TEST/mupad.tst:
	Added non blessing test when inheriting expressions bla@ble.

	* lib/COMBINAT/DOC/freeTreesLabelled.tex: Title improvement

	* lib/COMBINAT/TEST/words.tst: Fixed test.

	* lib/COMBINAT/TEST/multisetsNK.tst: Cleanup.

	* lib/COMBINAT/TEST/decomposableObjects.tst:
	Catch errors when generating C code.

	* lib/COMBINAT/DOC/necklaces.tex, lib/COMBINAT/DOC/lyndonWords.tex, lib/COMBINAT/DOC/generators.tex:
	Typo fix.

2004-02-16  hivert  <hivert@localhost>

	* lib/DOMAINS/DOMAIN/TEST/TensorProductOfFreeModules.tst, lib/LIBFILES/operators.mu, lib/OPERATORS/TEST/tensorProductOfMaps.tst, lib/OPERATORS/tensorProductOfMaps.mu, lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu, lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Added tensorProductOfMaps and tensorProducts => cartesianProducts.

2004-02-13  hivert  <hivert@localhost>

	* lib/DOMAINS/CATEGORY/TEST/ModuleWithSeveralBases.tst, lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu:
	Renamed addBasis and addBasisChange to declareBasis and
	declareBasisChange.

	* lib/OPERATORS/overloaded.mu, lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu:
	The printing of tensor products is now working.

2004-02-12  hivert  <hivert@localhost>

	* lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu, lib/OPERATORS/overloaded.mu:
	The operators tensor call now TensorProductOfFreeModules.
	The pretty printing and parsing of tensor product is now working.

	* lib/EXAMPLES/QuasiSymmetricFunctions.mu:
	Added Ribbon basis and some improvements

2004-02-11  hivert  <hivert@localhost>

	* createDomain:
	Corrected wrong cvs identification $id:$ (the : where missing).

	* lib/DOMAINS/DOMAIN/TEST/TensorProductOfFreeModules.tst, lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu:
	Corrected wrong cvs $id:$.

	* lib/DOMAINS/DOMAIN/FreeModulePoly.mu, lib/DOMAINS/DOMAIN/TEST/TensorProductOfFreeModules.tst, lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu:
	First working version of TensorProductOfFreeModules.  The test suite
	is working. The tensor product constructor of non polynomial free
	module is not implemented.

	* lib/EXAMPLES/SymmetricGroupAlgebra.mu: Corrected wrong type checking.

2004-02-11  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* Makefile.am, lib/init.mu, lib/TYPE/DOC/Intersection.tex, lib/TYPE/DOC/Predicate.tex, lib/TYPE/DOC/TableOf.tex, lib/TYPE/DOC/main.tex, lib/TYPE/TEST/Predicate.tst, lib/MUPADBACKPORT/TYPE/Intersection.mu, lib/MUPADBACKPORT/TYPE/Predicate.mu, lib/MUPADBACKPORT/TYPE/TEST/Predicate.tst, lib/MUPADBACKPORT/TYPE/TableOf.mu, lib/TYPE/Intersection.mu, lib/TYPE/Predicate.mu, lib/TYPE/TableOf.mu:
	We probably wont need any more to make changes to
	Type::Predicate/Intersection/TableOf, so we give back the maintenance
	of them to the MuPAD group.
	Updated from their latest version and moved to MUPADBACKPORT.

2004-02-09  hivert  <hivert@localhost>

	* lib/DOMAINS/CATEGORY/DOC/AlgebraWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/CombinatorialClass.tex:
	More rereadings.

	* lib/DOMAINS/CATEGORY/DOC/AlgebraWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/CombinatorialClass.tex, lib/DOMAINS/CATEGORY/DOC/ModuleWithBasis.tex:
	Rereading and many corrections.

2004-02-06  xmolinero  <xmolinero@localhost>

	* lib/COMBINAT/multisetsNK.mu, lib/COMBINAT/chooseNK.mu:
	To use Recursive Binomial

2004-02-06  hivert  <hivert@localhost>

	* lib/MUPADBACKPORT/DOMAINS/DOMAIN/DenseMatrix.mu, lib/MUPADBACKPORT/DOMAINS/DOMAIN/Matrix.mu:
	Backporting the bug fixes and improvement.

	* lib/DOMAINS/DOMAIN/DOC/TensorProductOfFreeModules.tex, lib/DOMAINS/DOMAIN/DOC/main.tex, lib/DOMAINS/DOMAIN/FreeModulePoly.mu, lib/DOMAINS/DOMAIN/TEST/TensorProductOfFreeModules.tst, lib/DOMAINS/DOMAIN/TensorProductOfFreeModules.mu, lib/init.mu:
	Started the writing of TensorProductOfFreeModules.

	* lib/LIBFILES/combinat.mu: Moved multisetsNK into the interface.

2004-02-05  xmolinero  <xmolinero@localhost>

	* lib/COMBINAT/TEST/chooseNK.tst, lib/COMBINAT/TEST/multisetsNK.tst, lib/COMBINAT/multisetsNK.mu:
	MultisetsNK in a good improvement

2004-02-05  hivert  <hivert@localhost>

	* lib/DOMAINS/CATEGORY/TEST/ModuleWithSeveralBases.tst, lib/DOMAINS/DOMAIN/FreeModulePoly.mu, lib/DOMAINS/DOMAIN/TEST/FreeModule.tst:
	FreeModulePoly now works with IntegerMod coefficients rings.

	* lib/DOMAINS/CATEGORY/DOC/CombinatorialClass.tex:
	Removed a wrong reference to the entry "type".

2004-02-05  xmolinero  <xmolinero@localhost>

	* lib/COMBINAT/TEST/multisetsNK.tst, lib/COMBINAT/multisetsNK.mu, lib/COMBINAT/splitNK.mu, lib/LIBFILES/combinat.mu:
	Library of multisetsNK

2004-02-05  hivert  <hivert@localhost>

	* lib/DOMAINS/CATEGORY/TEST/ModuleWithSeveralBases.res:
	... wrong cvs command.

2004-02-04  xmolinero  <xmolinero@localhost>

	* lib/COMBINAT/chooseNK.mu, lib/COMBINAT/splitNK.mu:
	Good multisetsNK files

	* README, lib/COMBINAT/multisetsNK.mu: Better multisetsNK.mu

	* lib/COMBINAT/TEST/multisetsNK.tst: New test of multisetsNK

	* TODO, lib/COMBINAT/TEST/chooseNK.tst, lib/COMBINAT/TEST/multisetsNK.set, lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/chooseNK.mu, lib/COMBINAT/multisetsNK.mu, lib/COMBINAT/permutations.mu, lib/COMBINAT/splitNK.mu:
	Better improvement in unrank and random of chooseNK and others

2004-02-04  hivert  <hivert@localhost>

	* lib/COMBINAT/TEST/splitN.tst, lib/COMBINAT/TEST/splitNK.tst, lib/COMBINAT/shuffle.mu, lib/COMBINAT/splitN.mu, lib/COMBINAT/splitNK.mu, lib/LIBFILES/combinat.mu:
	Renamed splitN into splitNK.

	* lib/COMBINAT/TEST/generators.tst, lib/COMBINAT/generators.mu:
	All generators and generatorContructors of the library are now
	copyable generators.

	* lib/COMBINAT/words.mu:
	Corrected wrong declaration of local variables.

	* lib/EXAMPLES/SymmetricFunctions.mu:
	Corrected some wrong declaration of local variables.

2004-02-04  fdescouens  <fdescouens@localhost>

	* lib/COMBINAT/DOC/ribbons.tex:
	Exemple false fixes ( standard ribbons )

2004-02-03  hivert  <hivert@localhost>

	* lib/COMBINAT/TEST/generators.tst, lib/COMBINAT/generators.mu:
	Map is now a copyable generator.
	The call generators::copy(copyableGenerator) now works.

2004-02-02  hivert  <hivert@localhost>

	* lib/DOMAINS/CATEGORY/AlgebraWithBasis.mu, lib/DOMAINS/CATEGORY/DOC/ModuleWithSeveralBases.tex, lib/DOMAINS/CATEGORY/DOC/main.tex, lib/DOMAINS/CATEGORY/ModuleWithBasis.mu, lib/DOMAINS/CATEGORY/ModuleWithSeveralBases.mu, lib/DOMAINS/CATEGORY/TEST/ModuleWithSeveralBases.res, lib/DOMAINS/CATEGORY/TEST/ModuleWithSeveralBases.tst, lib/EXAMPLES/DOC/SubsetsSpace.tex, lib/EXAMPLES/DOC/main.tex, lib/EXAMPLES/SubsetsSpace.mu, lib/EXAMPLES/TEST/SubsetsSpace.tst, lib/LIBFILES/examples.mu, lib/init.mu:
	First tentative of the cleaning of the module with several bases:
	 - creation of the category Cat::ModuleWithSeveralBases
	 - creation of the module   example::SubsetsSpace
	 - the category Cat::ModuleWithBasis does now knows about duality and
	scalar product.
	 - the category Cat::AlgebraWithBasis now implement mult by
	overloading if neither mult nor mult2 is provided.

	* lib/DOMAINS/CATEGORY/TEST/CombinatorialClass.tst:
	Some minor improvements.

	* lib/EXAMPLES/SymmetricFunctions.mu: Added some tests for plethysms.

	* src/Symmetrica-module/Symmetrica2MuPAD.h:
	Symmetrica now returns tableaux in combinat syntax.

	* lib/COMBINAT/rankers.mu:
	Added rankFromList if only the ranker is needed.

2004-02-02  elaugerot  <elaugerot@localhost>

	* lib/DOMAINS/DOMAIN/BooleanSemiRing.mu, lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	*** empty log message ***

	* lib/DOMAINS/DOMAIN/DOC/Tropical.tex:
	2004-02-02 Éric Laugerotte <eric.laugerotte@univ-rouen.fr>

		* lib/DOMAINS/DOMAIN/DOC/Tropical.tex
		Removed useless file

	* lib/DOMAINS/DOMAIN/DOC/Boolean.tex:
	2004-02-02 É. Laugerotte <eric.laugerotte@univ-rouen.fr>

		* lib/DOMAINS/DOMAIN/DOC/Boolean.tex
		Removed useless file

2004-02-01  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/generators.tst, lib/COMBINAT/generators.mu:
	New method:
	generatorWithCopy

2004-01-31  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUPADBACKPORT/PROG/sort.mu, lib/init.mu:
	Backported prog::sort from MuPAD 3.0.0.

	* README.in: Added reference to the Wiki.

	* index.html.in: Added links to the important wiki sections.

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu:
	New internal method countAvailable()
	Generator can now work without count if needed.
	Powerset and Multiset now accept extra arguments in the unlabelled case.
	Added generator for Powerset and Multiset.

	* lib/COMBINAT/generators.mu: Updated the interface.

	* lib/COMBINAT/TEST/generators.tst, lib/COMBINAT/generators.mu:
	New methods:
	 - copy
	 - powerset
	 - multiset
	Added more systematic names and option noDebug.

	* lib/COMBINAT/lyndonWords.mu:
	Make combinat::lyndonWord a combinatorial class.
	Moved the documentation to the doc file.

	* lib/COMBINAT/treesGeneric.mu: Added some comments.

	* lib/COMBINAT/trees.mu: Fixed buggy type checking.

	* lib/COMBINAT/DOC/lyndonWords.tex: Fixes and little improvements.

	* lib/COMBINAT/DOC/trees.tex, lib/COMBINAT/DOC/binaryTrees.tex:
	Fixed the documentation examples to use trees::dummyLabel, and added
	explanations about it.

	* lib/COMBINAT/TEST/words.tst, lib/COMBINAT/DOC/words.tex, lib/COMBINAT/words.mu:
	New method: words::evaluationSparse

	* lib/COMBINAT/shuffle.mu: Added TODO comment.

	* lib/COMBINAT/compositions.mu: *** empty log message ***

2004-01-31  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUPADBACKPORT/PROG/sort.mu, lib/init.mu:
	Backported prog::sort from MuPAD 3.0.0.

	* README.in: Added reference to the Wiki.

	* index.html.in: Added links to the important wiki sections.

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu:
	New internal method countAvailable()
	Generator can now work without count if needed.
	Powerset and Multiset now accept extra arguments in the unlabelled case.
	Added generator for Powerset and Multiset.

	* lib/COMBINAT/generators.mu: Updated the interface.

	* lib/COMBINAT/TEST/generators.tst, lib/COMBINAT/generators.mu:
	New methods:
	 - copy
	 - powerset
	 - multiset
	Added more systematic names and option noDebug.

	* lib/COMBINAT/lyndonWords.mu:
	Make combinat::lyndonWord a combinatorial class.
	Moved the documentation to the doc file.

	* lib/COMBINAT/treesGeneric.mu: Added some comments.

	* lib/COMBINAT/trees.mu: Fixed buggy type checking.

	* lib/COMBINAT/DOC/lyndonWords.tex: Fixes and little improvements.

	* lib/COMBINAT/DOC/trees.tex, lib/COMBINAT/DOC/binaryTrees.tex:
	Fixed the documentation examples to use trees::dummyLabel, and added
	explanations about it.

	* lib/COMBINAT/TEST/words.tst, lib/COMBINAT/DOC/words.tex, lib/COMBINAT/words.mu:
	New method: words::evaluationSparse

	* lib/COMBINAT/shuffle.mu: Added TODO comment.

	* lib/COMBINAT/compositions.mu: *** empty log message ***

2004-01-30  xmolinero  <xmolinero@localhost.localdomain>

	* lib/COMBINAT/chooseNK.mu: chooseNK faster in no-lexicographic order

2004-01-30  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/chooseNK.mu: Fixed missing ,

	* lib/COMBINAT/DOC/necklaces.tex: Fixes.

2004-01-30  xmolinero  <xmolinero@localhost.localdomain>

	* lib/COMBINAT/TEST/necklaces.tst, lib/COMBINAT/TEST/lyndonWords.tst, lib/COMBINAT/lyndonWords.mu, lib/COMBINAT/necklaces.mu:
	New method : count

2004-01-29  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* TODO: *** empty log message ***

	* AUTHORS: Added Xavier.

	* README.in: Moved all the Tips and Tricks to the Wiki.

2004-01-29  xmolinero  <xmolinero@localhost.localdomain>

	* lib/COMBINAT/TEST/necklaces.tst, lib/COMBINAT/necklaces.mu:
	More examples of count and generator

2004-01-29  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/DOC/necklaces.tex, lib/COMBINAT/DOC/lyndonWords.tex:
	Preliminary documentation for lyndon words and necklaces.

2004-01-29  xmolinero  <xmolinero@localhost.localdomain>

	* lib/COMBINAT/TEST/necklaces.tst, lib/COMBINAT/necklaces.mu:
	New method : count

2004-01-29  hivert  <hivert@localhost.localdomain>

	* lib/EXAMPLES/SymmetricFunctions.mu:
	Added experimental support for lambda-rings.

2004-01-29  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/splitN.mu, lib/COMBINAT/permutations.mu, lib/COMBINAT/chooseNK.mu:
	Comments about the complexity and such

2004-01-29  hivert  <hivert@localhost.localdomain>

	* lib/LIBFILES/operators.mu:
	Corrected a bug: the option Multcoeffs for makeLinear was not working.

	* createDomain: Corrected the end of the test suite.

2004-01-29  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/DOC/main.tex, lib/LIBFILES/combinat.mu:
	New domain combinat::lyndonWords, with generator from evaluation

	* lib/COMBINAT/necklaces.mu:
	Fixed the initialization to get proper results for lyndon words with
	k=1.

	* lib/COMBINAT/decomposableObjects.mu:
	Added Lyndon in the (trivial) Labelled case

	* lib/COMBINAT/TEST/chooseNK.tst, lib/COMBINAT/chooseNK.mu: Fixed isA

	* lib/COMBINAT/TEST/necklaces.tst: More tests.

	* lib/COMBINAT/TEST/lyndonWords.tst, lib/COMBINAT/DOC/lyndonWords.tex, lib/COMBINAT/lyndonWords.mu:
	New domain combinat::lyndonWords, with generator from evaluation

2004-01-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* createDomain:
	New option --cvs to ask createDomain to call CVS to add the created files.

	* TODO: Some more things to do ...

	* lib/COMBINAT/decomposableObjects.mu:
	- New method (inherited) listFromUnrankAndCount.
	- Bug fix: list was completely broken because we were using
	  generators::singletonGenerator instead of ::singleton

	* lib/LIBFILES/combinat.mu: New domain combinat::necklaces

	* lib/DOMAINS/CATEGORY/CombinatorialClass.mu:
	New method listFromUnrankAndCount

	* lib/init.mu: Removed unused ProdSeq and co.
	Added BoxedProd.

	* lib/COMBINAT/integerMatrices.mu:
	generators::empty is now an entry and not a method.

	* lib/COMBINAT/decomposableObjects.mu:
	- generators::empty is now an entry and not a method.
	- Added Powerset in the unlabelled case (for counting only).
	- Allow for empty unions, with infinite valuation and -infinite degree.

	* lib/COMBINAT/words.mu, lib/COMBINAT/skewPartitions.mu, lib/COMBINAT/generators.mu, lib/COMBINAT/chooseNK.mu, lib/COMBINAT/cartesianProduct.mu:
	generators::empty is now an entry and not a method.

	* lib/COMBINAT/TEST/decomposableObjects.tst:
	Added basic tests for Union and Powerset in unlabelled case.

	* lib/COMBINAT/TEST/necklaces.tst, lib/COMBINAT/DOC/necklaces.tex, lib/COMBINAT/DOC/main.tex, lib/COMBINAT/necklaces.mu:
	New domain combinat::necklaces.
	generator for combinat::necklaces::fromEvaluation.

2004-01-27  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/generators.mu: New method generators::singleton.

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu:
	- Finished to implement the standalone generator
	- Various bug fixes due to empty Epsilon()
	- Fixed erroneous calls to nops(stack) instead of stack::depth()
	  (that gave a bug in random)

2004-01-27  hivert  <hivert@localhost.localdomain>

	* createDomain: Added my name and e-mail... Good work Nicolas !!!

	* lib/COMBINAT/integerMatrices.mu:
	Added count using symmetric functions.

2004-01-27  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/ADT/TEST/Stack.tst, lib/ADT/Stack.mu:
	Store the size of the stack, and use it for infinite stacks.
	So now emptyPop and emptyTop are now functions that take a
	depth, and return the value on the stack at this depth.

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/DOC/decomposableObjects.tex, lib/COMBINAT/decomposableObjects.mu:
	- Fixed Epsilon's with weights
	- Added BoxedProd constructor (internally rewritten into MultX/DivX)

	* lib/COMBINAT/decomposableObjects.mu:
	- Bug fix in makeRandom for A = Alias(B)
	- Implementation of nested DivX/MultX using a stack
	- Use unrank_functions[B](r, label, mLabels) instead of unrank_functions[B](r, [label, mLabels])
	- Same thing for random
	- Code factorisation for the initialization of the labels in unrank/random/generator
	  (but yields a testargs() buried at level 2)
	- Partial implementation of standalone generator
	- Cleanup

2004-01-26  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/init.mu: New option names: CompleteBinary, Binary, Ordered.

	* lib/LIBFILES/experimental.mu:
	Experimental domains intSetSort and intTableSort for sets and
	associative tables with non negative integer entries implemented using
	kernel polynomials.

	* lib/EXAMPLES/LodayRoncoAlgebra.mu:
	Cleared the now useless temporary hack to use the new printer for trees.

	* lib/DOC/demonstration.tex: Fixes.

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/subClass.mu:
	*** empty log message ***

	* lib/COMBINAT/decomposableObjects.mu:
	Fixed random and unrank for Domain in the labelled case.

	* TODO: *** empty log message ***

	* lib/COMBINAT/decomposableObjects.mu:
	Fixed dom variable for MuPAD < 3.0.0

2004-01-26  hivert  <hivert@localhost.localdomain>

	* lib/LIBFILES/combinat.mu: Added ribbons to the interface of combinat.

	* lib/COMBINAT/TEST/ribbons.tst, lib/COMBINAT/ribbons.mu:
	Added some comment for Francois.

	* lib/COMBINAT/integerVectors.mu, lib/COMBINAT/permutations.mu, lib/COMBINAT/shuffle.mu:
	Fixed inheritance problems...

2004-01-26  elaugerot  <elaugerot@localhost.localdomain>

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu, lib/DOMAINS/DOMAIN/BooleanSemiRing.mu:
	*** empty log message ***

2004-01-26  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/decomposableObjects.mu:
	Replaced subwords::unrankSplit by words::split::unrank.

	* lib/DOMAINS/CATEGORY/CombinatorialClass.mu:
	The size argument of list has not to be an integer.

	* lib/LIBFILES/combinat.mu, lib/COMBINAT/TEST/chooseNK.tst, lib/COMBINAT/TEST/splitN.tst, lib/COMBINAT/TEST/subwords.tst, lib/COMBINAT/chooseNK.mu, lib/COMBINAT/splitN.mu, lib/COMBINAT/subsets.mu, lib/COMBINAT/subwords.mu:
	Created two low-level combinatorial classes chooseNK splitN.

	* lib/COMBINAT/TEST/shuffle.tst, lib/COMBINAT/TEST/words.tst, lib/COMBINAT/shuffle.mu, lib/COMBINAT/words.mu:
	All what concern shuffle and split of words are now in shuffle.mu/.tst
	shuffle::isA is implemented.
	New combinatorial classes: shuffling, split/splitting.

2004-01-26  elaugerot  <elaugerot@localhost.localdomain>

	* lib/DOMAINS/DOMAIN/BooleanSemiRing.mu, lib/DOMAINS/DOMAIN/Tropical.mu, lib/DOMAINS/DOMAIN/Boolean.mu, lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex, lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	*** empty log message ***

2004-01-19  fdescouens  <fdescouens@localhost.localdomain>

	* lib/COMBINAT/TEST/skewTableaux.tst: isA / isAStandard test modified

2004-01-16  hivert  <hivert@localhost.localdomain>

	* TODO: ...

	* lib/COMBINAT/TEST/binaryTrees.tst, lib/COMBINAT/TEST/cartesianProduct.tst, lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/TEST/dyckWords.tst, lib/COMBINAT/TEST/generators.tst, lib/COMBINAT/TEST/getOptions.tst, lib/COMBINAT/TEST/integerListsLexTools.tst, lib/COMBINAT/TEST/integerMatrices.tst, lib/COMBINAT/TEST/integerVectorsWeighted.tst, lib/COMBINAT/TEST/labelledBinaryTrees.tst, lib/COMBINAT/TEST/linearExtensions.tst, lib/COMBINAT/TEST/partitions.tst, lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/TEST/rankers.tst, lib/COMBINAT/TEST/ribbons.tst, lib/COMBINAT/TEST/setPartitionsOrdered.tst, lib/COMBINAT/TEST/skewPartitions.tst, lib/COMBINAT/TEST/skewTableaux.tst, lib/COMBINAT/TEST/subClass.tst, lib/COMBINAT/TEST/subsets.tst, lib/COMBINAT/TEST/tableaux.tst, lib/COMBINAT/TEST/trees.tst:
	Cleanup of the test suite (removed some warnings).

	* lib/COMBINAT/decomposableObjects.mu:
	Improved call of generator (call directly unrank_function[...])
	Use now binomialRecursive.

	* lib/COMBINAT/subwords.mu: We now use binomialRecursive.

	* lib/COMBINAT/TEST/integerVectors.tst, lib/COMBINAT/integerVectors.mu:
	Added integerVector::_plus (termwise addition)

	* lib/COMBINAT/stirling2.mu:
	Stirling(0,0) = 1 according to the standard conventions.

2004-01-15  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/TEST/setPartitions.tst, lib/COMBINAT/setPartitions.mu:
	Added Count fucntions.

	* lib/COMBINAT/TEST/words.tst: New methods shuffle::isA

	* lib/COMBINAT/shuffle.mu, lib/COMBINAT/words.mu, lib/LIBFILES/combinat.mu:
	Added shuffling

	* lib/DOMAINS/CATEGORY/HopfAlgebraWithBasis.mu:
	Removed declaration of signature when coproduct is undefined.

	* lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	Added warning when Ax::systemRep but do no domtype entry

	* lib/COMBINAT/TEST/binomialRecursive.tst, lib/COMBINAT/binomialRecursive.mu:
	Added BinomialRecursive.

	* lib/EXAMPLES/NonCommutativePolynomials.mu, lib/LIBFILES/examples.mu:
	Added NonCommutativePolynomials

	* lib/EXAMPLES/LodayRoncoAlgebra.mu: Some improvements.

2004-01-13  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/DOC/treesGeneric.tex: Added some basic examples.

	* lib/COMBINAT/treesGeneric.mu:
	Added Ordered option even in the binary case.
	Fix the option parsing so as not to modify the arguments, for
	better pretty printing of the domain name.

	* lib/COMBINAT/decomposableObjects.mu:
	Fixed dom variable for MuPAD < 3.0.0

2004-01-13  fdescouens  <fdescouens@localhost.localdomain>

	* lib/COMBINAT/ribbons.mu: Fixed non local variables

	* lib/COMBINAT/TEST/ribbons.tst: Fixed ; into :

2004-01-13  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/tableaux.mu:
	Use box instead of cell to be coherent with the doc.

2004-01-12  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* TODO, lib/EXPERIMENTAL/TEST/Steenrod.tst, lib/EXPERIMENTAL/DOC/Steenrod.tex:
	*** empty log message ***

	* lib/DOC/preface.tex: Typo fix.

	* lib/COMBINAT/trees.mu: Use the new pretty printer by default.
	Disable fromGrammar for compatibility with genericTree.

	* lib/COMBINAT/treesGeneric.mu: Fixed non local variable.
	Temporarily disable the Boustrophedonic option.

	* lib/COMBINAT/labelledTrees.mu: Use combinat::treesGeneric.

	* lib/COMBINAT/labelledBinaryTrees.mu: Added grammar description.

	* lib/COMBINAT/decomposableObjects.mu:
	Fixed option checking for Multiset.

	* lib/COMBINAT/binaryTrees.mu: Use combinat::treesGeneric.

	* lib/LIBFILES/combinat.mu, lib/COMBINAT/DOC/main.tex:
	New domain for free trees, with Prufer correspondance.
	New generic domain for trees of all kinds.

	* lib/COMBINAT/TEST/treesGeneric.tst, lib/COMBINAT/DOC/treesGeneric.tex, lib/COMBINAT/treesGeneric.mu:
	New generic domain for trees of all kinds.

	* lib/COMBINAT/TEST/freeTreesLabelled.tst, lib/COMBINAT/DOC/freeTreesLabelled.tex, lib/COMBINAT/freeTreesLabelled.mu:
	New domain for free trees, with Prufer correspondance.

	* lib/COMBINAT/decomposableObjects.mu:
	Allow for Multiset(MinLength=1) which is correct in the unlabelled case.

2004-01-11  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* TODO: *** empty log message ***

2004-01-09  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/init.mu: Added option DefaultWeight.

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/DOC/decomposableObjects.tex, lib/COMBINAT/decomposableObjects.mu:
	Added support for weighted enumeration, including doc and tests.
	Still somewhat experimental with respect to holonomic precomputations.

	* TODO: *** empty log message ***

	* lib/COMBINAT/DOC/decomposableObjects.tex, lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu:
	- Implementation of a generic sequence constructor, which treats
	  MinLength and MaxLength conditions, possibly simultaneously.
	- Sequence now accept MinLength and MaxLength conditions simultaneously.
	- Cycle, Multiset, and Powerset accept MinLength and MaxLength in the labelled case
	- Some automatic optimizations:
	  Alias(Alias(A, g), f)              becomes Alias(A, f@g)
	  Alias(Alias(A, Prod), Sequence@op) becomes Alias(Sequence)
	  Prod(bla, Epsilon(), ble)          becomes Prod(bla, ble)
	  Prod(bla)                          becomes Alias(bla, Prod)
	  Union(bla)			     becomes bla

	* createDomain: Fixed formating of CVS id's.
	Extended to deal with all the domains that are stored in
	a standardized place (say, Type, combinat, ...).
	Fixed the file name in the header when a .new file is created.

	* lib/init.mu: Protect packages.

2004-01-09  novelli  <novelli@localhost.localdomain>

	* lib/EXAMPLES/LodayRoncoAlgebra.mu: Essais sur Loday-Ronco

	* lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/permutations.mu:
	Changed the per[i..j] by op(per,i..j)
	inside permutations.mu

	and added some tests about connected permutations.

2004-01-09  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXPERIMENTAL/TEST/FreeOperad.tst:
	Use NIL instead of 1 as dummy label in unlabelled trees.

	* lib/OUTPUT/TEST/asciiArt.tst:
	New tests for concat with option Packed.

	* lib/OUTPUT/asciiArt.mu: Modified method:
	 - concat: new option MaxRemove + cleanup (non local variable fixes,
	   better variable names).

	* lib/EXAMPLES/TEST/LodayRoncoAlgebra.tst, lib/COMBINAT/TEST/trees.tst, lib/COMBINAT/TEST/subClass.tst:
	Use NIL instead of 1 as dummy label in unlabelled trees.

	* lib/COMBINAT/trees.mu: Use initDomain to force dummyLabel to NIL.

2004-01-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/trees.mu:
	Improved implementation of the new pretty printer for trees.
	 - cleaner and more symmetric code
	 - removed extraneous lines from the output for node with
	   trivial children only

2004-01-07  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/init.mu:  - New implementation of adt::Stack.
	 - Standardization of the loadproc sections, using aliases for path,
	   and so on. This allow to better automatize domain creations with
	   the createDomain script.
	 - Added Cycle to the protected identifiers.

	* lib/ADT/TEST/Stack.tst, lib/ADT/DOC/Stack.tex, lib/ADT/Stack.mu:
	New implementation of adt::Stack.

2004-01-05  fdescouens  <fdescouens@localhost.localdomain>

	* lib/COMBINAT/DOC/main.tex:
	riibons and skewTableaux entries added in documentation

	* lib/COMBINAT/DOC/ribbons.tex: Documentation for ribbons added

	* lib/COMBINAT/DOC/skewTableaux.tex:
	documentation for functions on skewTableaux.mu

	* lib/COMBINAT/TEST/ribbons.tst:
	tests added for new functions on ribbons

	* lib/COMBINAT/ribbons.mu: isAStandard added and bug fixes

	* lib/COMBINAT/skewTableaux.mu: isAStandard function added

	* lib/LIBFILES/experimental.mu:
	Virasoro, VirasoroAlgebra and VermaModule entries added

2003-12-19  hivert  <hivert@localhost.localdomain>

	* lib/EXAMPLES/LodayRoncoAlgebra.mu: ...

	* lib/COMBINAT/trees.mu: fixed a dom -> DOM bug.

2003-12-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/OUTPUT/asciiArt.mu: New method concat.

	* lib/COMBINAT/trees.mu:
	New implementation of print, with the name printnew:
	 - more compact
	 - labels are somewhat supported

	* Papers/SLC49/main.bib: Added missing references.

	* lib/DOC/design.tex, lib/DOC/preface.tex, lib/DOC/demonstration.tex:
	Fixed the last buggy references.
	Made the platform comparison table fit in the page.

2003-12-19  hivert  <hivert@localhost.localdomain>

	* lib/DOMAINS/CATEGORY/HopfAlgebraWithBasis.mu:
	fixed a subprocedure dom -> DOM bug.

	* lib/EXAMPLES/LodayRoncoAlgebra.mu: Added monomial and forgotten bases

2003-12-18  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/trees.mu: added TeXing of trees (using pspicture).

	* lib/DOMAINS/CATEGORY/CombinatorialHopfAlgebra.mu, lib/DOMAINS/CATEGORY/HopfAlgebraWithBasis.mu:
	Added automatic computation of the antipode.

	* lib/DOMAINS/CATEGORY/ModuleWithBasis.mu, lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Corrected some problem in the printing end the TeXing

	* lib/EXAMPLES/LodayRoncoAlgebra.mu:
	many improvemens,t change of bases...

	* lib/EXPERIMENTAL/PBT.mu: added succOrder (bad implementation).

2003-12-17  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXPERIMENTAL/Steenrod.mu:
	New implementation of F5 with elements added following the free-term order.

	* lib/EXAMPLES/MyMultivariatePolynomials.mu:
	Remove from the interface of integerVectorsOfLength the subdomains
	entries that are not inherited.

	* lib/DOMAINS/CATEGORY/GradedModuleWithBasis.mu:
	degreeBasis is now a required entry.
	New method isHomogeneous.

	* lib/COMBINAT/TEST/partitions.tst:
	Fixed the tests in partitions.tst to use lists instead of sequences.

	* lib/COMBINAT/trees.mu:
	Modified the implementation of expr2text to use new(dom, ...)

	* Papers/SLC49/main.bib: Added new citations.

	* lib/DOC/preface.tex, lib/DOC/demonstration.tex: Fixed references.

	* lib/DOC/preface.tex, lib/DOC/design.tex, lib/DOC/demonstration.tex, lib/DOC/annexes.tex:
	Fixed references; further proofreading.

	* lib/DOC/design.tex: *** empty log message ***

	* lib/DOC/design.tex: Cleanup of the development model.

2003-12-17  fdescouens  <fdescouens@localhost.localdomain>

	* lib/COMBINAT/ribbons.mu: isA definition fixed

	* lib/COMBINAT/TEST/ribbons.tst: isA bug fixes

2003-12-17  hivert  <hivert@localhost.localdomain>

	* lib/EXAMPLES/LodayRoncoAlgebra.mu:
	changement de Bases par inversion de matrices.

2003-12-17  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/design.tex: Cleanup of the platform choice.

2003-12-16  hivert  <hivert@localhost.localdomain>

	* lib/DOC/design.tex: Typos.

2003-12-16  fdescouens  <fdescouens@localhost.localdomain>

	* lib/COMBINAT/ribbons.mu: Type check added in isA function

	* lib/COMBINAT/ribbons.mu:
	some type check added in add/removeRibbonsPartitions

	* lib/COMBINAT/TEST/ribbons.tst: some miscelleanous cases tested

	* lib/COMBINAT/TEST/ribbons.tst: header added

	* lib/COMBINAT/TEST/ribbons.tst:
	Some tests on add/remove RibbonsPartitions added

	* lib/COMBINAT/ribbons.mu: bug fixes in add/remove RibbonsPartitions

	* lib/COMBINAT/ribbons.mu: removing ribbons from partitions added

2003-12-15  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/preface.tex:
	Proof reading and reorganization of the specifications by Nicolas.

2003-12-15  fdescouens  <fdescouens@localhost.localdomain>

	* lib/EXPERIMENTAL/Virasoro.mu:
	Add  Virasoro incresing operator action on schur functions

2003-12-15  hivert  <hivert@localhost.localdomain>

	* lib/EXAMPLES/LodayRoncoAlgebra.mu, lib/EXPERIMENTAL/PBT.mu:
	Added the basis of complete and elementary functions.

	* lib/DOC/preface.tex: improvements..

	* lib/EXPERIMENTAL/TensorAlgebra.mu:
	Added the automatic conversion from A to T(A).

2003-12-15  elaugerot  <elaugerot@localhost.localdomain>

	* Makefile.in: *** empty log message ***

	* lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex:
	new doc on Dom::WeightedAutomaton

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu: new Dom::WeightedAutomaton

2003-12-14  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* Papers/SLC49/postamble.tex:
	Added Alessandra, and more cheers to Volker.

2003-12-12  hivert  <hivert@localhost.localdomain>

	* lib/DOC/demonstration.tex, lib/DOC/design.tex, lib/DOC/preface.tex:
	Some more improvement.

2003-12-11  hivert  <hivert@localhost.localdomain>

	* lib/EXPERIMENTAL/PBT.mu: added isCanonical.

	* lib/EXAMPLES/LodayRoncoAlgebra.mu: Added co-product.

2003-12-10  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/LIBFILES/experimental.mu, lib/EXPERIMENTAL/DOC/main.tex, lib/EXPERIMENTAL/TEST/FreeOperad.tst, lib/EXPERIMENTAL/DOC/FreeOperad.tex, lib/EXPERIMENTAL/FreeOperad.mu:
	New domain: experimental::FreeOperad

	* lib/init.mu:
	New categories: Cat::GradedModuleWithBasis, Cat::Operad, Cat::OperadWithBasis.

	* lib/DOMAINS/CATEGORY/TEST/OperadWithBasis.tst, lib/DOMAINS/CATEGORY/TEST/Operad.tst, lib/DOMAINS/CATEGORY/DOC/OperadWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/Operad.tex, lib/DOMAINS/CATEGORY/DOC/main.tex, lib/DOMAINS/CATEGORY/OperadWithBasis.mu, lib/DOMAINS/CATEGORY/Operad.mu, lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	New categories: Cat::Operad, Cat::OperadWithBasis.

	* lib/DOMAINS/CATEGORY/TEST/GradedModuleWithBasis.tst, lib/DOMAINS/CATEGORY/DOC/GradedModuleWithBasis.tex, lib/DOMAINS/CATEGORY/GradedModuleWithBasis.mu, lib/DOMAINS/CATEGORY/GradedAlgebraWithBasis.mu:
	New category: Cat::GradedModuleWithBasis.

	* lib/COMBINAT/trees.mu:
	New expr2text method that ensures that the object can be reconstructed
	back by evaluation of the output.

	* lib/COMBINAT/labelledTrees.mu:
	Now a decomposableClass, with appropriate specification.

	* lib/COMBINAT/imageClass.mu: Added unrank and random.

	* createDomain: Added documentation.

2003-12-09  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* createDomain: Added support for combinat::
	Replaced loadproc by loaddomain.

	* createDomain:
	Script to add a new domain, category or axiom; it creates source, doc,
	and test files from a template.

	Deals with Dom::, Ax::, Cat::, experimental::, examples::

2003-12-09  hivert  <hivert@localhost.localdomain>

	* Papers/EJC-Algo-CalcForm2003/main.tex, Papers/SLC49/postamble.tex, Papers/SLC49/preamble.tex, lib/DOC/demonstration.tex, lib/DOC/design.tex, lib/DOC/preface.tex:
	Some corrections (thanks Landau).

2003-12-08  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/OPERATORS/DOC/overloaded.tex:
	Note stating that symmetric functions are only defined in the Combinat
	package.

	* lib/EXPERIMENTAL/TEST/Steenrod.tst, lib/EXPERIMENTAL/DOC/Steenrod.tex, lib/EXPERIMENTAL/Steenrod.mu:
	Experiments with the Gröebner basis of the Steenrod Algebra.
	Implementation of a generic F5 Gröbner basis algorithm.

	* lib/LIBFILES/operators.mu:
	Factorisation of the option parsing code in makeLinear, makeBilinear, ...
	Cleanup.

	* lib/LIBFILES/experimental.mu: New utilities:
	 - experimental::tables:: keys/values (manipulation of tables)
	 - experimental::nonCommutativeMult (pretty-printing of non-commutative products)

	* Makefile.am: New makefile dependency: SFbackup.

	* lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/permutations.mu:
	New subdomain: combinat::permutations::rightCosetsBlah
	FIND A GOOD NAME FOR IT!

	* lib/EXAMPLES/SymmetricFunctions.mu, lib/EXAMPLES/QuasiSymmetricFunctions.mu:
	Added the category Cat::CommutativeRing to
	examples::SymmetricFunctions and examples::QuasiSymmetricFunctions.

	* lib/EXAMPLES/MyMultivariatePolynomials.mu:
	examples::MultivariatePolynomials is now implemented by multivariate
	Dom::FreeModulePoly.

	* lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Added comment about mapcoeffs and test for zero coefficients.

	* lib/DOMAINS/CATEGORY/ModuleWithBasis.mu:
	The default implementation of mapcoeffs now checks for zero
	coefficients in the result.

	* lib/MUPADBACKPORT/DOMAINS/DOMAIN/Matrix.mu:
	Backport of the latest version of Dom::Matrix in MuPAD 3.0.0.
	Includes output of 0x0, 0xn, and nx0 matrices.

2003-12-08  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/TEST/partitions.tst, lib/COMBINAT/partitions.mu:
	Wrote the dominance order on partitions.

	* lib/EXAMPLES/FreeSymmetricFunctions.mu:
	New conjectured version of the free LR rule.

	* lib/COMBINAT/DOC/permutations.tex: Added some missing aliases.

2003-12-04  fdescouens  <fdescouens@localhost.localdomain>

	* lib/EXPERIMENTAL/Virasoro.mu:
	New file for computing into Virasoro Algebra and Kac formula

2003-12-03  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/exercises.tex:
	Use 'test=false' instead of 'notest' for Mvin and Mvout, as suggested
	by LaTeX and MuPAD style files.

2003-12-02  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/permutations.tst, lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/permutations.mu:
	New function: combinat::permutations::multInverse

	* lib/DOMAINS/DOMAIN/DOC/FreeModule.tex:
	Backport of Christopher fixes to the aliases.

2003-11-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* ChangeLog: *** empty log message ***

	* index.html.in: Added announce for 1.1.0.

	* lib/EXPERIMENTAL/DOC/Steenrod.tex:
	Added section on the leading terms of the hits.

	* lib/EXAMPLES/MyMultivariatePolynomials.mu:
	Added count and generator to basisIndices.
	Added conversion from polynoms and expressions.

	* lib/COMBINAT/TEST/ribbons.tst, lib/COMBINAT/ribbons.mu:
	Make combinat::ribbons a Cat::CombinatorialClassWith2DBoxedRepresentation.

	* lib/COMBINAT/TEST/skewTableaux.tst:
	Fixed toArray for the base case (empty objects) in the combinatorial
	classes with 2d boxed representation.
	Added corresponding tests.
	Added documentation about this in the category.

	* lib/DOC/preface.tex, lib/DOC/annexes.tex:
	Update of the number of documentation pages.

	* lib/OUTPUT/asciiArt.mu:
	Workaround for MuPAD 3.0.0 pretty-printer bug #1395.

	* lib/OPERATORS/overloaded.mu: Fixed unused local variable.

	* lib/DOMAINS/CATEGORY/DOC/CombinatorialClassWith2DBoxedRepresentation.tex, lib/COMBINAT/TEST/tableaux.tst, lib/COMBINAT/TEST/skewPartitions.tst, lib/COMBINAT/TEST/partitions.tst, lib/COMBINAT/TEST/integerMatrices.tst, lib/COMBINAT/tableaux.mu, lib/COMBINAT/skewTableaux.mu, lib/COMBINAT/skewPartitions.mu, lib/COMBINAT/partitions.mu, lib/COMBINAT/integerMatrices.mu:
	Fixed toArray for the base case (empty objects) in the combinatorial
	classes with 2d boxed representation.
	Added corresponding tests.
	Added documentation about this in the category.

	* README: *** empty log message ***

	* AUTHORS: Moved François to the list of contributers.

2003-11-28  teresamu  <teresamu@localhost.localdomain>

	* lib/COMBINAT/skewTableaux.mu: isA corrected, all test ok now

2003-11-27  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/skewTableaux.tst:
	Temporarily commented out all the tests.

	* README.in: Added min/max comment in tips and tricks.

2003-11-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/EXPERIMENTAL/DOC/Steenrod.tex:
	Added section on the leading terms of the hits.

	* lib/EXAMPLES/MyMultivariatePolynomials.mu:
	Added count and generator to basisIndices.
	Added conversion from polynoms and expressions.

	* lib/COMBINAT/TEST/ribbons.tst, lib/COMBINAT/ribbons.mu:
	Make combinat::ribbons a Cat::CombinatorialClassWith2DBoxedRepresentation.

	* lib/COMBINAT/TEST/skewTableaux.tst:
	Fixed toArray for the base case (empty objects) in the combinatorial
	classes with 2d boxed representation.
	Added corresponding tests.
	Added documentation about this in the category.

	* lib/DOC/preface.tex, lib/DOC/annexes.tex:
	Update of the number of documentation pages.

	* lib/OUTPUT/asciiArt.mu:
	Workaround for MuPAD 3.0.0 pretty-printer bug #1395.

	* lib/OPERATORS/overloaded.mu: Fixed unused local variable.

	* lib/DOMAINS/CATEGORY/DOC/CombinatorialClassWith2DBoxedRepresentation.tex, lib/COMBINAT/TEST/tableaux.tst, lib/COMBINAT/TEST/skewPartitions.tst, lib/COMBINAT/TEST/partitions.tst, lib/COMBINAT/TEST/integerMatrices.tst, lib/COMBINAT/tableaux.mu, lib/COMBINAT/skewTableaux.mu, lib/COMBINAT/skewPartitions.mu, lib/COMBINAT/partitions.mu, lib/COMBINAT/integerMatrices.mu:
	Fixed toArray for the base case (empty objects) in the combinatorial
	classes with 2d boxed representation.
	Added corresponding tests.
	Added documentation about this in the category.

	* README: *** empty log message ***

	* AUTHORS: Moved François to the list of contributers.

2003-11-28  teresamu  <teresamu@localhost.localdomain>

	* lib/COMBINAT/skewTableaux.mu: isA corrected, all test ok now

2003-11-27  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/skewTableaux.tst:
	Temporarily commented out all the tests.

	* README.in: Added min/max comment in tips and tricks.

	* test/Makefile.in, src/Symmetrica-module/Makefile.in, src/Symmetrica/Makefile.in, src/MAPITL/TEST/Makefile.in, src/MAPITL/Makefile.in, src/MAPITL/configure, src/MAPITL/aclocal.m4, src/MachineIntegerListsLex/Makefile.in, src/IPC/Makefile.in, src/gordan/Makefile.in, src/GLIP-module/Makefile.in, src/GLIP/Makefile.in, src/GLIP/configure, src/GLIP/aclocal.m4, src/Makefile.in, doc/html/Makefile.in, doc/dvia4/Makefile.in, doc/dvi/Makefile.in, doc/ascii/Makefile.in, doc/Makefile.in, Makefile.in, configure, aclocal.m4:
	Update of the automake/autoconf build system.
	Bug fix for automake >= 1.6: PKG_SUBST_NO_DEF was non functional.
	This gave broken Makefiles due to the inclusion of the definition of
	PKG_LONG_DESCRIPTION "**missing line separator**".

	* src/MAPITL/configure.ac, src/GLIP/configure.ac, configure.ac:
	autoupdate for autoconf 2.57-3.

	* config/packages.m4, src/GLIP/config/packages.m4, src/MAPITL/config/packages.m4:
	Bug fix for automake >= 1.6: PKG_SUBST_NO_DEF was non functional.
	This gave broken Makefiles due to the inclusion of the definition of
	PKG_LONG_DESCRIPTION "**missing line separator**".

2003-11-27  teresamu  <teresamu@localhost.localdomain>

	* lib/COMBINAT/TEST/skewTableaux.tst: isA corrected, all test ok now

2003-11-27  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/Symmetrica-module/Makefile.in, src/gordan/Makefile.in, test/Makefile.in, src/GLIP-module/Makefile.in, src/GLIP/configure, src/IPC/Makefile.in, src/MAPITL/Makefile.in, src/MAPITL/TEST/Makefile.in, src/MAPITL/aclocal.m4, src/MAPITL/configure, src/MachineIntegerListsLex/Makefile.in, src/Symmetrica/Makefile.in, configure, doc/Makefile.in, doc/ascii/Makefile.in, doc/dvi/Makefile.in, doc/dvia4/Makefile.in, doc/html/Makefile.in, src/GLIP/Makefile.in, src/GLIP/aclocal.m4, src/Makefile.in, Makefile.in, aclocal.m4:
	Update of the autotools build system: switch to automake 1.7.8

	* lib/COMBINAT/TEST/ribbons.tst:
	Fixed name of generated file in testinit.

	* index.html.in: Moved the FAQ section to the Wiki.

2003-11-27  teresamu  <teresamu@localhost.localdomain>

	* lib/COMBINAT/TEST/skewPartitions.tst, lib/COMBINAT/skewPartitions.mu:
	Changed definition of skp, with modifications related to "overlap" in isA, list ...

2003-11-27  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* Papers/Poster/main.tex:
	Bug fix: listings was broken since it was no more configured for MuPAD by Mhelp.sty.
	Some cleanup of the code samples to make them more readable.

2003-11-25  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* ChangeLog: Switch to version 1.1.0 of MuPAD-Combinat.

	* NEWS: Update.

	* lib/OPERATORS/overloaded.mu:
	Work around MuPAD 2.5 bug #1158 with op(eq,1) $ eq in table(...).

	* test/Makefile.in, src/Symmetrica-module/Makefile.in, src/Symmetrica/Makefile.in, src/MAPITL/TEST/Makefile.in, src/MAPITL/Makefile.in, src/MAPITL/aclocal.m4, src/MachineIntegerListsLex/Makefile.in, src/IPC/Makefile.in, src/gordan/Makefile.in, src/GLIP-module/Makefile.in, src/GLIP/Makefile.in, src/GLIP/configure, src/GLIP/aclocal.m4, src/Makefile.in, doc/html/Makefile.in, doc/dvia4/Makefile.in, doc/dvi/Makefile.in, doc/ascii/Makefile.in, doc/Makefile.in, config/config.h.in, src/GLIP/config/config.h.in, src/MAPITL/config/config.h.in, Makefile.in, configure, aclocal.m4:
	Switch to version 1.1.0 of MuPAD-Combinat.

	* lib/LIBFILES/combinat.mu: Added library combinat::ribbons.

	* lib/EXPERIMENTAL/DOC/Steenrod.tex: typo.

	* lib/LIBFILES/examples.mu, lib/EXAMPLES/MyMultivariatePolynomials.mu:
	Added examples::MultivariatePolynomials in the autoload.

	* lib/COMBINAT/ribbons.mu: Fixed non local variable.

	* lib/COMBINAT/partitions.mu:
	Temporary hack to let combinat::subClass work with combinat::partitions.

	* lib/COMBINAT/TEST/skewTableaux.tst:
	Marked non passing tests as Analyzed. Please fix.

2003-11-25  fdescouens  <fdescouens@localhost.localdomain>

	* lib/COMBINAT/TEST/ribbons.tst: First version of tests for ribbons.mu

	* lib/COMBINAT/ribbons.mu: First version for tableaux of ribbon shape

2003-11-25  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/subwords.mu:
	Fixed the 2.5 compatibility problem with listlib::setDifferences.

2003-11-25  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/OPERATORS/overloaded.mu:
	Work around MuPAD 2.5 bug #1158 with op(eq,1) $ eq in table(...).

	* test/Makefile.in, src/Symmetrica-module/Makefile.in, src/Symmetrica/Makefile.in, src/MAPITL/TEST/Makefile.in, src/MAPITL/Makefile.in, src/MAPITL/aclocal.m4, src/MachineIntegerListsLex/Makefile.in, src/IPC/Makefile.in, src/gordan/Makefile.in, src/GLIP-module/Makefile.in, src/GLIP/Makefile.in, src/GLIP/configure, src/GLIP/aclocal.m4, src/Makefile.in, doc/html/Makefile.in, doc/dvia4/Makefile.in, doc/dvi/Makefile.in, doc/ascii/Makefile.in, doc/Makefile.in, config/config.h.in, src/GLIP/config/config.h.in, src/MAPITL/config/config.h.in, Makefile.in, configure, aclocal.m4:
	Switch to version 1.1.0 of MuPAD-Combinat.

	* lib/LIBFILES/combinat.mu: Added library combinat::ribbons.

	* lib/EXPERIMENTAL/DOC/Steenrod.tex: typo.

	* lib/LIBFILES/examples.mu, lib/EXAMPLES/MyMultivariatePolynomials.mu:
	Added examples::MultivariatePolynomials in the autoload.

	* lib/COMBINAT/ribbons.mu: Fixed non local variable.

	* lib/COMBINAT/partitions.mu:
	Temporary hack to let combinat::subClass work with combinat::partitions.

	* lib/COMBINAT/TEST/skewTableaux.tst:
	Marked non passing tests as Analyzed. Please fix.

2003-11-25  fdescouens  <fdescouens@localhost.localdomain>

	* lib/COMBINAT/TEST/ribbons.tst: First version of tests for ribbons.mu

	* lib/COMBINAT/ribbons.mu: First version for tableaux of ribbon shape

2003-11-25  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/subwords.mu:
	Fixed the 2.5 compatibility problem with listlib::setDifferences.

2003-11-24  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/skewTableaux.mu: Bug fix for isA.

	* lib/COMBINAT/TEST/subClass.tst:
	Registered bug of combinat::subClass when there are more than one
	categories or axioms in the parameter class.

	* lib/COMBINAT/DOC/skewPartitions.tex: Fixed printPretty output.

2003-11-24  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu, lib/COMBINAT/subwords.mu:
	Fixed the "listlib::differences" various bugs. The code has to be cleaned.

2003-11-23  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* README, BUGS: *** empty log message ***

	* lib/COMBINAT/decomposableObjects.mu: Fixed non local variables.

	* lib/COMBINAT/setPartitionsOrdered.mu:
	Added prog::bless's for compatibility with MuPAD 3.0.0

	* lib/init.mu: Changed function:
	 - output::asciiArt::fromArray: the rows are now numbered from top to bottom
	New category:
	 - Cat::CombinatorialClassWith2DBoxedRepresentation which implements
	   printPretty and printPrettyCompact from toArray
	Domains partitions, skewPartitions, tableaux, skewTableaux, and
	integerMatrices updated accordingly.

	Added option declarations for output::asciiArt::fromArray.

	* lib/OUTPUT/DOC/asciiArt.tex, lib/OUTPUT/asciiArt.mu, lib/DOMAINS/CATEGORY/TEST/CombinatorialClassWith2DBoxedRepresentation.tst, lib/DOMAINS/CATEGORY/DOC/main.tex, lib/DOMAINS/CATEGORY/DOC/CombinatorialClassWith2DBoxedRepresentation.tex, lib/DOMAINS/CATEGORY/CombinatorialClassWith2DBoxedRepresentation.mu, lib/COMBINAT/tableaux.mu, lib/COMBINAT/skewTableaux.mu, lib/COMBINAT/skewPartitions.mu, lib/COMBINAT/partitions.mu, lib/COMBINAT/integerMatrices.mu:
	Changed function:
	 - output::asciiArt::fromArray: the rows are now numbered from top to bottom
	New category:
	 - Cat::CombinatorialClassWith2DBoxedRepresentation which implements
	   printPretty and printPrettyCompact from fromArray
	Domains partitions, skewPartitions, tableaux, skewTableaux, and
	integerMatrices updated accordingly.

	* lib/DOMAINS/DOMAIN/DOC/FreeModule.tex:
	Backport of Christopher change: bessere Texte in maninfo.cfg und propinfo.cfg

2003-11-21  fdescouens  <fdescouens@localhost.localdomain>

	* lib/COMBINAT/TEST/skewTableaux.tst: few typos

2003-11-21  novelli  <novelli@localhost.localdomain>

	* lib/COMBINAT/TEST/setPartitions.tst:
	Made test independent of sysorder.

2003-11-21  fdescouens  <fdescouens@localhost.localdomain>

	* lib/COMBINAT/TEST/skewTableaux.tst: new test file for skewTableaux

2003-11-21  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/setPartitions.mu:
	prog::bless anonymous functions for MuPAD < 3.0.0

	* doc/STYLES/Mhelp.sty, doc/STYLES/Mhyper.sty, doc/STYLES/Mwrite.sty:
	Update from the latest MuPAD style files.

	* index.html.in: Added links to the Wiki.

2003-11-21  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/decomposableObjects.mu, lib/COMBINAT/subwords.mu:
	A fignoler...

2003-11-21  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* configure.ac: Switch to MuPAD-Combinat 1.1.0.

	* doc/STYLES/Mhelp.sty: Use francais instead of french for babel.

2003-11-21  hivert  <hivert@localhost.localdomain>

	* lib/DOMAINS/DOMAIN/FreeModulePoly.mu:
	Check Me: strange line in FreeModulePoly.

	* lib/COMBINAT/decomposableObjects.mu, lib/init.mu:
	Global declaration of Marked, DivX, MultX.

2003-11-21  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/LIBFILES/combinat.mu:
	Removed extraneous declaration of skewTableaux in the interface.

2003-11-20  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUEC/SP/DOC/x2XX.tex, lib/MUEC/SP/DOC/x2X.tex, lib/MUEC/SP/DOC/X2Dim.tex, lib/MUEC/SP/DOC/ToYY.tex, lib/MUEC/SP/DOC/ToY.tex, lib/MUEC/SP/DOC/Toxy.tex:
	Updated documentation output for MuPAD 3.0.0.

	* NEWS: Switch to MuPAD-Combinat 1.1.0.

	* lib/COMBINAT/skewTableaux.mu: Fixed non local variables.

	* src/MAPITL/MAPITL_tmpl.h, src/MAPITL/MAPITL.h:
	Use typename's to be conformant with the C++ standard, as suggested by
	g++ 3.2's warnings.
	Include <algorithm> instead of <pair.h> for pair<>, and use std::pair.

	* src/GLIP/GLIP/SmallList_tmpl.h, src/GLIP/GLIP/SmallList.h, src/GLIP/PermutationGroup-test.cc, src/GLIP/PermutationGroup.cc:
	Use typename's to be conformant with the C++ standard, as suggested by
	g++ 3.2's warnings.

2003-11-20  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu:
	Remodev some bugs in decomposableObjects.
	The test suite is extended accordingly.

2003-11-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/CATEGORY/DecomposableClass.mu:
	Bug fix: the generator was broken because was overriding the value of
	dom inside combinat::decomposableObjects::generator; that did not
	appear before because dom was not used there.

	* lib/COMBINAT/decomposableObjects.mu:
	Added some specifications for unrank functions.

2003-11-19  teresamu  <teresamu@localhost.localdomain>

	* lib/COMBINAT/skewTableaux.mu:
	identation etc  improved, comments and printCompact added

2003-11-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/TEST/decomposableObjects.tst:
	Fixed the expected result for random with compatibility aliases.

	* lib/COMBINAT/decomposableObjects.mu: typo fix.

2003-11-19  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/decomposableObjects.mu:
	New implementation of labelled decomposable objects without
	subs. Several times faster. than the preceding one.

2003-11-19  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/skewTableaux.mu: Fixed nonlocal variables.

	* lib/LIBFILES/combinat.mu: Added skewTableau to the interface.

2003-11-18  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/TEST/subwords.tst, lib/COMBINAT/decomposableObjects.mu, lib/COMBINAT/subsets.mu, lib/COMBINAT/subwords.mu:
	decomposableObjects now deals with labelled structures !
	For this, I've added some function in subwords and subsets, they are tested,
	but I have to make a user interface. The two main functions are
	unrank_nk and random_nk.

2003-11-18  teresamu  <teresamu@localhost.localdomain>

	* lib/COMBINAT/TEST/skewPartitions.tst: new size test added

	* lib/COMBINAT/skewPartitions.mu: new interface for size funcion

2003-11-18  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/TEST/subsets.tst, lib/COMBINAT/subsets.mu:
	Corrected a bug in isA.

2003-11-18  teresamu  <teresamu@localhost.localdomain>

	* lib/COMBINAT/skewTableaux.mu: Last version by Francois

	* lib/LIBFILES/combinat.mu: skewTableaux added

	* lib/COMBINAT/skewPartitions.mu: Code for skewTableaux commeted out

2003-11-17  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/DOC/compositions.tex, lib/COMBINAT/TEST/compositions.tst, lib/COMBINAT/compositions.mu:
	Added new function fromPeaks.
	fromPeaks, peaks and peaksCompositions are also now tested.

2003-11-15  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/skewTableaux.mu: First version by Francois Descouens.

2003-11-14  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOC/main.tex: Removed the motivations section which is outdated.

	* lib/OPERATORS/DOC/overloaded.tex:
	Removed links to Symmetric Functions which are outside the MuPAD library.

	* lib/EXPERIMENTAL/HeckeSymmetricGroupAlgebra.mu:
	Bug fix: do not use export(..., Alias) for functions that are not in
	the interfaces when the package is not loaded.

	* lib/DOC/preface.tex, lib/DOC/design.tex:
	Added new macros for caml, ...
	Fixed the comparison table between the platforms.

	* lib/DOC/design.tex:
	Attempt to present with a table the comparison between the various platforms.

2003-11-14  hivert  <hivert@localhost.localdomain>

	* lib/COMBINAT/decomposableObjects.mu:
	Corrected the unrank procedure for labelled case.
	I now have to re-add the labels.

2003-11-12  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/COMBINAT/partitions.mu: Fixed back indentation.

	* ChangeLog: *** empty log message ***

	* lib/MUEC/SFA/DOC/SfAColct.tex: Fixed misplaced TODO comment.

	* lib/OPERATORS/overloaded.mu:
	Only provide an initDomain method for Dom::IntegerMod and
	Dom::AlgebraicExtension if those domain do not already have one.

	* lib/PROG/loaddomain.mu:
	Use directly loadproc instead of emulating it.

	* lib/COMBINAT/DOC/preface.tex:
	State that the alias new -> list is available for *most* combinatorial
	classe.

	* lib/COMBINAT/partitions.mu: Put temporarily back the new alias.

	* lib/COMBINAT/DOC/partitions.tex:
	Added strong deprecation warning for combinat::partitions(n).

2003-11-12  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUEC/SFA/DOC/SfAColct.tex: Fixed misplaced TODO comment.

	* lib/OPERATORS/overloaded.mu:
	Only provide an initDomain method for Dom::IntegerMod and
	Dom::AlgebraicExtension if those domain do not already have one.

	* lib/PROG/loaddomain.mu:
	Use directly loadproc instead of emulating it.

	* lib/COMBINAT/DOC/preface.tex:
	State that the alias new -> list is available for *most* combinatorial
	classe.

	* lib/COMBINAT/partitions.mu: Put temporarily back the new alias.

	* lib/COMBINAT/DOC/partitions.tex:
	Added strong deprecation warning for combinat::partitions(n).

2003-11-10  hivert  <hivert@eole>

	* lib/DOC/preface.tex, lib/DOC/demonstration.tex, lib/DOC/design.tex:
	Improvement...

	* lib/COMBINAT/DOC/binaryTrees.tex, lib/COMBINAT/DOC/cartesianProduct.tex, lib/COMBINAT/DOC/compositions.tex, lib/COMBINAT/DOC/dyckWords.tex, lib/COMBINAT/DOC/generators.tex, lib/COMBINAT/DOC/integerListsLexTools.tex, lib/COMBINAT/DOC/integerMatrices.tex, lib/COMBINAT/DOC/integerVectors.tex, lib/COMBINAT/DOC/integerVectorsWeighted.tex, lib/COMBINAT/DOC/labelledBinaryTrees.tex, lib/COMBINAT/DOC/nonCrossingPartitions.tex, lib/COMBINAT/DOC/partitions.tex, lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/DOC/preface.tex, lib/COMBINAT/DOC/skewPartitions.tex, lib/COMBINAT/DOC/subsets.tex, lib/COMBINAT/DOC/subwords.tex, lib/COMBINAT/DOC/tableaux.tex, lib/COMBINAT/DOC/trees.tex, lib/COMBINAT/DOC/words.tex, lib/COMBINAT/decomposableObjects.mu, lib/COMBINAT/generators.mu, lib/COMBINAT/integerVectorsWeighted.mu, lib/COMBINAT/nonCrossingPartitions.mu, lib/COMBINAT/partitions.mu, lib/COMBINAT/permutations.mu, lib/COMBINAT/skewPartitions.mu, lib/COMBINAT/subsets.mu, lib/COMBINAT/trees.mu, lib/COMBINAT/words.mu:
	Final cleanup  of the type-checking system.
	Removed the backward compatibility call partitions(n) -> count.

2003-11-07  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* Makefile.in, Makefile.am:
	Added loaddomain to be exported to MuPAD CVS.

	* lib/COMBINAT/skewPartitions.mu: Fixed unused/non local variables.

2003-11-06  novelli  <novelli@eole>

	* experimental/halfPlacTests.mu, experimental/halfPlactic.mu:
	New add-ons.
	New conjectures and even some new conjectures not even tested !

2003-11-06  teresamu  <teresamu@eole>

	* lib/COMBINAT/skewPartitions.mu: Still in developpement

	* lib/COMBINAT/skewPartitions.mu:
	new standard filling in developpement !!!!!!!!!

2003-11-06  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUEC/SG/Charactr.mu:
	Updated to take into account the fact that Symmetrica is autoloaded now.

	* lib/EXAMPLES/TEST/SymmetricFunctions.tst:
	Wrapped a computation in a prog::test to trap the error raised when
	Symmetrica is not available.

	* lib/LIBFILES/experimental.mu: Fixed non-local variables.

	* lib/MUEC/SYM.mu:
	Updated to take into account the fact that Symmetrica is autoloaded now.

	* TODO: *** empty log message ***

	* lib/EXPERIMENTAL/HeckeSymmetricGroupAlgebra.mu:
	Fixed non-local variables.

2003-11-05  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/PROG/TEST/loaddomain.tst, lib/PROG/loaddomain.mu, lib/LIBFILES/operators.mu, lib/LIBFILES/muEC.mu, lib/LIBFILES/experimental.mu, lib/LIBFILES/examples.mu, lib/LIBFILES/combinat.mu, lib/init.mu:
	Moved packages::Combinat::loaddomain to prog::loaddomain.

2003-11-05  teresamu  <teresamu@eole>

	* lib/COMBINAT/DOC/integerMatrices.tex: isA -> doc + example

	* lib/COMBINAT/TEST/integerMatrices.tst: Two more tests for isA

2003-11-04  teresamu  <teresamu@eole>

	* lib/COMBINAT/TEST/integerMatrices.tst, lib/COMBINAT/integerMatrices.mu:
	isA -> column and row sums inverted

	* lib/COMBINAT/DOC/dyckWords.tex: ones and zeroes + isA: doc + example

2003-10-29  novelli  <novelli@eole>

	* experimental/halfPlacTests.mu, experimental/halfPlactic.mu:
	Quelques transformations et des conjectures nouvelles sur le demi-plaxique.
	Pour le moment, ceci n'est que work in progress mais quand ca aura un peu
	avance et qu'il y aura des theoremes, je ferai un bilan serieux.

2003-10-28  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/MachineIntegerListsLex/Makefile.in: *** empty log message ***

	* lib/init.mu: Fixes suggested by Christopher.

	* lib/LIBFILES/experimental.mu: Fixed spurious semicolon.

	* lib/EXAMPLES/FreeQuasiSymmetricFunctions.mu, lib/EXAMPLES/SymmetricGroupAlgebra.mu:
	Use isAStandard instead of isStandard.

	* lib/COMBINAT/integerMatrices.mu:
	Use hold for option Compact until after MuPAD 3.0.0 release.

	* lib/MUEC/SP/DOC/ToY.tex, lib/MUEC/SP/DOC/ToXX.tex, lib/MUEC/SP/DOC/ToX.tex, lib/MUEC/SP/DOC/ToPe.tex, lib/MUEC/SP/DOC/TableYY.tex, lib/MUEC/SP/DOC/TableY.tex:
	Update of documentation examples for mupad 3.0.0

2003-10-27  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/LIBFILES/combinat.mu, lib/LIBFILES/operators.mu, lib/LIBFILES/muEC.mu, lib/LIBFILES/experimental.mu, lib/LIBFILES/examples.mu:
	New domain:
	 - packages::Combinat
	New function:
	 - packages::Combinat::loaddomain
	Use loaddomain instead of loadproc for domains to avoid reloading an
	already defined domain (/category/axiom/domain constructor/...)
	WARNING:
	 - I may have missed some occurrences
	 - The code of loaddomain is quite tricky. The testsuite works fine,
	   but maybe everything will crumble down in stressful conditions.

	* TODO: *** empty log message ***

	* lib/init.mu: New domain:
	 - packages::Combinat
	New function:
	 - packages::Combinat::loaddomain
	Use loaddomain instead of loadproc for domains to avoid reloading an
	already defined domain (/category/axiom/domain constructor/...)
	WARNING:
	 - I may have missed some occurrences
	 - The code of loaddomain is quite tricky. The testsuite works fine,
	   but maybe everything will crumble down in stressful conditions.

	* lib/DOC/exercises.tex: Fixed documentation examples for MuPAD 3.0.0

2003-10-27  hivert  <hivert@eole>

	* lib/COMBINAT/setPartitions.mu, lib/COMBINAT/setPartitionsOrdered.mu:
	micro-improvement.

	* lib/COMBINAT/permutations.mu: isStandard -> isAStandard

2003-10-25  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUEC/SFA/Monomial.mu, lib/MUEC/SFA/AllIndA.mu:
	Fixed some remaining _seqgen bugs.

2003-10-24  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUEC/SYMF/DOC/Tos.tex, lib/MUEC/SYMF/DOC/Top.tex, lib/MUEC/SYMF/DOC/Tom.tex, lib/MUEC/SYMF/DOC/Toh.tex, lib/MUEC/SYMF/DOC/Toe.tex, lib/MUEC/SYMF/DOC/SfTheta.tex, lib/MUEC/SYMF/DOC/SfEval.tex, lib/MUEC/SYMF/DOC/Sf2Table.tex, lib/MUEC/SYMF/DOC/Plethysm.tex, lib/MUEC/SYMF/DOC/Char2Sf.tex, lib/MUEC/SP/DOC/TableY.tex, lib/MUEC/SP/DOC/SpVar.tex, lib/MUEC/SP/DOC/Special.tex, lib/MUEC/SP/DOC/NewtonIn.tex, lib/MUEC/SG/DOC/Part2CC.tex, lib/MUEC/SG/DOC/DimRep.tex, lib/MUEC/SG/DOC/Des2LPer.tex, lib/MUEC/SFA/DOC/TopA.tex, lib/MUEC/SFA/DOC/TomA.tex, lib/MUEC/SFA/DOC/TohA.tex, lib/MUEC/SFA/DOC/ToeA.tex, lib/MUEC/SFA/DOC/SfAVars.tex, lib/MUEC/SFA/DOC/SfAExpn.tex, lib/MUEC/SFA/DOC/SfAColct.tex, lib/MUEC/SFA/DOC/SfA2Tabl.tex, lib/MUEC/SFA/DOC/SfA2Sf.tex, lib/MUEC/SFA/DOC/Pol2SfA.tex:
	Fixed documentation examples for MuPAD 3.0.0

2003-10-24  teresamu  <teresamu@eole>

	* lib/COMBINAT/integerMatrices.mu, lib/COMBINAT/DOC/integerMatrices.tex:
	printPretty/Compact uses asciiArt only

	* lib/LIBFILES/combinat.mu, lib/COMBINAT/labelledTrees.mu:
	New domain combinat::labelledTrees

	* lib/COMBINAT/trees.mu, lib/DOMAINS/CATEGORY/DecomposableClass.mu:
	interface DecomposableClass without "_"

2003-10-23  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* src/MAPITL/Makefile.in, src/MAPITL/configure, src/MAPITL/aclocal.m4, doc/html/Makefile.in:
	Update of the autotools build system.

	* lib/OUTPUT/asciiArt.mu: VerticalSeparator   -> ColumnSeparator
	HorizontalSeparator -> RowSeparator

2003-10-22  novelli  <novelli@eole>

	* experimental/halfPlacTests.mu, experimental/halfPlactic.mu:
	New computations on the Half-Plactic stuff.
	New conjectures but nothing very clear behind all this.

2003-10-22  hivert  <hivert@eole>

	* lib/EXPERIMENTAL/MQSym/InternalProduct.mu: Ok.

2003-10-22  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* make.sh:
	Shell script to build the dynamic modules within the main MuPAD
	packages directory in Paderborn.

	* doc/html/Makefile.am:
	mh2html.def was not included in the distribution! So, html rebuilding
	has always been broken for non-CVS distributions.

	* lib/COMBINAT/DOC/decomposableObjects.tex: Typo fix.

2003-10-21  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/DOMAINS/DOMAIN/DOC/FreeModule.tex: Backported fixes from CCR.

	* lib/init.mu:
	Use Powerset instead of Set for future compatibility with the Set domain.
	Added compatibility aliases for Set and PowerSet.
	Fixed some occurences of MultiSet instead of Multiset.

	* src/Symmetrica-module/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/IPC/Makefile.in, src/gordan/Makefile.in, src/GLIP-module/Makefile.in, doc/html/Makefile.in, Makefile.in, configure, aclocal.m4:
	Update of the autotools build system.

	* lib/COMBINAT/TEST/decomposableObjects.tst, lib/COMBINAT/DOC/decomposableObjects.tex, lib/COMBINAT/decomposableObjects.mu:
	Use Powerset instead of Set for future compatibility with the Set domain.
	Added compatibility aliases for Set and PowerSet.
	Fixed some occurences of MultiSet instead of Multiset.

	* lib/COMBINAT/integerMatrices.mu: Fixed non local variables.

	* config/mupad.m4, src/GLIP/config/mupad.m4, src/MAPITL/config/mupad.m4:
	Bug fix: the options MUPAD_VERSION, MUPADdir, MUPAD_MMG_CFLAGS,
	MUPAD_MMG_LDFLAGS for configure were completely ignored. That probably
	has been the case for a very long time, if not from the beginning!

	* lib/init.mu: *** empty log message ***

	* lib/OUTPUT/DOC/asciiArt.tex, lib/OUTPUT/asciiArt.mu:
	New options for fromArray:
	 - HorizontalSeparator, VerticalSeparator, Cross, HorizontalPadding,
	   MinWidth, MinHeight, Compact, Packed.
	Added commented out examples in the documentation.

	* lib/OPERATORS/DOC/overloaded.tex, lib/DOMAINS/DOMAIN/DOC/FreeModule.tex, lib/DOMAINS/CATEGORY/DOC/ModuleWithBasis.tex, lib/DOMAINS/CATEGORY/DOC/AlgebraWithBasis.tex, lib/COMBINAT/DOC/trees.tex, lib/COMBINAT/DOC/skewPartitions.tex, lib/COMBINAT/DOC/preface.tex, lib/COMBINAT/DOC/permutations.tex, lib/COMBINAT/DOC/labelledBinaryTrees.tex, lib/COMBINAT/DOC/dyckWords.tex, lib/COMBINAT/DOC/binaryTrees.tex:
	Fixed broken links. In particular, replaced some \Mup{...} referring
	to not yet documented features by \Mex{...}.

	* doc/dvia4/texmf.cnf, doc/dvi/texmf.cnf: Increased latex pool size.

2003-10-20  hivert  <hivert@eole>

	* Papers/EJC-Algo-CalcForm2003/main.tex:
	basis -> BasisIndices in the demo.

	* lib/EXAMPLES/SymmetricGroupAlgebra.mu: Type -> isA.

2003-10-17  hivert  <hivert@eole>

	* lib/COMBINAT/TEST/nonCrossingPartitions.tst:
	Added the test file for non crossing partitions.

2003-10-16  teresamu  <teresamu@eole>

	* lib/COMBINAT/DOC/integerMatrices.tex:
	doc + examples for print pretty and print compact

	* lib/COMBINAT/integerMatrices.mu:
	printCompact (for different versions of mupad)

2003-10-16  hivert  <hivert@eole>

	* lib/DOMAINS/CATEGORY/CombinatorialClass.mu: Default isA -> UNKNOWN.

	* lib/COMBINAT/setPartitions.mu: Added _less, inf and sup.

	* lib/DOMAINS/CATEGORY/CombinatorialClass.mu:
	Default trivial implementation for isA.

2003-10-15  Nicolas M. Thiéry  <nthiery@users.sf.net>

	* lib/MUPADBACKPORT/DOMAINS/DOMAIN/Matrix.mu:
	Backport of the latest Dom::Matrix from MuPAD 3.0.0.

	* TODO: Update.

	* BUGS: Started to moves bug descriptions to the bug tracker.

	* src/Symmetrica-module/Makefile.in, src/MachineIntegerListsLex/Makefile.in, src/IPC/Makefile.in, src/gordan/Makefile.in, src/GLIP-module/Makefile.in, doc/html/Makefile.in, Makefile.in:
	Update of the autotools build system.

	* index.html.in: Fixed CS url.

	* lib/DOMAINS/DOMAIN/PermutationGroupInvariantRing.mu:
	Fixes + does not rely anymore on the ReverseElimination option for gaussElim.

	* doc/html/Makefile.am:
	Bug fix: with VPATH builds, the paths for latex files and mh2html.def
	where incorrect.

	* doc/dvia4/texmf.cnf, doc/dvi/texmf.cnf:
	Added texmf.cnf in dvi and doc directories to enlarge LaTeX pool size.

	* doc/html/mh2html.def: Added missing commands and environments.

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu: Fixed non local variable.

	* src/Symmetrica-module/Makefile.am, src/MachineIntegerListsLex/Makefile.am, src/IPC/Makefile.am, src/gordan/Makefile.am, src/GLIP-module/Makefile.am:
	Bug fix: with VPATH builds and such, the directory for including
	mupad.am was incorrect.

	* lib/DOMAINS/DOMAIN/DOC/MinMaxSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/MaxMinSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/BooleanSemiRing.tex:
	Typo fixes.

	* lib/DOMAINS/DOMAIN/PermutationGroupDirectProduct.mu:
	Fix allElements to be a method and not an entry.

	* lib/DOMAINS/CATEGORY/DOC/AlgebraWithBasis.tex: Typo fix.

	* lib/DOMAINS/CATEGORY/PermutationGroup.mu:
	Fix the documentation of allElements.

	* lib/DOC/annexes.tex: Typo fix.

	* lib/COMBINAT/DOC/decomposableObjects.tex: Typo fixes.

	* config/mupad.m4, src/GLIP/config/mupad.m4, src/MAPITL/config/mupad.m4:
	Added texmf.cnf in dvi and doc directories to enlarge LaTeX pool size.

	* config/mupad.am, src/GLIP/config/mupad.am, src/MAPITL/config/mupad.am:
	Bug fix: in VPATH builds, the module directory was sometimes not created

2003-10-15  teresamu  <teresamu@eole>

	* lib/COMBINAT/integerMatrices.mu: new printCompact1

2003-10-15  hivert  <hivert@eole>

	* lib/DOMAINS/CATEGORY/CombinatorialClass.mu:
	Removed default definition of isA using type.

	* lib/COMBINAT/decomposableObjects.mu, lib/COMBINAT/integerListsLexTools.mu:
	Changed type to testtype. To Be cleaned when sure.

	* lib/COMBINAT/TEST/dyckWords.tst: Cosmetic changes.

	* lib/COMBINAT/tableaux.mu, lib/COMBINAT/words.mu:
	Removed some byggy remainings old "::type".

2003-10-14  hivert  <hivert@eole>

	* TODO: ...

	* ChangeLog: Updated.

	* lib/COMBINAT/TEST/linearExtensions.tst:
	Updated runtime factor and removed warning "time used outside of 'prog::test'"

	* TODO: Updated.

	* lib/COMBINAT/TEST/skewPartitions.tst, lib/COMBINAT/TEST/tableaux.tst:
	Updated runtime factor where it makes sense

	* lib/COMBINAT/TEST/integerMatrices.tst, lib/COMBINAT/TEST/setPartitions.tst:
	Removed some warning "time used outside of 'prog::test'"

	* lib/COMBINAT/nonCrossingPartitions.mu: Fixed some local vars.

	* lib/COMBINAT/nonCrossingPartitions.mu:
	wrote isA. awaiting for Nicolas for updating (or creating) the test-file.

	* lib/COMBINAT/TEST/integerVectorsWeighted.tst, lib/COMBINAT/integerVectorsWeighted.mu:
	Wrote isA.

2003-10-14  hivert  <hivert@monocycle>

	* lib/COMBINAT/TEST/linearExtensions.tst:
	Updated runtime factor and removed warning "time used outside of 'prog::test'"

	* TODO: Updated.

	* lib/COMBINAT/TEST/skewPartitions.tst, lib/COMBINAT/TEST/tableaux.tst:
	Updated runtime factor where it makes sense

	* lib/COMBINAT/TEST/integerMatrices.tst, lib/COMBINAT/TEST/setPartitions.tst:
	Removed some warning "time used outside of 'prog::test'"

	* lib/COMBINAT/nonCrossingPartitions.mu: Fixed some local vars.

	* lib/COMBINAT/nonCrossingPartitions.mu:
	wrote isA. awaiting for Nicolas for updating (or creating) the test-file.

	* lib/COMBINAT/TEST/integerVectorsWeighted.tst, lib/COMBINAT/integerVectorsWeighted.mu:
	Wrote isA.

2003-10-13  hivert  <hivert@monocycle>

	* lib/COMBINAT/integerVectors.mu, lib/COMBINAT/integerVectorsWeighted.mu, lib/COMBINAT/labelledBinaryTrees.mu, lib/COMBINAT/nonCrossingPartitions.mu, lib/COMBINAT/skewPartitions.mu, lib/COMBINAT/subsets.mu, lib/COMBINAT/trees.mu, lib/COMBINAT/words.mu, lib/DOMAINS/CATEGORY/CombinatorialClass.mu, lib/COMBINAT/decomposableObjects.mu, lib/COMBINAT/generators.mu:
	First tentative of removing type.

	* lib/EXPERIMENTAL/MQSym/InternalProduct.mu: Done.

	* lib/COMBINAT/integerMatrices.mu: Corrected missing local.
	printCompact prints now in a more compact form.

2003-10-13  novelli  <novelli@monocycle>

	* experimental/halfPlacTests.mu, experimental/halfPlactic.mu:
	Small changes on the Half Plactic monoid.

	  JC.

2003-10-13  hivert  <hivert@monocycle>

	* lib/COMBINAT/TEST/setPartitions.tst:
	Corrected wrong test due to an unspecified order.

2003-10-10  novelli  <novelli@monocycle>

	* experimental/halfPlacTests.mu: Tests done on the half-plactic monoid.
	Can be useful to Nicolas or Florent or others, so I put them here.

	* experimental/halfPlactic.mu: I separated research from functions...
	Now, each function is followed by one example of application but the
	research and remarks are in file halfPlacTests.mu.

	* TODO: RAS.

	* experimental/bilateres.mu:
	Related to a talk of Christophe Hohlweg at the workshop in Marne-La-Vallee.

	He computed the list of minimal (and maximal) elements in a bilatere class
	of the symmetric group (set of words having a given shape in the
	Robinson-Schensted algorithm).

	We asked for the generating polynomial of these classes :-)

	  JCN.

2003-10-10  Nicolas Thiery  <nthiery@monocycle>

	* lib/DOMAINS/DOMAIN/DOC/WeightedAutomaton.tex, lib/DOMAINS/DOMAIN/DOC/MaxPlusSemiRing.tex, lib/DOMAINS/DOMAIN/DOC/MaxMinSemiRing.tex:
	Fixes from Eric in his documentation files (mostly adaptation of the
	examples for MuPAD 3.0.0).

2003-10-10  novelli  <novelli@monocycle>

	* lib/COMBINAT/TEST/setPartitions.tst, lib/COMBINAT/setPartitions.mu:
	Changed setPartitions.mu according to the TODO of Florent.
	Added new tests to this function.

2003-10-09  novelli  <novelli@monocycle>

	* experimental/halfPlactic.mu: Everything is in MuPAD, now...

2003-10-08  hivert  <hivert@monocycle>

	* lib/EXPERIMENTAL/MQSym/InternalProduct.mu:
	Computing the internal product of MQSym

2003-10-07  Nicolas Thiery  <nthiery@monocycle>

	* lib/OUTPUT/asciiArt.mu:
	Fixed pretty printing of asciiArt under MuPAD Prod.
	More precisely force ASCII output by having the Content method
	throw an error.

	* lib/COMBINAT/MachineIntegerListsLex.mu, lib/COMBINAT/GLIP.mu:
	Remove GLIP and MachineIntegerListsLex from the combinat interface
	when one tries to load them and find that they are not available.

2003-10-07  teresamu  <teresamu@monocycle>

	* lib/COMBINAT/TEST/integerMatrices.tst: rowSums+columnSums

	* lib/COMBINAT/integerMatrices.mu: prinpretty + rowSums + columnSums

2003-10-06  hivert  <hivert@monocycle>

	* lib/COMBINAT/TEST/setPartitionsOrdered.tst: Corrected the testsuite.

2003-10-06  Nicolas Thiery  <nthiery@monocycle>

	* lib/COMBINAT/linearExtensions.mu: Typo fixes in the comments.

2003-10-06  novelli  <novelli@monocycle>

	* experimental/halfPlactic.mu:
	First version with the second part in maple...

	  JC.

2003-10-06  hivert  <hivert@monocycle>

	* lib/COMBINAT/TEST/setPartitionsOrdered.tst, lib/COMBINAT/setPartitionsOrdered.mu:
	Rewrote list and generator using a faster algorithm. The test suite is
	now broken due to a bug in the MuPAD sort procedure.

	* lib/COMBINAT/setPartitions.mu: proofread the code. Added some TODO

	* TODO: ...

2003-10-06  Nicolas Thiery  <nthiery@monocycle>

	* lib/DOMAINS/DOMAIN/WeightedAutomaton.mu:
	Files sent by Eric on 2003/09/26.
	New method:
	 - transpose, determinisation.

	* lib/COMBINAT/DOC/decomposableObjects.tex:
	Documentation for the Boustrophedonic option.
	Warning about the labelled bug.

2003-10-03  hivert  <hivert@monocycle>

	* lib/COMBINAT/words.mu: Added a TODO line.

2003-10-03  Nicolas Thiery  <nthiery@monocycle>

	* lib/LIBFILES/IPC.mu:
	Set IPC to FAIL if it's not available; raise an error if it's
	available, but the module is not loaded properly.

2003-10-03  teresamu  <teresamu@monocycle>

	* lib/COMBINAT/dyckWords.mu:
	new typePrefix and few fixes (code duplication fos isAPrefix)

2003-10-01  Nicolas Thiery  <nthiery@monocycle>

	* lib/COMBINAT/DOC/preface.tex: Removed garbage traces from conflicts.

	* lib/COMBINAT/DOC/decomposableObjects.tex:
	Update for the new random/unrank of combinat::decomposableObjects.

	* lib/COMBINAT/DOC/trees.tex:
	Update for the new random generator of combinat::decomposableObjects.

	* test/Makefile.in, doc/html/Makefile.in, Makefile.in:
	Update of the autotools build system.

	* lib/init.mu: Set combinat::NoRelease to TRUE in the package.
	Added new domains from Eric Laugerotte.

	* lib/LIBFILES/combinat.mu:
	Set combinat::NoRelease to FALSE by default.
	Use if instead of %ifs.

	* lib/COMBINAT/TEST/trees.tst:
	Updated random for the new decomposableObjects.

